#
# Table structure for table `item_db`
#

DROP TABLE IF EXISTS `item_db`;
CREATE TABLE `item_db` (
  `id` smallint(5) unsigned NOT NULL default '0',
  `name_english` varchar(50) NOT NULL default '',
  `name_japanese` varchar(50) NOT NULL default '',
  `type` tinyint(2) unsigned NOT NULL default '0',
  `price_buy` mediumint(10) unsigned default NULL,
  `price_sell` mediumint(10) unsigned default NULL,
  `weight` smallint(5) unsigned NOT NULL default '0',
  `attack` smallint(3) unsigned default NULL,
  `defence` tinyint(3) unsigned default NULL,
  `range` tinyint(2) unsigned default NULL,
  `slots` tinyint(2) unsigned default NULL,
  `equip_jobs` int(12) unsigned default NULL,
  `equip_upper` tinyint(8) unsigned default NULL,
  `equip_genders` tinyint(2) unsigned default NULL,
  `equip_locations` smallint(4) unsigned default NULL,
  `weapon_level` tinyint(2) unsigned default NULL,
  `equip_level` tinyint(3) unsigned default NULL,
  `refineable` tinyint(1) unsigned default NULL,
  `view` smallint(3) unsigned default NULL,
  `script` text,
  `equip_script` text,
  `unequip_script` text,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# // Items Database
# //
# // Structure of Database:
# // ID,AegisName,Name,Type,Buy,Sell,Weight,ATK,DEF,Range,Slots,Job,Upper,Gender,Loc,wLV,eLV,Refineable,View,{ Script },{ OnEquip_Script },{ OnUnequip_Script }
# //
# // Healing Items
# //=============================================================
REPLACE INTO `item_db` VALUES (0,'DEFAULT','Default',0,NULL,10,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (501,'Red_Potion','Red Potion',0,50,NULL,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(45,65),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (502,'Orange_Potion','Orange Potion',0,200,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(105,145),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (503,'Yellow_Potion','Yellow Potion',0,550,NULL,130,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(175,235),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (504,'White_Potion','White Potion',0,1200,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (505,'Blue_Potion','Blue Potion',0,5000,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(40,60); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (506,'Green_Potion','Green Potion',0,40,NULL,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_end SC_Poison; sc_end SC_Silence; sc_end SC_Blind; sc_end SC_Confusion; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (507,'Red_Herb','Red Herb',0,18,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(18,28),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (508,'Yellow_Herb','Yellow Herb',0,40,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(38,58),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (509,'White_Herb','White Herb',0,120,NULL,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(75,115),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (510,'Blue_Herb','Blue Herb',0,60,NULL,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(15,30); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (511,'Green_Herb','Green Herb',0,10,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_end SC_Poison; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (512,'Apple','Apple',0,15,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(16,22),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (513,'Banana','Banana',0,15,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(17,21),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (514,'Grape','Grape',0,200,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(10,15); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (515,'Carrot','Carrot',0,15,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(18,20),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (516,'Sweet_Potato','Potato',0,15,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(15,23),0; if(rand(1000)<15) sc_start SC_Stun,3000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (517,'Meat','Meat',0,50,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(70,100),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (518,'Honey','Honey',0,500,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(70,100),rand(20,40); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (519,'Milk','Milk',0,25,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(27,37),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (520,'Leaflet_Of_Hinal','Hinalle Leaflet',0,150,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(175,235),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (521,'Leaflet_Of_Aloe','Aloe Leaflet',0,360,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (522,'Fruit_Of_Mastela','Mastela Fruit',0,8500,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(400,600),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (523,'Holy_Water','Holy Water',0,20,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_end SC_Curse; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (525,'Panacea','Panacea',0,500,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_end SC_Poison; sc_end SC_Silence; sc_end SC_Blind; sc_end SC_Confusion; sc_end SC_Curse; sc_end SC_Hallucination; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (526,'Royal_Jelly','Royal Jelly',0,7000,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),rand(40,60); sc_end SC_Poison; sc_end SC_Silence; sc_end SC_Blind; sc_end SC_Confusion; sc_end SC_Curse; sc_end SC_Hallucination; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (528,'Monster\'s_Feed','Monster Food',0,60,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(72,108),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (529,'Candy','Candy',0,10,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(45,65),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (530,'Candy_Striper','Candy Cane',0,20,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(105,145),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (531,'Apple_Juice','Apple Juice',0,20,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(25,35),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (532,'Banana_Juice','Banana Juice',0,20,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(26,34),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (533,'Grape_Juice','Grape Juice',0,250,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(15,25); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (534,'Carrot_Juice','Carrot Juice',0,20,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(27,33),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (535,'Pumpkin','Pumpkin',0,15,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 19,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (536,'Ice_Cream','Ice Cream',0,150,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(105,145),0; if(rand(1000)<25) sc_start SC_Freeze,10000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (537,'Pet_Food','Pet Food',0,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(50,90),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (538,'Well_Baked_Cookie','Well-baked Cookie',0,1000,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(160,200),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (539,'Piece_Of_Cake','Piece of Cake',0,3000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(270,330),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (540,'Falcon\'s_Feed','Falcon food',0,2000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(185,225),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (541,'Pecopeco\'s_Feed','Peco Peco food',0,3000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),0; ',NULL,NULL);
# //542,Festive_Cookie,Festival Cookie,0,10,,10,,,,,0xFFFFFFFF,7,2,,,,,,{ itemheal rand(325,405),0; },{},{}
# //543,Festive_Rainbow_Cake,Festival Rainbow Cake,0,10,,10,,,,,0xFFFFFFFF,7,2,,,,,,{ itemheal rand(325,405),0; },{},{}
REPLACE INTO `item_db` VALUES (544,'Fish_Slice','Raw Fish',0,20,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(25,60),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (545,'Red_Slim_Potion','Condensed Red Potion',0,150,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(45,65),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (546,'Yellow_Slim_Potion','Condensed Yellow Potion',0,600,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(175,235),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (547,'White_Slim_Potion','Condensed White Potion',0,1650,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (548,'Cheese','Cheese',0,2800,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(10,15); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (549,'Nice_Sweet_Potato','Yam',0,180,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(50,100),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (550,'Popped_Rice','Rice Cake',0,10,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(10,15),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (551,'Shusi','Sushi',0,1,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(50,60),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (552,'KETUPAT','Ketupat',0,1,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(70,90),rand(20,30); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (553,'Bun','Bao',0,1,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(35,70),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (554,'Mojji','Mochi',0,100,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(105,145),0; if(rand(1000)<10) sc_start SC_Stun,3000,0; if(rand(1000)<15) sc_start SC_Blind,2000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (555,'Rice_Cake','Traditional Rice Cake',0,100,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(105,145),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (556,'Long_Rice_Cake','Rice Cake Stick',0,10,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(20,25),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (557,'Hash_Rice_Cake','Neatly Sliced Rice Cake',0,10,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(25,30),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (558,'Chocolate','Chocolate',0,1,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 1,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (559,'HandMade_Chocolate','Hand-made Chocolate',0,1,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 50,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (560,'HandMade_Chocolate_','Hand-made White Chocolate',0,5000,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 50,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (561,'White_Chocolate','White Chocolate',0,5000,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 50,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (562,'Pizza','Doublecrust Swiss Fondue',0,100,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(70,100),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (563,'Pizza_01','Doublecrust Swiss Fondue',0,1200,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(375,445),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (564,'Rice_Ball','Rice Ball',0,1,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 200,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (565,'Vita500_Bottle','Vita500',0,580,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(142,274),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (566,'Tomyumkung','Tom Yum Goong',0,10000,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(244,350),rand(10,30); sc_end SC_Poison; sc_end SC_Silence; sc_end SC_Blind; sc_end SC_Confusion; sc_end SC_Curse; sc_end SC_Hallucination; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (567,'Prawn','Shrimp',0,500,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(117,192),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (568,'Lemon','Lemon',0,60,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(10,20); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (569,'Novice_Potion','Novice Potion',0,NULL,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(22,33),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (570,'Lucky_Candy','Lucky Candy',0,10,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(45,65),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (571,'Lucky_Cnady_Cane','Lucky Candy Cane',0,20,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(105,145),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (572,'Lucky_Cookie','Lucky Cookie',0,1000,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(160,200),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (573,'Chocolate_Drink','Chocolate Drink',0,7000,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(330,410),rand(45,65); sc_end SC_Poison; sc_end SC_Silence; sc_end SC_Blind; sc_end SC_Confusion; sc_end SC_Curse; sc_end SC_Hallucination; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (574,'Egg','Egg',0,20,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(33,42),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (575,'Piece_Of_Cake_','2nd Anniversary Cake',0,10,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(270,330),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (576,'Prickly_Fruit','Prickly Fruit',0,540,NULL,60,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(150,300),rand(20,30); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (577,'Grain','Bag of Grain',0,200,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(60,70),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (578,'Strawberry','Strawberry',0,200,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal 0,rand(16,28); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (579,'Yummy_Fish','Fresh Fish',0,250,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(100,150),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (580,'Bread','Bread',0,150,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(50,90),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (581,'Mushroom','Edible Mushroom',0,40,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(20,30),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (582,'Orange','Orange',0,300,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(10,20),rand(10,20); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (583,'Ketupat_','Ketupat',0,7000,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),rand(40,60); sc_end SC_Poison; sc_end SC_Silence; sc_end SC_Blind; sc_end SC_Confusion; sc_end SC_Curse; sc_end SC_Hallucination; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (584,'Skewer_Soup','Skewer Soup',0,100,NULL,60,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(40,70),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (585,'Brusti','Brusti',0,2,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(15,20),0; itemskill 74,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (586,'Mother\'s_Cake','Mother\'s Cake',0,20,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(325,405),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (587,'Thorny_Fruit','Red Thorn Fruit',0,880,NULL,60,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(270,330),rand(20,30); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (588,'Spaghetti','Spaghetti',0,100,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(40,70),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (589,'Pizza_','Pizza',0,1200,NULL,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(375,445),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (590,'Brizel_','Brezel',0,2,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(50,90),0; ',NULL,NULL);
# // Usable Items
# //===================================================================
REPLACE INTO `item_db` VALUES (601,'Wing_Of_Fly','Fly Wing',2,60,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' warp "Random",0,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (602,'Wing_Of_Butterfly','Butterfly Wing',2,300,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' warp "SavePoint",0,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (603,'Old_Blue_Box','Old Blue Box',2,10000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_BlueBox),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (604,'Branch_Of_Dead_Tree','Dead Branch',2,50,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' monster "this",-1,-1,"--ja--",-1,1,""; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (605,'Anodyne','Anodyne',0,2000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_ENDURE,10000,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (606,'Aloebera','Aloevera',0,1500,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_PROVOKE,30000,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (607,'Yggdrasilberry','Yggdrasil Berry',0,5000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 100,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (608,'Seed_Of_Yggdrasil','Yggdrasil Seed',0,5000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 50,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (609,'Amulet','Amulet',2,100,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (610,'Leaf_Of_Yggdrasil','Yggdrasil Leaf',11,4000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 54,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (611,'Spectacles','Magnifier',11,40,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 40,1; ',NULL,NULL);
# // Smithing Items
REPLACE INTO `item_db` VALUES (612,'Portable_Furnace','Mini Furnace',2,150,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 21; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (613,'Iron_Hammer','Iron Hammer',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (614,'Golden_Hammer','Golden Hammer',2,3000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (615,'Oridecon_Hammer','Oridecon Hammer',2,5000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 3; ',NULL,NULL);
# // Item Givers
REPLACE INTO `item_db` VALUES (616,'Old_Card_Album','Old Card Album',2,10000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_CardAlbum),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (617,'Old_Violet_Box','Old Purple Box',2,10000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_VioletBox),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (618,'Worn_Out_Scroll','Worn Out Scroll',2,50,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_ScrollBox),1; ',NULL,NULL);
# // Pet Tames
REPLACE INTO `item_db` VALUES (619,'Unripe_Apple','Unripe Apple',11,1000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1002; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (620,'Orange_Juice','Orange Juice',11,1500,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1113; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (621,'Bitter_Herb','Bitter Herb',11,NULL,10,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1031; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (622,'Rainbow_Carrot','Rainbow Carrot',11,2500,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1063; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (623,'Earthworm_The_Dude','Earthworm the Dude',11,4000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1049; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (624,'Rotten_Fish','Rotten Fish',11,2500,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1011; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (625,'Lusty_Iron','Rusty Iron',11,100,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1042; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (626,'Monster_Juice','Monster Juice',11,1500,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1035; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (627,'Sweet_Milk','Sweet Milk',11,7000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1167; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (628,'Well_Dried_Bone','Well-Dried Bone',11,10000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1107; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (629,'Singing_Flower','Singing Flower',11,300,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1052; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (630,'Dew_Laden_Moss','Dew Laden Moss',11,10,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1014; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (631,'Deadly_Noxious_Herb','Deadly Noxious Herb',11,NULL,10,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1077; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (632,'Fatty_Chubby_Earthworm','Fatty Chubby Earthworm',11,5000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1019; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (633,'Baked_Yam','Sweet Potato',11,NULL,10,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1056; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (634,'Tropical_Banana','Tropical Banana',11,NULL,10,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1057; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (635,'Horror_Of_Tribe','Orc Trophy',11,300,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1023; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (636,'No_Recipient','No Recipient',11,100,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1026; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (637,'Old_Broom','Old Broom',11,350,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1110; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (638,'Silver_Knife_Of_Chaste','Silver Knife of Chastity',11,12000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1170; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (639,'Armlet_Of_Obedience','Armlet of Obedience',11,18000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1029; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (640,'Shining_Stone','Shining Stone',11,3000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1155; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (641,'Contracts_In_Shadow','Contracts in Shadow',11,100,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1109; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (642,'Book_Of_Devil','Book of the Devil',11,1800,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1101; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (643,'Pet_Incubator','Pet Incubator',2,3000,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' bpet; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (644,'Gift_Box','Gift Box',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_GiftBox),1; ',NULL,NULL);
# // ASPD Potions
REPLACE INTO `item_db` VALUES (645,'Center_Potion','Concentration Potion',2,800,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_ASPDPOTION0,1800000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (656,'Awakening_Potion','Awakening Potion',2,1500,NULL,150,NULL,NULL,NULL,NULL,0xFFF7FEEF,7,2,NULL,NULL,40,NULL,NULL,' sc_end SC_Sleep; sc_start SC_ASPDPOTION1,1800000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (657,'Berserk_Potion','Berserk Potion',2,3000,NULL,200,NULL,NULL,NULL,NULL,0x01E646A6,7,2,NULL,NULL,85,NULL,NULL,' sc_start SC_ASPDPOTION2,1800000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (658,'Union_Of_Tribe','Tribal Solidarity',2,NULL,1,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' guildgetexp rand(600000,1200000); ',NULL,NULL);
# // New Pet Tames
REPLACE INTO `item_db` VALUES (659,'Heart_Of_Her','Her Heart',11,500,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1188; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (660,'Prohibition_Red_Candle','Forbidden Red Candle',11,20000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1200; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (661,'Sway_Apron','Soft Apron',11,20000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' pet 1275; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (662,'Inspector_Certificate','Authoritative Badge',2,1450,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' specialeffect 507; sc_start SC_SpeedUp0,240000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (663,'Korea_Rice_Cake','Songpyun',0,1,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 10,0; ',NULL,NULL);
# // Item Givers
REPLACE INTO `item_db` VALUES (664,'Gift_Box_1','Gift Box',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_GiftBox_1),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (665,'Gift_Box_2','Gift Box',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_GiftBox_2),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (666,'Gift_Box_3','Gift Box',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_GiftBox_3),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (667,'Gift_Box_4','Gift Box',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_GiftBox_4),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (668,'Handsei','Red_Envelope',2,0,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' set Zeny,Zeny+rand(1000,10000); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (669,'Rice_Cake_Soup','Rice-Cake Soup',0,500,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal -100,-100; ',NULL,NULL);
# // Coins
REPLACE INTO `item_db` VALUES (670,'Gold_Coin_Moneybag','Bag of Gold Coins',2,100000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (671,'Gold_Coin','Gold Coin',2,10000,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (672,'Copper_Coin_Moneybag','Bag of Bronze Coins',2,1000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (673,'Copper_Coin','Bronze Coin',2,100,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (674,'Mithril_Coin','Mithril Coin',2,5000,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (675,'Silver_Coin','Silver Coin',2,5000,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (676,'Silver_Coin_Moneybag','Bag of Silver Coins',2,50000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (677,'White_Gold_Coin','Platinum Coin',2,2000,NULL,40,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (678,'Poison_Bottle','Poison Bottle',0,5000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' if(Class == Job_Assassin_Cross) { sc_start SC_DPoison,60000,0; sc_start SC_ASPDPOTION3,60000,0; } else percentheal -100,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (679,'Gold_Pill','Pilule',0,5000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 50,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (680,'Magical_Carnation','Magic Carnation',0,NULL,0,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 0,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (681,'Memory_Of_Wedding','Sweet Memory of Marriage',2,50000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // ATK/MATK Potions
REPLACE INTO `item_db` VALUES (682,'Realgar_Wine','Distilled Fighting Spirit',0,NULL,0,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_ATKPOTION,60000,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (683,'Exorcize_Herb','Herb of Incantation',0,NULL,0,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_MATKPOTION,60000,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (684,'Durian','Durian',0,15000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_ATKPOTION,60000,10; sc_start SC_MATKPOTION,60000,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (685,'RAMADAN','Ramadan',0,5000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 100,50; ',NULL,NULL);
# // Scrolls
REPLACE INTO `item_db` VALUES (686,'Earth_Scroll_1_3','Level 3 Earth Spike',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 90,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (687,'Earth_Scroll_1_5','Level 5 Earth Spike',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 90,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (688,'Cold_Scroll_1_3','Level 3 Cold Bolt',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 14,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (689,'Cold_Scroll_1_5','Level 5 Cold Bolt',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 14,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (690,'Fire_Scroll_1_3','Level 3 Fire Bolt',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 19,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (691,'Fire_Scroll_1_5','Level 5 Fire Bolt',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 19,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (692,'Wind_Scroll_1_3','Level 3 Lightening Bolt',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 20,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (693,'Wind_Scroll_1_5','Level 5 Lightening Bolt',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 20,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (694,'Ghost_Scroll_1_3','Level 3 Soul Strike',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 13,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (695,'Ghost_Scroll_1_5','Level 5 Soul Strike',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 13,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (696,'Fire_Scroll_2_1','Level 1 Fire Ball',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 17,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (697,'Fire_Scroll_2_5','Level 5 Fire Ball',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 17,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (698,'Fire_Scroll_3_1','Level 1 Fire Wall',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 18,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (699,'Fire_Scroll_3_5','Level 5 Fire Wall',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 18,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (700,'Cold_Scroll_2_1','Level 1 Frost Diver',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 15,1; ',NULL,NULL);
# // Etc Items
# //===================================================================
REPLACE INTO `item_db` VALUES (701,'Ora_Ora','Ora Ora',3,NULL,27500,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (702,'Animal_Blood','Animal Gore',3,NULL,1,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (703,'Hinalle','Hinalle',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (704,'Aloe','Aloe',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (705,'Clover','Clover',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (706,'Four_Leaf_Clover','Four Leaf Clover',3,NULL,40000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (707,'Singing_Plant','Singing Plant',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (708,'Ment','Ment',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (709,'Izidor','Izidor',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (710,'Illusion_Flower','Illusion Flower',3,NULL,500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (711,'Shoot','Shoot',3,NULL,8,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (712,'Flower','Flower',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (713,'Empty_Bottle','Empty Bottle',3,NULL,3,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (714,'Emperium','Emperium',3,NULL,1,1000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (715,'Yellow_Gemstone','Yellow Gemstone',3,NULL,300,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (716,'Red_Gemstone','Red Gemstone',3,NULL,300,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (717,'Blue_Gemstone','Blue Gemstone',3,NULL,300,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (718,'Dark_Red_Jewel','Garnet',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (719,'Violet_Jewel','Amethyst',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (720,'Skyblue_Jewel','Aquamarine',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (721,'Azure_Jewel','Emerald',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (722,'Scarlet_Jewel','Pearl',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (723,'Cardinal_Jewel','Ruby',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (724,'Cardinal_Jewel_','Cursed Ruby',3,NULL,500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (725,'Red_Jewel','Sardonyx',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (726,'Blue_Jewel','Sapphire',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (727,'White_Jewel','Opal',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (728,'Golden_Jewel','Topaz',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (729,'Bluish_Green_Jewel','Zircon',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (730,'Crystal_Jewel','1carat Diamond',3,NULL,5000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (731,'Crystal_Jewel_','2carat Diamond',3,NULL,12500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (732,'Crystal_Jewel__','3carat Diamond',3,NULL,27500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (733,'Crystal_Jewel___','Cracked Diamond',3,NULL,1,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (734,'Red_Frame','Red Frame',3,NULL,1500,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (735,'Blue_Porcelain','Chung Jah',3,NULL,2500,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (736,'White_Platter','China',3,NULL,500,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (737,'Black_Ladle','Black Ladle',3,NULL,200,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (738,'Pencil_Case','Pencil Case',3,NULL,150,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (739,'Rouge','Rouge',3,NULL,5000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (740,'Stuffed_Doll','Puppet',3,NULL,500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (741,'Poring_Doll','Poring Doll',3,NULL,900,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (742,'Chonchon_Doll','Chonchon Doll',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (743,'Spore_Doll','Spore Doll',3,NULL,2750,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (744,'Bunch_Of_Flowers','Bouquet',3,NULL,1000,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (745,'Wedding_Bouquet','Wedding Bouquet',3,NULL,5000,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (746,'Glass_Bead','Glass Bead',3,NULL,700,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (747,'Crystal_Mirror','Crystal Mirror',3,NULL,7500,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (748,'Witherless_Rose','Witherless Rose',3,NULL,27500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (749,'Frozen_Rose','Frozen Rose',3,NULL,17500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (750,'Baphomet_Doll','Baphomet Doll',3,NULL,9000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (751,'Osiris_Doll','Osiris Doll',3,NULL,7000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (752,'Grasshopper_Doll','Grasshopper Doll',3,NULL,2000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (753,'Monkey_Doll','Yoyo Doll',3,NULL,3000,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (754,'Raccoondog_Doll','Raccoon Doll',3,NULL,2500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (756,'Oridecon_Stone','Rough Oridecon',3,NULL,274,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (757,'Elunium_Stone','Rough Elunium',3,NULL,324,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (901,'Danggie','Danggie',3,NULL,125,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (902,'Tree_Root','Tree Root',3,NULL,6,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (903,'Reptile_Tongue','Reptile Tongue',3,NULL,25,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (904,'Scorpion\'s_Tail','Scorpion Tail',3,NULL,62,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (905,'Stem','Stem',3,NULL,29,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (906,'Pointed_Scale','Pointed Scale',3,NULL,35,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (907,'Resin','Resin',3,NULL,60,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (908,'Spawn','Spawn',3,NULL,74,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (909,'Jellopy','Jellopy',3,NULL,3,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (910,'Garlet','Garlet',3,NULL,20,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (911,'Scell','Scell',3,NULL,80,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (912,'Zargon','Zargon',3,NULL,240,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (913,'Tooth_Of_Bat','Tooth of Bat',3,NULL,17,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (914,'Fluff','Fluff',3,NULL,4,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (915,'Chrysalis','Chrysalis',3,NULL,4,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (916,'Feather_Of_Birds','Feather of Birds',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (917,'Talon','Talon',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (918,'Sticky_Webfoot','Sticky Webfoot',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (919,'Animal\'s_Skin','Animal Skin',3,NULL,18,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (920,'Claw_Of_Wolves','Wolf Claw',3,NULL,29,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (921,'Mushroom_Spore','Mushroom Spore',3,NULL,18,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (922,'Orcish_Cuspid','Orc\'s Fang',3,NULL,110,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (923,'Evil_Horn','Evil Horn',3,NULL,510,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (924,'Powder_Of_Butterfly','Powder of Butterfly',3,NULL,45,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (925,'Bill_Of_Birds','Bill of Birds',3,NULL,32,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (926,'Scale_Of_Snakes','Snake Scale',3,NULL,41,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (928,'Insect_Feeler','Insect Feeler',3,NULL,57,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (929,'Immortal_Heart','Immortal Heart',3,NULL,187,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (930,'Rotten_Bandage','Rotten Bandage',3,NULL,179,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (931,'Orcish_Voucher','Orcish Voucher',3,NULL,84,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (932,'Skel_Bone','Skel-Bone',3,NULL,116,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (934,'Mementos','Memento',3,NULL,300,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (935,'Shell','Shell',3,NULL,7,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (936,'Scales_Shell','Scale Shell',3,NULL,233,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (937,'Posionous_Canine','Venom Canine',3,NULL,74,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (938,'Sticky_Mucus','Sticky Mucus',3,NULL,35,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (939,'Bee_Sting','Bee Sting',3,NULL,16,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (940,'Grasshopper\'s_Leg','Grasshopper\'s Leg',3,NULL,18,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (941,'Nose_Ring','Nose Ring',3,NULL,284,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (942,'Yoyo_Tail','Yoyo Tail',3,NULL,57,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (943,'Solid_Shell','Solid Shell',3,NULL,224,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (944,'Horseshoe','Horseshoe',3,NULL,294,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (945,'Raccoon_Leaf','Raccoon Leaf',3,NULL,53,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (946,'Snail\'s_Shell','Snail\'s Shell',3,NULL,32,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (947,'Horn','Horn',3,NULL,58,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (948,'Bear\'s_Foot','Bear\'s Footskin',3,NULL,87,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (949,'Feather','Feather',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (950,'Heart_Of_Mermaid','Heart of Mermaid',3,NULL,132,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (951,'Fin','Fin',3,NULL,206,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (952,'Cactus_Needle','Cactus Needle',3,NULL,41,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (953,'Stone_Heart','Stone Heart',3,NULL,92,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (954,'Shining_Scales','Shining Scale',3,NULL,233,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (955,'Worm_Peelings','Worm Peeling',3,NULL,26,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (956,'Gill','Gill',3,NULL,171,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (957,'Decayed_Nail','Decayed Nail',3,NULL,41,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (958,'Horrendous_Mouth','Horrendous Mouth',3,NULL,195,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (959,'Rotten_Scale','Stinky Scale',3,NULL,84,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (960,'Nipper','Nipper',3,NULL,57,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (961,'Conch','Conch',3,NULL,79,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (962,'Tentacle','Tentacle',3,NULL,35,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (963,'Sharp_Scale','Sharp Scale',3,NULL,125,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (964,'Crap_Shell','Crab Shell',3,NULL,45,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (965,'Clam_Shell','Clam Shell',3,NULL,28,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (966,'Flesh_Of_Clam','Clam Flesh',3,NULL,79,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (967,'Turtle_Shell','Turtle Shell',3,NULL,340,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (968,'Voucher_Of_Orcish_Hero','Heroic Emblem',3,NULL,1500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (969,'Gold','Gold',3,NULL,100000,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (970,'Alchol','Alcohol',3,NULL,200,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (971,'Detrimindexta','Detrimindexta',3,NULL,200,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (972,'Karvodailnirol','Karvodailnirol',3,NULL,200,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (973,'Counteragent','Counteragent',3,NULL,100,70,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (974,'Mixture','Mixture',3,NULL,100,70,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (975,'Scarlet_Dyestuffs','Scarlet Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (976,'Lemon_Dyestuffs','Lemon Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (978,'Cobaltblue_Dyestuffs','Cobaltblue Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (979,'Darkgreen_Dyestuffs','Darkgreen Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (980,'Orange_Dyestuffs','Orange Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (981,'Violet_Dyestuffs','Violet Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (982,'White_Dyestuffs','White Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (983,'Black_Dyestuffs','Black Dyestuff',3,NULL,500,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (984,'Oridecon','Oridecon',3,NULL,550,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (985,'Elunium','Elunium',3,NULL,550,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (986,'Anvil','Anvil',3,NULL,15000,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (987,'Oridecon_Anvil','Oridecon Anvil',3,NULL,60000,700,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (988,'Golden_Anvil','Golden Anvil',3,NULL,150000,900,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (989,'Emperium_Anvil','Emperium Anvil',3,NULL,300000,1000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (990,'Boody_Red','Red Blood',3,NULL,500,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (991,'Crystal_Blue','Crystal Blue',3,NULL,500,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (992,'Wind_Of_Verdure','Wind of Verdure',3,NULL,500,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (993,'Yellow_Live','Green Live',3,NULL,500,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (994,'Flame_Heart','Flame Heart',3,NULL,1500,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (995,'Mistic_Frozen','Mystic Frozen',3,NULL,1500,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (996,'Rough_Wind','Rough Wind',3,NULL,1500,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (997,'Great_Nature','Great Nature',3,NULL,1500,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (998,'Iron','Iron',3,NULL,50,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (999,'Steel','Steel',3,NULL,500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1000,'Star_Crumb','Star Crumb',3,NULL,2250,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1001,'Sparkling_Dust','Star Dust',3,NULL,750,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1002,'Iron_Ore','Iron Ore',3,NULL,25,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1003,'Coal','Coal',3,NULL,250,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1004,'Patriotism_Marks','Chivalry Emblem',3,NULL,1,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1005,'Hammer_Of_Blacksmith','Hammer of Blacksmith',3,NULL,1,800,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1006,'Old_Magic_Book','Old Magicbook',3,NULL,1,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1007,'Penetration','Necklace of Wisdom',3,NULL,1,40,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1008,'Frozen_Heart','Necklace of Oblivion',3,NULL,1,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1009,'Sacred_Marks','Hand of God',3,NULL,1,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1010,'Phracon','Phracon',3,NULL,100,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1011,'Emveretarcon','Emveretarcon',3,NULL,500,200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1012,'Lizard_Scruff','Frill',3,NULL,125,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1013,'Colorful_Shell','Rainbow Shell',3,NULL,45,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1014,'Jaws_Of_Ant','Ant Jaw',3,NULL,116,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1015,'Thin_N\'_Long_Tongue','Tongue',3,NULL,264,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1016,'Rat_Tail','Rat Tail',3,NULL,26,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1017,'Moustache_Of_Mole','Mole Whiskers',3,NULL,53,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1018,'Nail_Of_Mole','Mole Claw',3,NULL,105,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1019,'Wooden_Block','Trunk',3,NULL,30,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1020,'Long_Hair','Black Hair',3,NULL,146,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1021,'Dokkaebi_Horn','Dokebi Horn',3,NULL,146,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1022,'Fox_Tail','Nine Tails',3,NULL,325,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1023,'Fish_Tail','Fish Tail',3,NULL,98,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1024,'Chinese_Ink','Squid Ink',3,NULL,132,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1025,'Spiderweb','Cobweb',3,NULL,92,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1026,'Acorn','Acorn',3,NULL,49,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1027,'Porcupine_Spike','Porcupine Quill',3,NULL,79,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1028,'Wild_Boar\'s_Mane','Mane',3,NULL,98,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1029,'Tiger\'s_Skin','Tiger Skin',3,NULL,274,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1030,'Tiger_Footskin','Tiger\'s Footskin',3,NULL,750,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1031,'Limb_Of_Mantis','Mantis Scythe',3,NULL,98,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1032,'Blossom_Of_Maneater','Maneater Blossom',3,NULL,98,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1033,'Root_Of_Maneater','Maneater Root',3,NULL,104,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1034,'Cobold_Hair','Blue Hair',3,NULL,171,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1035,'Dragon_Canine','Dragon Canine',3,NULL,242,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1036,'Dragon_Scale','Dragon Scale',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1037,'Dragon_Train','Dragon Tail',3,NULL,600,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1038,'Petite_DiablOfs_Horn','Little Evil Horn',3,NULL,264,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1039,'Petite_DiablOfs_Wing','Little Evil Wing',3,NULL,1000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1040,'Elder_Pixie\'s_Beard','Elder Pixie\'s Moustache',3,NULL,116,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1041,'Lantern','Lantern',3,NULL,125,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1042,'Short_Leg','Bug Leg',3,NULL,215,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1043,'Nail_Of_Orc','Orc Claw',3,NULL,84,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1044,'Tooth_Of_','Zenorc\'s Fang',3,NULL,132,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1045,'Sacred_Masque','Cultish Masque',3,NULL,206,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1046,'Tweezer','Scorpion Nipper',3,NULL,307,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1047,'Head_Of_Medusa','Dead Medusa',3,NULL,274,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1048,'Slender_Snake','Horrendous Hair',3,NULL,400,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1049,'Skirt_Of_Virgin','Skirt of Virgin',3,NULL,850,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1050,'Tendon','Tendon',3,NULL,110,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1051,'Detonator','Detonator',3,NULL,225,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1052,'Single_Cell','Single Cell',3,NULL,23,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1053,'Tooth_Of_Ancient_Fish','Ancient Tooth',3,NULL,274,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1054,'Lip_Of_Ancient_Fish','Ancient Lips',3,NULL,500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1055,'Earthworm_Peeling','Earthworm Peeling',3,NULL,98,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1056,'Grit','Grit',3,NULL,153,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1057,'Moth_Dust','Moth Dust',3,NULL,69,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1058,'Wing_Of_Moth','Moth Wings',3,NULL,100,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1059,'Transparent_Cloth','Fabric',3,NULL,153,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1060,'Golden_Hair','Golden Hair',3,NULL,215,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1061,'Starsand_Of_Witch','Witched Starsand',3,NULL,242,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1062,'Pumpkin_Head','Jack o\' Pumpkin',3,NULL,187,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1063,'Sharpened_Cuspid','Fang',3,NULL,340,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1064,'Reins','Reins',3,NULL,401,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1065,'Booby_Trap','Trap',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1066,'Tree_Of_Archer_1','Fine-grained Trunk',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1067,'Tree_Of_Archer_2','Solid Trunk',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1068,'Tree_Of_Archer_3','Barren Trunk',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1069,'Mushroom_Of_Thief_1','Orange Net Mushroom',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1070,'Mushroom_Of_Thief_2','Orange Gooey Mushroom',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1071,'Mage_Test_1','Unknown Test Tube',3,NULL,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1072,'Delivery_Message','Delivery Message',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1073,'Merchant_Voucher_1','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1074,'Merchant_Voucher_2','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1075,'Merchant_Voucher_3','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1076,'Merchant_Voucher_4','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1077,'Merchant_Voucher_5','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1078,'Merchant_Voucher_6','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1079,'Merchant_Voucher_7','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1080,'Merchant_Voucher_8','Voucher',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1081,'Merchant_Box_1','Delivery Box',3,NULL,1,1200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1082,'Merchant_Box_2','Delivery Box',3,NULL,1,1200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1083,'Merchant_Box_3','Delivery Box',3,NULL,1,1200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1084,'Kapra\'s_Pass','Kafra Pass',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1085,'Mage_Test_2','Unknown Test Tube',3,NULL,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1086,'Mage_Test_3','Unknown Test Tube',3,NULL,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1087,'Mage_Test_4','Unknown Test Tube',3,NULL,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1088,'Morocc_Potion','Morocc Solution',3,NULL,1,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1089,'Payon_Potion','Payon Solution',3,NULL,1,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1090,'Mage_Test_Etc','Unknown Test Tube',3,NULL,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1091,'Merchant_Box_Etc','Delivery Box',3,NULL,1,1200,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1092,'Empty_Cylinder','Empty Test Tube',3,NULL,2,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1093,'Empty_Potion','Empty Potion Bottle',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1094,'Short_Daenggie','Short Daenggie',3,NULL,139,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1095,'Needle_Of_Alarm','Clock Hand',3,NULL,273,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1096,'Round_Shell','Round Shell',3,NULL,477,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1097,'Worn_Out_Page','Worn Out Page',3,NULL,410,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1098,'Manacles','Manacles',3,NULL,329,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1099,'Worn_Out_Prison_Uniform','Worn-out Prison Uniform',3,NULL,340,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // Weapons
# //===================================================================
# // 1-Handed Swords
REPLACE INTO `item_db` VALUES (1101,'Sword','Sword',4,100,NULL,500,25,NULL,1,3,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1102,'Sword_','Sword',4,100,NULL,500,25,NULL,1,4,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1103,'Sword__','Sword',4,100,NULL,500,25,NULL,1,0,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1104,'Falchion','Falchion',4,1500,NULL,600,39,NULL,1,3,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1105,'Falchion_','Falchion',4,1500,NULL,600,39,NULL,1,4,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1106,'Falchion__','Falchion',4,1500,NULL,600,39,NULL,1,0,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1107,'Blade','Blade',4,2900,NULL,700,53,NULL,1,3,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1108,'Blade_','Blade',4,2900,NULL,700,53,NULL,1,4,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1109,'Blade__','Blade',4,2900,NULL,700,53,NULL,1,0,0x000654E3,7,2,2,1,2,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1110,'Lapier','Rapier',4,10000,NULL,500,70,NULL,1,2,0x000654E3,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1111,'Lapier_','Rapier',4,10000,NULL,500,70,NULL,1,3,0x000654E3,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1112,'Lapier__','Rapier',4,10000,NULL,500,70,NULL,1,0,0x000654E3,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1113,'Scimiter','Scimitar',4,17000,NULL,700,85,NULL,1,2,0x000654E3,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1114,'Scimiter_','Scimitar',4,17000,NULL,700,85,NULL,1,3,0x000654E3,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1115,'Scimiter__','Scimitar',4,17000,NULL,700,85,NULL,1,0,0x000654E3,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1116,'Katana','Katana',4,2000,NULL,1000,60,NULL,1,3,0x00004082,7,2,34,1,4,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1117,'Katana_','Katana',4,2000,NULL,1000,60,NULL,1,4,0x00004082,7,2,34,1,4,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1118,'Katana__','Katana',4,2000,NULL,1000,60,NULL,1,0,0x00004082,7,2,34,1,4,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1119,'Tsurugi','Tsurugi',4,51000,NULL,1200,130,NULL,1,1,0x000654E2,7,2,2,3,27,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1120,'Tsurugi_','Tsurugi',4,51000,NULL,1200,130,NULL,1,2,0x000654E2,7,2,2,3,27,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1121,'Tsurugi__','Tsurugi',4,51000,NULL,1200,130,NULL,1,0,0x000654E2,7,2,2,3,27,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1122,'Ring_Pommel_Saber','Ring Pommel Saber',4,24000,NULL,900,100,NULL,1,2,0x000654E2,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1123,'Haedonggum','Haedonggum',4,50000,NULL,900,120,NULL,1,1,0x000654E2,7,2,2,3,27,1,2,' bonus bInt,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1124,'Orcish_Sword','Orcish sword',4,NULL,10,800,90,NULL,1,0,0x000654E3,7,2,2,3,5,1,2,' bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1125,'Ring_Pommel_Saber_','Ring Pommel Saber',4,24000,NULL,900,100,NULL,1,3,0x000654E2,7,2,2,2,14,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1126,'Saber','Saber',4,49000,NULL,1000,115,NULL,1,2,0x000654E2,7,2,2,3,27,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1127,'Saber_','Saber',4,49000,NULL,1000,115,NULL,1,3,0x000654E2,7,2,2,3,27,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1128,'Hae_Dong_Gum_','Haedonggum',4,50000,NULL,900,120,NULL,1,2,0x000654E2,7,2,2,3,27,1,2,' bonus bInt,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1129,'Flamberge','Flamberge',4,60000,NULL,1500,150,NULL,1,0,0x00004080,7,2,2,3,27,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1130,'Nagan','Nagan',4,NULL,10,500,120,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bDoubleRate,25; bonus2 bAddRace,RC_DemiHuman,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1131,'Ice_Falchon','Ice Falchion',4,NULL,10,600,100,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bAtkEle,Ele_Water; bonus2 bAddEff,Eff_Freeze,500; bonus2 bAddEff2,Eff_Freeze,10; skill 14,3; bonus3 bAutoSpell,14,3,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1132,'Edge','Edge',4,NULL,10,700,115,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus2 bAddEff,Eff_Curse,300; bonus2 bWeaponComaRace,RC_NonBoss,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1133,'Fire_Brand','Fireblend',4,NULL,10,500,100,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bAtkEle,Ele_Fire; skill 19,3; bonus3 bAutoSpell,19,3,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1134,'Scissores_Sword','Caesar\'s Sword',4,NULL,10,700,140,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus2 bAddRace,RC_Plant,25; bonus bIgnoreDefRace,RC_Plant; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1135,'Cutlas','Cutlus',4,NULL,10,900,150,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' skill 5,5; bonus bStr,2; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1136,'Solar_Sword','Solar Sword',4,NULL,10,1200,85,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bAtkEle,Ele_Fire; bonus2 bHPDrainRate,1000,1; bonus2 bSPLossRate,15,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1137,'Excalibur','Excalibur',4,NULL,10,1200,150,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bInt,5; bonus bLuk,10; bonus bDex,-1; bonus bAtkEle,Ele_Holy; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1138,'Mysteltainn_','Mysteltainn',4,NULL,10,1000,170,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bAtkEle,Ele_Dark; bonus2 bAddEle,Ele_Ghost,15; bonus3 bAutoSpell,16,3,100; bonus2 bAddEff,Eff_Stone,10; bonus bDex,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1139,'Tale_Fing_','Tirfing',4,NULL,10,1000,200,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bAtkEle,Ele_Dark; bonus2 bHPLossRate,35,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1140,'Byeorrun_Gum','Byeollungum',4,NULL,10,900,150,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus2 bSubRace,RC_NonBoss,-10; bonus2 bAddRace,RC_Boss,50; bonus bAllStats,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1141,'Immaterial_Sword','Immaterial Sword',4,NULL,10,900,140,NULL,1,0,0x000654E2,7,2,2,4,40,1,2,' bonus bAtkEle,Ele_Ghost; bonus2 bSPVanishRate,30,30; bonus bSPDrainValue,-1; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1142,'Jewel_Sword','Jeweled Sword',4,NULL,10,2200,104,NULL,1,0,0x000654E2,7,2,2,3,68,1,2,' bonus2 bAddMonsterDropItemGroup,IG_Jewel,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1143,'Gaia_Sword','Gaia Sword',4,NULL,10,2500,140,NULL,1,0,0x000654E2,7,2,2,3,74,1,2,' bonus2 bAddMonsterDropItemGroup,IG_Ore,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1144,'Sasimi','Sashimi',4,NULL,10,1400,75,NULL,1,0,0x000654E2,7,2,2,3,48,1,2,' bonus bAtkEle,Ele_Wind; bonus3 bAddMonsterDropItem,544,RC_Fish,4000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1145,'Holy_Avenger','Holy Avenger',4,450000,NULL,1350,125,NULL,1,0,0x00004000,7,2,2,3,75,1,2,' bonus bAtkEle,Ele_Holy; bonus bVit,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1146,'Town_Sword','Town Sword',4,42000,NULL,800,100,NULL,1,1,0x00000001,7,2,2,3,30,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1147,'Town_Sword_','Town Sword',4,42000,NULL,800,100,NULL,1,2,0x00000001,7,2,2,3,30,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1148,'Star_Dust_Blade','Star Dust Blade',4,NULL,10,1000,140,NULL,1,1,0x00000001,7,2,2,4,45,1,2,' bonus2 bAddEff,Eff_Stun,500; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1149,'Flamberge_','Flamberge',4,60000,NULL,1500,150,NULL,1,2,0x00004080,7,2,2,3,27,1,2,NULL,NULL,NULL);
# // 2-Handed Swords
REPLACE INTO `item_db` VALUES (1151,'Slayer','Slayer',4,15000,NULL,1300,90,NULL,1,2,0x00004082,7,2,34,2,18,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1152,'Slayer_','Slayer',4,15000,NULL,1300,90,NULL,1,3,0x00004082,7,2,34,2,18,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1153,'Slayer__','Slayer',4,15000,NULL,1300,90,NULL,1,0,0x00004082,7,2,34,2,18,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1154,'Bastard_Sword','Bastard Sword',4,22500,NULL,1600,115,NULL,1,2,0x00004082,7,2,34,2,18,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1155,'Bastard_Sword_','Bastard Sword',4,22500,NULL,1600,115,NULL,1,3,0x00004082,7,2,34,2,18,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1156,'Bastard_Sword__','Bastard Sword',4,22500,NULL,1600,115,NULL,1,0,0x00004082,7,2,34,2,18,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1157,'Two_Hand_Sword','Two-Handed Sword',4,60000,NULL,2200,160,NULL,1,1,0x00004082,7,2,34,3,33,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1158,'Two_Hand_Sword_','Two-Handed Sword',4,60000,NULL,2200,160,NULL,1,2,0x00004082,7,2,34,3,33,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1159,'Two_Hand_Sword__','Two-Handed Sword',4,60000,NULL,2200,160,NULL,1,0,0x00004082,7,2,34,3,33,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1160,'Broad_Sword','Broad Sword',4,65000,NULL,2000,140,NULL,1,1,0x00004082,7,2,34,3,33,1,3,' bonus bDef,5; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1161,'Balmung','Balmung',4,NULL,10,1000,250,NULL,1,0,0xFFFFFFFF,7,2,34,4,48,1,1,' bonus bAtkEle,Ele_Holy; bonus bInt,20; bonus bLuk,20; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1162,'Broad_Sword_','Broad Sword',4,65000,NULL,2000,140,NULL,1,2,0x00004082,7,2,34,3,33,1,3,' bonus bDef,5; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1163,'Claymore','Claymore',4,74000,NULL,2500,180,NULL,1,0,0x00004080,7,2,34,3,33,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1164,'Muramasa','Muramasa',4,NULL,10,1000,155,NULL,1,0,0x00004082,7,2,34,4,48,1,3,' bonus bCritical,30; bonus bAspdRate,8; bonus2 bAddEff2,Eff_Curse,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1165,'Masamune','Masamune',4,NULL,10,1000,200,NULL,1,0,0x00004082,7,2,34,4,48,1,3,' bonus bFlee,30; bonus bStr,-5; bonus bAspd,2; bonus bDefRate,-67; bonus bDef2Rate,-67; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1166,'Dragon_Slayer','Dragon Slayer',4,NULL,10,1300,150,NULL,1,0,0x00004082,7,2,34,4,48,1,3,' bonus bIgnoreDefRace,RC_Dragon; bonus2 bAddRace,RC_Dragon,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1167,'Schweizersabel','Schweizersabel',4,NULL,10,1600,160,NULL,1,0,0x00004082,7,2,34,4,48,1,3,' bonus bAtkEle,Ele_Wind; bonus bDef,1; bonus3 bAutoSpell,20,3,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1168,'Zweihander','Zweihander',4,NULL,10,2200,200,NULL,1,0,0x00004082,7,2,34,4,48,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1169,'Executioner_','Executioner',4,NULL,10,2200,155,NULL,1,0,0x00004082,7,2,34,4,48,1,3,' bonus bIgnoreDefRace,RC_DemiHuman; bonus2 bAddRace,RC_DemiHuman,20; bonus2 bSubRace,RC_DemiHuman,-10; bonus bAtkEle,Ele_Dark; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1170,'Katzbalger','Katzbalger',4,NULL,10,2000,175,NULL,1,0,0x00004082,7,2,34,4,48,1,3,' bonus bVit,5; bonus bDef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1171,'Zweihander_','Zweihander',4,NULL,10,2200,200,NULL,1,2,0x00004082,7,2,34,4,48,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1172,'Claymore_','Claymore',4,74000,NULL,2500,180,NULL,1,2,0x00004080,7,2,34,3,33,1,3,NULL,NULL,NULL);
# // Daggers
REPLACE INTO `item_db` VALUES (1201,'Knife','Knife',4,50,NULL,400,17,NULL,1,3,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1202,'Knife_','Knife',4,50,NULL,400,17,NULL,1,4,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1203,'Knife__','Knife',4,50,NULL,400,17,NULL,1,0,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1204,'Cutter','Cutter',4,1250,NULL,500,30,NULL,1,3,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1205,'Cutter_','Cutter',4,1250,NULL,500,30,NULL,1,4,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1206,'Cutter__','Cutter',4,1250,NULL,500,30,NULL,1,0,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1207,'Main_Gauche','Main Gauche',4,2400,NULL,600,43,NULL,1,3,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1208,'Main_Gauche_','Main Gauche',4,2400,NULL,600,43,NULL,1,4,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1209,'Main_Gauche__','Main Gauche',4,2400,NULL,600,43,NULL,1,0,0xFE9F7EEF,7,2,2,1,1,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1210,'Dirk','Dirk',4,8500,NULL,500,59,NULL,1,2,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1211,'Dirk_','Dirk',4,8500,NULL,500,59,NULL,1,3,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1212,'Dirk__','Dirk',4,8500,NULL,500,59,NULL,1,0,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1213,'Dagger','Dagger',4,14000,NULL,600,73,NULL,1,2,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1214,'Dagger_','Dagger',4,14000,NULL,600,73,NULL,1,3,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1215,'Dagger__','Dagger',4,14000,NULL,600,73,NULL,1,0,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1216,'Stiletto','Stiletto',4,19500,NULL,700,87,NULL,1,2,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1217,'Stiletto_','Stiletto',4,19500,NULL,700,87,NULL,1,3,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1218,'Stiletto__','Stiletto',4,19500,NULL,700,87,NULL,1,0,0xFE9F7EEF,7,2,2,2,12,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1219,'Gladius','Gladius',4,43000,NULL,700,105,NULL,1,2,0x028F5EEE,7,2,2,3,24,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1220,'Gladius_','Gladius',4,43000,NULL,700,105,NULL,1,3,0x028F5EEE,7,2,2,3,24,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1221,'Gladius__','Gladius',4,43000,NULL,700,105,NULL,1,0,0x028F5EEE,7,2,2,3,24,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1222,'Damascus','Damascus',4,49000,NULL,800,118,NULL,1,1,0x028F5EEE,7,2,2,3,24,1,1,' bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1223,'Forturn_Sword','Fortune Sword',4,NULL,10,500,90,NULL,1,0,0x028F5EEE,7,2,2,4,24,1,1,' bonus bLuk,5; bonus bFlee2,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1224,'Sword_Breaker','Swordbreaker',4,NULL,10,1000,70,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bBreakWeaponRate,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1225,'Mail_Breaker','Mailbreaker',4,NULL,10,1000,70,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bBreakArmorRate,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1226,'Damascus_','Damascus',4,49000,NULL,800,118,NULL,1,2,0x028F5EEE,7,2,2,3,24,1,1,' bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1227,'Weeder_Knife','Weeder Knife',4,NULL,10,400,80,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bIgnoreDefRace,RC_Plant; bonus2 bAddRace,RC_Plant,15; bonus2 bSubRace,RC_Plant,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1228,'Combat_Knife','Combat Knife',4,NULL,10,400,80,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bIgnoreDefRace,RC_DemiHuman; bonus2 bSubRace,RC_DemiHuman,10; bonus2 bSubRace,RC_Demon,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1229,'Mama\'s_Knife','Kitchen Knife',4,NULL,10,500,75,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bCritical,30; bonus2 bAddRace,RC_DemiHuman,3; bonus3 bAddMonsterDropItem,517,RC_Brute,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1230,'House_Auger','Ice Pick',4,NULL,10,600,80,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bDefRatioAtkRace,RC_Boss; bonus bDefRatioAtkRace,RC_NonBoss; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1231,'Bazerald','Bazerald',4,NULL,10,500,70,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bAtkEle,Ele_Fire; bonus bInt,5; bonus bMatkRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1232,'Assasin_Dagger','Assassin Dagger',4,NULL,10,600,140,NULL,1,0,0x00001000,7,2,2,4,36,1,1,' bonus bMaxHPrate,20; bonus bMaxSPrate,15; bonus bAspdRate,2; bonus bAtkEle,Ele_Dark; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1233,'Exercise','Exorciser',4,NULL,10,700,90,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bIgnoreDefRace,RC_Demon; bonus2 bSubRace,RC_Demon,5; bonus2 bSubRace,RC_DemiHuman,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1234,'Moonlight_Sword','Moonlight Dagger',4,NULL,10,700,50,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bMaxSPrate,10; bonus bSPDrainValue,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1235,'Azoth','Azoth',4,NULL,10,700,110,NULL,1,0,0x00040000,7,2,2,4,36,1,1,' bonus bClassChange,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1236,'Sucsamad','Sucsamad',4,NULL,10,800,140,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus2 bAddEle,Ele_Earth,10; bonus2 bAddEle,Ele_Wind,10; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1237,'Grimtooth_','Grimtooth',4,NULL,10,800,180,NULL,1,0,0x028F5EEE,7,2,2,4,36,1,1,' bonus bFlee,10; bonus bFlee2,5; bonus bDefRate,-50; bonus bDef2Rate,-50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1238,'Zeny_Knife','Zeny Knife',4,NULL,10,1200,64,NULL,1,0,0x028F5EEE,7,2,2,3,70,1,1,' bonus2 bGetZenyNum,10,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1239,'Poison_Knife','Poison Knife',4,NULL,10,800,64,NULL,1,0,0x028F5EEE,7,2,2,3,65,1,1,' bonus bAtkEle,Ele_Poison; bonus2 bAddEff,Eff_Poison,3000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1240,'Princess_Knife','Princess Knife',4,NULL,10,400,84,NULL,1,0,0x028F5EEE,7,2,2,4,1,1,1,' bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1241,'Cursed_Dagger','Cursed Dagger',4,80000,NULL,400,55,NULL,1,0,0x00810204,7,2,2,4,85,1,1,' bonus2 bAddEff,Eff_Curse,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1242,'Counter_Dagger','Dagger of Counter',4,120000,NULL,550,140,NULL,1,0,0x00810204,7,2,2,4,55,1,1,' bonus bCritical,90; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1243,'Novice_Knife','Novice Main Gauche',4,1,NULL,1,45,NULL,1,0,0x00000001,7,2,2,1,1,0,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1244,'Holy_Dagger','Holy Dagger',4,NULL,10,800,100,NULL,1,0,0x028F5EEE,7,2,2,4,55,1,1,' bonus bAtkEle,Ele_Holy; bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1245,'Cinquedea','Cinquedea',4,40000,NULL,700,110,NULL,1,1,0x00000001,7,2,2,3,30,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1246,'Cinquedea_','Cinquedea',4,40000,NULL,700,110,NULL,1,2,0x00000001,7,2,2,3,30,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1247,'Kindling_Dagger','Kindle Dagger',4,10000,NULL,600,39,NULL,1,0,0x008F5EEF,7,2,2,1,1,1,1,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1248,'Obsidian_Dagger','Obsidian Dagger',4,10000,NULL,600,39,NULL,1,0,0x008F5EEF,7,2,2,1,1,1,1,' bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1249,'Fisherman\'s_Dagger','Fisherman\'s Dagger',4,10000,NULL,600,39,NULL,1,0,0x008F5EEF,7,2,2,1,1,1,1,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
# // Katars
REPLACE INTO `item_db` VALUES (1250,'Jur','Jur',4,19500,NULL,800,125,NULL,1,2,0x00001000,7,2,34,2,18,1,16,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1251,'Jur_','Jur',4,19500,NULL,800,125,NULL,1,3,0x00001000,7,2,34,2,18,1,16,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1252,'Katar','Katar',4,41000,NULL,1200,148,NULL,1,1,0x00001000,7,2,34,3,33,1,16,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1253,'Katar_','Katar',4,41000,NULL,1200,148,NULL,1,2,0x00001000,7,2,34,3,33,1,16,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1254,'Jamadhar','Jamadhar',4,37200,NULL,1500,165,NULL,1,0,0x00001000,7,2,34,3,33,1,16,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1255,'Jamadhar_','Jamadhar',4,37200,NULL,1500,165,NULL,1,1,0x00001000,7,2,34,3,33,1,16,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1256,'Katar_Of_Cold_Icicle','Katar of Frozen Icicle',4,45000,NULL,1200,105,NULL,1,0,0x00001000,7,2,34,3,55,1,16,' bonus bAtkEle,Ele_Water; bonus2 bAddEff,Eff_Freeze,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1257,'Katar_Of_Thornbush','Katar of Quaking',4,45000,NULL,1200,105,NULL,1,0,0x00001000,7,2,34,3,55,1,16,' bonus bAtkEle,Ele_Earth; bonus2 bAddEff,Eff_Blind,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1258,'Katar_Of_Raging_Blaze','Katar of Raging Blaze',4,45000,NULL,1200,105,NULL,1,0,0x00001000,7,2,34,3,55,1,16,' bonus bAtkEle,Ele_Fire; bonus2 bAddEff,Eff_Silence,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1259,'Katar_Of_Piercing_Wind','Katar of Piercing Wind',4,45000,NULL,1200,105,NULL,1,0,0x00001000,7,2,34,3,55,1,16,' bonus bAtkEle,Ele_Wind; bonus2 bAddEff,Eff_Sleep,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1260,'Ghoul_Leg','Sharpened Legbone of Ghoul',4,52500,NULL,1700,150,NULL,1,0,0x00001000,7,2,34,3,65,1,16,' bonus bAtkEle,Ele_Undead; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1261,'Infiltrator','Infiltrator',4,57000,NULL,1500,140,NULL,1,0,0x00001000,7,2,34,4,75,1,16,' bonus2 bAddRace,RC_DemiHuman,50; bonus bDef,3; bonus bFlee,5; bonus bFlee2,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1262,'Nail_Of_Loki','Loki\'s Nail',4,NULL,10,1200,115,NULL,1,0,0x00001000,7,2,34,3,55,1,16,' bonus2 bAddEff,Eff_Bleeding,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1263,'Unholy_Touch','Unholy Touch',4,NULL,10,1250,151,NULL,1,0,0x00001000,7,2,34,4,70,1,16,' bonus bAtkEle,Ele_Dark; bonus2 bAddEff,Eff_Curse,500; bonus bCritical,-1; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1264,'Various_Jur','Specialty Jur',4,NULL,10,800,90,NULL,1,4,0x00001000,7,2,34,1,1,1,16,' bonus2 bAddEff2,Eff_Bleeding,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1265,'Bloody_Roar','Bloody Roar',4,NULL,10,1000,120,NULL,1,0,0x00001000,7,2,34,4,75,1,16,' bonus bIgnoreDefRace,RC_DemiHuman; bonus bFlee,-160; bonus bFlee2,-160; bonus bNoRegen,1; bonus bNoRegen,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1266,'Infiltrator_','Infiltrator',4,57000,NULL,1500,140,NULL,1,1,0x00001000,7,2,34,4,75,1,16,' bonus2 bAddRace,RC_DemiHuman,50; bonus bDef,3; bonus bFlee,5; bonus bFlee2,2; ',NULL,NULL);
# // 1-Handed Axes
REPLACE INTO `item_db` VALUES (1301,'Axe','Axe',4,500,NULL,800,38,NULL,1,3,0x000654E3,7,2,2,1,3,1,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1302,'Axe_','Axe',4,500,NULL,800,38,NULL,1,4,0x000654E3,7,2,2,1,3,1,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1303,'Axe__','Axe',4,500,NULL,800,38,NULL,1,0,0x000654E3,7,2,2,1,3,1,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1304,'Orcish_Axe','Orcish Axe',4,NULL,10,1500,75,NULL,1,0,0x000454A3,7,2,2,3,3,1,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1305,'Cleaver','Cleaver',4,NULL,10,1200,140,NULL,1,0,0x000444A2,7,2,2,4,44,1,6,' bonus2 bAddRace,RC_DemiHuman,5; bonus3 bAddMonsterDropItem,517,RC_Brute,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1306,'War_Axe','War Axe',4,NULL,10,4200,140,NULL,1,1,0x00040400,7,2,2,3,76,1,6,' bonus bDex,2; bonus bLuk,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1307,'Windhawk','Windhawk',4,18000,NULL,1500,115,NULL,1,0,0x000444A2,7,2,2,2,14,1,6,' bonus bAtkEle,Ele_Wind; bonus bAspdRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1308,'Golden_Axe','Golden Axe',4,NULL,10,3000,170,NULL,1,0,0x00000001,7,2,2,4,45,1,6,NULL,NULL,NULL);
# // 2-Handed Axes
REPLACE INTO `item_db` VALUES (1351,'Battle_Axe','Battle Axe',4,5400,NULL,1500,80,NULL,1,3,0x000444A2,7,2,34,1,3,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1352,'Battle_Axe_','Battle Axe',4,5400,NULL,1500,80,NULL,1,4,0x000444A2,7,2,34,1,3,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1353,'Battle_Axe__','Battle Axe',4,5400,NULL,1500,80,NULL,1,0,0x000444A2,7,2,34,1,3,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1354,'Hammer','Hammer',4,15500,NULL,2000,120,NULL,1,2,0x000444A2,7,2,34,2,16,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1355,'Hammer_','Hammer',4,15500,NULL,2000,120,NULL,1,3,0x000444A2,7,2,34,2,16,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1356,'Hammer__','Hammer',4,15500,NULL,2000,120,NULL,1,0,0x000444A2,7,2,34,2,16,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1357,'Buster','Buster',4,34000,NULL,2200,155,NULL,1,1,0x000444A2,7,2,34,3,30,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1358,'Buster_','Buster',4,34000,NULL,2200,155,NULL,1,2,0x000444A2,7,2,34,3,30,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1359,'Buster__','Buster',4,34000,NULL,2200,155,NULL,1,0,0x000444A2,7,2,34,3,30,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1360,'Two_Handed_Axe','Two-Handed Axe',4,55000,NULL,2500,185,NULL,1,1,0x000444A2,7,2,34,3,30,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1361,'Two_Handed_Axe_','Two-Handed Axe',4,55000,NULL,2500,185,NULL,1,2,0x000444A2,7,2,34,3,30,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1362,'Two_Handed_Axe__','Two-Handed Axe',4,55000,NULL,2500,185,NULL,1,0,0x000444A2,7,2,34,3,30,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1363,'Brood_Axe','Bloody Axe',4,NULL,10,4000,170,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus bStr,10; bonus bSpeedRate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1364,'Great_Axe','Great Axe',4,NULL,10,1800,187,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus2 bAddSkillBlow,42,5; bonus2 bAddEff,Eff_Stun,1500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1365,'Sabbath','Sabbath',4,NULL,10,2300,120,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus2 bWeaponComaRace,RC_Demon,50; bonus bAtkEle,Ele_Dark; bonus2 bCriticalAddRace,RC_Undead,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1366,'Right_Epsilon','Light Epsilon',4,NULL,10,2300,180,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus bAtkEle,Ele_Holy; skill 28,3; bonus2 bAddRace,RC_Demon,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1367,'Slaughter','Slaughter',4,NULL,10,2500,120,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus bIgnoreDefRace,RC_Brute; bonus2 bWeaponComaRace,RC_Brute,40; bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1368,'Tomahawk','Tomahawk',4,NULL,10,2500,165,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus bAtkEle,Ele_Wind; skill 337,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1369,'Guillotine','Guillotine',4,NULL,10,3000,215,NULL,1,0,0x000444A2,7,2,34,4,44,1,7,' bonus2 bWeaponComaRace,RC_DemiHuman,30; bonus2 bSPDrainValueRace,RC_DemiHuman,2; bonus2 bSPGainRace,RC_DemiHuman,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1370,'Doom_Slayer','Doom Slayer',4,NULL,10,6000,10,NULL,1,0,0x000444A2,7,2,34,4,80,1,7,' bonus2 bAddEff,Eff_Stun,3000; bonus bBreakArmorRate,100; bonus bAspdRate,-40; bonus bUseSPrate,100; if(readparam(bStr)>=95) bonus bBaseAtk,340; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1371,'Doom_Slayer_','Doom Slayer',4,NULL,10,6000,10,NULL,1,1,0x000444A2,7,2,34,4,80,1,7,' bonus2 bAddEff,Eff_Stun,3000; bonus bBreakArmorRate,100; bonus bAspdRate,-40; bonus bUseSPrate,100; if(readparam(bStr)>=95) bonus bBaseAtk,340; ',NULL,NULL);
# // 1-Handed Spears
REPLACE INTO `item_db` VALUES (1401,'Javelin','Javelin',4,150,NULL,700,28,NULL,3,3,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1402,'Javelin_','Javelin',4,150,NULL,700,28,NULL,3,4,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1403,'Javelin__','Javelin',4,150,NULL,700,28,NULL,3,0,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1404,'Spear','Spear',4,1700,NULL,850,44,NULL,3,3,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1405,'Spear_','Spear',4,1700,NULL,850,44,NULL,3,4,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1406,'Spear__','Spear',4,1700,NULL,850,44,NULL,3,0,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1407,'Pike','Pike',4,3450,NULL,1000,60,NULL,3,3,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1408,'Pike_','Pike',4,3450,NULL,1000,60,NULL,3,4,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1409,'Pike__','Pike',4,3450,NULL,1000,60,NULL,3,0,0x00004082,7,2,2,1,4,1,4,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1410,'Lance','Lance',4,60000,NULL,2500,185,NULL,3,0,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1411,'Lance_','Lance',4,60000,NULL,2500,185,NULL,3,0,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1412,'Lance__','Lance',4,60000,NULL,2500,185,NULL,3,0,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1413,'Gungnir','Gungnir',4,NULL,10,500,120,NULL,3,0,0x00004082,7,2,2,4,4,1,4,' bonus bAtkEle,Ele_Wind; bonus bPerfectHitRate,25; bonus bHit,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1414,'Gelerdria','Gelerdria',4,NULL,10,700,145,NULL,3,0,0x00004082,7,2,2,4,48,1,4,' bonus bAtkEle,Ele_Earth; bonus bMaxHP,800; bonus bMaxSP,-50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1415,'Skewer','Brocca',4,NULL,10,850,100,NULL,3,0,0x00004082,7,2,2,4,48,1,4,' bonus bIgnoreDefRace,RC_NonBoss; bonus2 bAddEle,Ele_Neutral,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1416,'Tjungkuletti','Tjungkuletti',4,NULL,10,1000,95,NULL,3,0,0x00004082,7,2,2,4,48,1,4,' bonus2 bSPDrainValue,1,1; bonus bSPGainValue,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1417,'Pole_Axe','Pole Axe',4,NULL,10,3800,160,NULL,3,1,0x00004082,7,2,2,3,71,1,4,' bonus bStr,1; bonus bInt,2; bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1418,'Gungnir_','Gungnir',4,NULL,10,500,120,NULL,3,2,0x00004082,7,2,2,4,4,1,4,' bonus bAtkEle,Ele_Wind; bonus bPerfectHitRate,25; bonus bHit,30; ',NULL,NULL);
# // 2-Handed Spears
REPLACE INTO `item_db` VALUES (1451,'Guisarme','Guisarme',4,13000,NULL,1000,84,NULL,3,2,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1452,'Guisarme_','Guisarme',4,13000,NULL,1000,84,NULL,3,3,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1453,'Guisarme__','Guisarme',4,13000,NULL,1000,84,NULL,3,0,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1454,'Glaive','Glaive',4,20000,NULL,1200,104,NULL,3,2,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1455,'Glaive_','Glaive',4,20000,NULL,1200,104,NULL,3,3,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1456,'Glaive__','Glaive',4,20000,NULL,1200,104,NULL,3,0,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1457,'Partizan','Partizan',4,27000,NULL,2000,124,NULL,3,1,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1458,'Partizan_','Partizan',4,27000,NULL,2000,124,NULL,3,2,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1459,'Partizan__','Partizan',4,27000,NULL,2000,124,NULL,3,0,0x00004082,7,2,34,2,18,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1460,'Trident','Trident',4,51000,NULL,1200,150,NULL,3,2,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1461,'Trident_','Trident',4,51000,NULL,1200,150,NULL,3,3,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1462,'Trident__','Trident',4,51000,NULL,1200,150,NULL,3,0,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1463,'Halberd','Halberd',4,54000,NULL,2500,165,NULL,3,1,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1464,'Halberd_','Halberd',4,54000,NULL,2500,165,NULL,3,2,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1465,'Halberd__','Halberd',4,54000,NULL,2500,165,NULL,3,0,0x00004082,7,2,34,3,33,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1466,'Crescent_Scythe','Crescent Scythe',4,NULL,10,2500,180,NULL,3,0,0x00004082,7,2,34,4,48,1,5,' bonus bCritical,30; bonus bHit,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1467,'Bill_Guisarme','Bill Guisarme',4,NULL,10,1000,183,NULL,3,0,0x00004082,7,2,34,4,48,1,5,' bonus2 bAddRace,RC_Brute,10; bonus2 bAddRace,RC_DemiHuman,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1468,'Zephyrus','Zephyrus',4,NULL,10,2000,170,NULL,3,0,0x00004082,7,2,34,4,48,1,5,' bonus bAtkEle,Ele_Wind; bonus2 bAddEff,Eff_Silence,200; bonus3 bAutoSpell,21,3,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1469,'Longinus\'s_Spear','Longinus\'s Spear',4,NULL,10,2500,180,NULL,3,0,0x00004082,7,2,34,4,48,1,5,' bonus bAtkEle,Ele_Dark; bonus2 bAddRace,RC_DemiHuman,10; bonus2 bAddRace,RC_Angel,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1470,'Brionac','Brionac',4,NULL,10,3000,190,NULL,3,0,0x00004082,7,2,34,4,48,1,5,' bonus bAtkEle,Ele_Holy; skill 28,5; bonus3 bAutoSpell,13,3,100; bonus2 bAddRace,RC_Boss,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1471,'Hell_Fire','Hellfire',4,NULL,10,3500,200,NULL,3,0,0x00004082,7,2,34,4,48,1,5,' bonus bAtkEle,Ele_Fire; bonus3 bAutoSpell,17,3,100; bonus bStr,3; ',NULL,NULL);
# // 2-Handed Staffs
REPLACE INTO `item_db` VALUES (1472,'Staff_Of_Soul','Soul Staff',4,NULL,10,1400,25,NULL,1,0,0x00810204,7,2,34,3,73,1,10,' bonus bInt,5; bonus bAgi,2; bonus bMatkRate,15; if(isequipped(2677)){ bonus bMatkRate,6; bonus bDex,2; bonus bCastrate,-getrefine(); } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1473,'Wizardy_Staff','Wizardry Staff',4,NULL,10,2400,120,NULL,1,0,0x00810204,7,2,34,4,90,1,10,' bonus bInt,6; bonus bDex,2; bonus bMatkRate,15; if(isequipped(2677)){ bonus bMatkRate,6; bonus bDex,2; bonus bCastrate,-getrefine(); } ',NULL,NULL);
# // 2-Handed Spears
REPLACE INTO `item_db` VALUES (1474,'Gae_Bolg','Gae Bolg',4,NULL,10,2000,160,NULL,3,0,0x00004082,7,2,34,4,60,1,5,' bonus bIgnoreDefRace,RC_Dragon; bonus2 bAddRace,RC_Boss,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1475,'Horseback_Lance','Equestrian\'s Spear',4,NULL,10,3700,200,NULL,4,0,0x00004082,7,2,34,4,75,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1476,'Crescent_Scythe_','Crescent Scythe',4,NULL,10,2500,180,NULL,3,1,0x00004082,7,2,34,4,48,1,5,' bonus bCritical,30; bonus bHit,10; ',NULL,NULL);
# // Maces
REPLACE INTO `item_db` VALUES (1501,'Club','Club',4,120,NULL,700,23,NULL,1,3,0x0004C5B3,7,2,2,1,2,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1502,'Club_','Club',4,120,NULL,700,23,NULL,1,4,0x0004C5B3,7,2,2,1,2,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1503,'Club__','Club',4,120,NULL,700,23,NULL,1,0,0x0004C5B3,7,2,2,1,2,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1504,'Mace','Mace',4,1600,NULL,800,37,NULL,1,3,0x0004C5B3,7,2,2,1,2,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1505,'Mace_','Mace',4,1600,NULL,800,37,NULL,1,4,0x0004C5B3,7,2,2,1,2,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1506,'Mace__','Mace',4,1600,NULL,800,37,NULL,1,0,0x0004C5B3,7,2,2,1,2,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1507,'Smasher','Smasher',4,9000,NULL,1000,54,NULL,1,2,0x0004C5B3,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1508,'Smasher_','Smasher',4,9000,NULL,1000,54,NULL,1,3,0x0004C5B3,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1509,'Smasher__','Smasher',4,9000,NULL,1000,54,NULL,1,3,0x0004C5B3,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1510,'Flail','Flail',4,16000,NULL,900,69,NULL,1,2,0x0004C5B2,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1511,'Flail_','Flail',4,16000,NULL,900,69,NULL,1,3,0x0004C5B2,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1512,'Flail__','Flail',4,16000,NULL,900,69,NULL,1,3,0x0004C5B2,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1513,'Morning_Star','Morning Star',4,41000,NULL,1500,110,NULL,1,1,0x0004C5B2,7,2,2,3,27,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1514,'Morning_Star_','Morning Star',4,41000,NULL,1500,110,NULL,1,2,0x0004C5B2,7,2,2,3,27,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1515,'Morning_Star__','Morning Star',4,41000,NULL,1500,110,NULL,1,2,0x0004C5B2,7,2,2,3,27,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1516,'Sword_Mace','Sword Mace',4,50000,NULL,1200,130,NULL,1,0,0x0004C5B2,7,2,2,3,27,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1517,'Sword_Mace_','Sword Mace',4,50000,NULL,1200,130,NULL,1,1,0x0004C5B2,7,2,2,3,27,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1518,'Sword_Mace__','Sword Mace',4,50000,NULL,1200,130,NULL,1,1,0x0004C5B2,7,2,2,3,27,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1519,'Chain','Chain',4,23000,NULL,800,84,NULL,1,2,0x0004C5B2,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1520,'Chain_','Chain',4,23000,NULL,800,84,NULL,1,3,0x0004C5B2,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1521,'Chain__','Chain',4,23000,NULL,800,84,NULL,1,3,0x0004C5B2,7,2,2,2,14,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1522,'Stunner','Stunner',4,60000,NULL,2000,140,NULL,1,0,0x00008110,7,2,2,3,27,1,8,' bonus2 bAddEff,Eff_Stun,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1523,'Spike','Spike',4,NULL,10,700,85,NULL,1,0,0x00008110,7,2,2,4,40,1,8,' bonus bCritical,40; bonus bDefRate,-67; bonus bDef2Rate,-67; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1524,'Golden_Mace','Golden Mace',4,NULL,10,800,110,NULL,1,1,0x00008110,7,2,2,4,40,1,8,' bonus2 bAddRace,RC_Undead,10; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1525,'Long_Mace','Long Mace',4,NULL,10,800,135,NULL,3,0,0x00008110,7,2,2,4,40,1,8,' bonus bLongAtkDef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1526,'Slash','Slash',4,NULL,10,1000,145,NULL,1,0,0x00008110,7,2,2,4,40,1,8,' bonus2 bAddRace,RC_Undead,15; bonus2 bWeaponComaRace,RC_Undead,10; bonus2 bExpAddRace,RC_Undead,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1527,'Quadrille','Quadrille',4,NULL,10,900,165,NULL,1,0,0x00008110,7,2,2,4,40,1,8,' bonus2 bAddRace,RC_Undead,10; bonus2 bAddRace,RC_DemiHuman,10; bonus2 bAddEle,Ele_Earth,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1528,'Grand_Cross','Grand Cross',4,NULL,10,1500,140,NULL,1,0,0x00008110,7,2,2,4,40,1,8,' bonus bAtkEle,Ele_Holy; bonus3 bAutoSpell,77,3,100; bonus2 bSPDrainValueRace,RC_Undead,1; bonus2 bSPGainRace,RC_Undead,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1529,'Iron_Driver','Iron Driver',4,NULL,10,3000,155,NULL,2,0,0x00008100,7,2,2,3,78,1,8,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1530,'Mjolnir','Mjolnir',4,NULL,10,6000,250,NULL,1,0,0x000444A2,7,2,2,4,95,0,8,' bonus bAtkEle,Ele_Wind; bonus bDex,40; bonus bStr,15; bonus bAspdRate,10; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1531,'Spanner','Wrench',4,NULL,10,2500,115,NULL,1,0,0x00008110,7,2,2,3,55,1,8,' bonus2 bAddEff,Eff_Blind,100; bonus2 bAddEff,Eff_Stun,100; bonus2 bAddEff,Eff_Poison,100; bonus2 bAddEff,Eff_Freeze,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1532,'Stunner_','Stunner',4,60000,NULL,2000,140,NULL,1,2,0x00008110,7,2,2,3,27,1,8,' bonus2 bAddEff,Eff_Stun,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1533,'Warrior\'s_Balmung','Warrior\'s Balmung',4,NULL,10,1000,170,NULL,1,0,0xFFFFFFFF,7,2,2,4,48,1,8,' bonus bAllStats,5; ',NULL,NULL);
# // Books
REPLACE INTO `item_db` VALUES (1550,'Book','Book',4,30000,NULL,600,85,NULL,1,3,0x00410100,7,2,2,2,14,1,15,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1551,'Bible','Bible',4,60000,NULL,1000,115,NULL,1,2,0x00410100,7,2,2,3,27,1,15,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1552,'Tablet','Tablet',4,51000,NULL,800,125,NULL,1,1,0x00410100,7,2,2,3,27,1,15,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1553,'Book_Of_Billows','Book of Billows',4,35000,NULL,750,90,NULL,1,0,0x00410100,7,2,2,3,27,1,15,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1554,'Book_Of_Mother_Earth','Book of Mother Earth',4,35000,NULL,750,90,NULL,1,0,0x00410100,7,2,2,3,27,1,15,' bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1555,'Book_Of_Blazing_Sun','Book of the Blazing Sun',4,35000,NULL,750,90,NULL,1,0,0x00410100,7,2,2,3,27,1,15,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1556,'Book_Of_Gust_Of_Wind','Book of Gust of Wind',4,35000,NULL,750,90,NULL,1,0,0x00410100,7,2,2,3,27,1,15,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1557,'Book_Of_The_Apocalypse','Book of the Apocalypse',4,60000,NULL,800,120,NULL,1,0,0x00410100,7,2,2,4,40,1,15,' bonus bAtkEle,Ele_Dark; bonus2 bAddEle,Ele_Holy,5; bonus2 bAddEle,Ele_Water,7; bonus2 bAddEle,Ele_Earth,7; bonus2 bAddEle,Ele_Fire,7; bonus2 bAddEle,Ele_Wind,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1558,'Girl\'s_Diary','Girl\'s Diary',4,1500,NULL,300,60,NULL,1,1,0x00410100,7,2,2,4,40,1,15,' bonus2 bAddDamageClass,1188,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1559,'Legacy_Of_Dragon','Legacy of Dragon',4,NULL,10,700,130,NULL,1,0,0x00410100,7,2,2,4,70,1,15,' bonus bInt,3; bonus bIgnoreDefRace,RC_Dragon; bonus2 bSPGainRace,RC_Dragon,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1560,'Diary_Of_Great_Sage','Sage\'s Diary',4,NULL,10,1100,100,NULL,1,2,0x00410100,7,2,2,3,60,1,15,' bonus bMatkRate,15; if(readparam(bStr)>=50) bonus bAspdRate,5; if(readparam(bInt)>=70) bonus bMatkRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1561,'Hardback','Hardcover Book',4,NULL,10,1500,140,NULL,1,1,0x00410100,7,2,2,4,55,1,15,' bonus bStr,3; bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1562,'Bible_Of_Battlefield','Battlefield Textbook',4,NULL,10,700,110,NULL,1,1,0x00410100,7,2,2,4,80,0,15,' bonus bInt,3; bonus4 bAutoSpell,34,3+(getskilllv(34)>3)*(getskilllv(34)-3),20,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1599,'Angra_Manyu','Angra Manyu',4,1,NULL,10,200,NULL,2,0,0xFFFFFFFF,7,2,2,1,2,1,8,' bonus bAllStats,50; bonus bBaseAtk,3800; bonus2 bHPDrainRate,1000,100; ',NULL,NULL);
# // Staffs
REPLACE INTO `item_db` VALUES (1601,'Rod','Rod',4,50,NULL,400,15,NULL,1,3,0x00818315,7,2,2,1,1,1,10,' bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1602,'Rod_','Rod',4,50,NULL,400,15,NULL,1,4,0x00818315,7,2,2,1,1,1,10,' bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1603,'Rod__','Rod',4,50,NULL,400,15,NULL,1,0,0x00818315,7,2,2,1,1,1,10,' bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1604,'Wand','Wand',4,2500,NULL,400,25,NULL,1,2,0x00818315,7,2,2,2,12,1,10,' bonus bInt,1; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1605,'Wand_','Wand',4,2500,NULL,400,25,NULL,1,3,0x00818315,7,2,2,2,12,1,10,' bonus bInt,1; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1606,'Wand__','Wand',4,2500,NULL,400,25,NULL,1,0,0x00818315,7,2,2,2,12,1,10,' bonus bInt,1; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1607,'Staff','Staff',4,9500,NULL,400,40,NULL,1,2,0x00818314,7,2,2,2,12,1,10,' bonus bInt,2; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1608,'Staff_','Staff',4,9500,NULL,400,40,NULL,1,3,0x00818314,7,2,2,2,12,1,10,' bonus bInt,2; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1609,'Staff__','Staff',4,9500,NULL,400,40,NULL,1,0,0x00818314,7,2,2,2,12,1,10,' bonus bInt,2; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1610,'Arc_Wand','Arc Wand',4,45000,NULL,400,60,NULL,1,1,0x00818314,7,2,2,3,24,1,10,' bonus bInt,3; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1611,'Arc_Wand_','Arc Wand',4,45000,NULL,400,60,NULL,1,2,0x00818314,7,2,2,3,24,1,10,' bonus bInt,3; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1612,'Arc_Wand__','Arc Wand',4,45000,NULL,400,60,NULL,1,0,0x00818314,7,2,2,3,24,1,10,' bonus bInt,3; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1613,'Mighty_Staff','Mighty Staff',4,NULL,10,700,130,NULL,1,0,0x00818314,7,2,2,3,24,1,10,' bonus bStr,10; bonus bMatkRate,15; bonus bSPDrainValue,-2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1614,'Blessed_Wand','Wand of Occult',4,NULL,10,700,75,NULL,1,0,0x00818314,7,2,2,3,24,1,10,' bonus bInt,3; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1615,'Bone_Wand','Evil Bone Wand',4,NULL,10,700,40,NULL,1,0,0x00818314,7,2,2,3,24,1,10,' bonus bInt,4; bonus bAtkEle,Ele_Undead; bonus bMatkRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1616,'Staff_Of_Wing','Wing Staff',4,NULL,10,500,60,NULL,1,0,0x00810204,7,2,2,4,40,1,10,' bonus bMatkRate,15; bonus bCastrate,-5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1617,'Survival_Rod','Survivor\'s Rod',4,85000,NULL,1000,50,NULL,1,0,0x00818314,7,2,2,3,24,1,10,' bonus bDex,2; bonus bMatkRate,15; bonus bMaxHP,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1618,'Survival_Rod_','Survivor\'s Rod',4,85000,NULL,1000,50,NULL,1,1,0x00818314,7,2,2,3,24,1,10,' bonus bDex,3; bonus bMatkRate,15; bonus bMaxHP,400; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1619,'Survival_Rod2','Survivor\'s Rod',4,85000,NULL,1000,50,NULL,1,0,0x00818314,7,2,2,3,24,1,10,' bonus bInt,2; bonus bMatkRate,15; bonus bMaxHP,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1620,'Survival_Rod2_','Survivor\'s Rod',4,85000,NULL,1000,50,NULL,1,1,0x00818314,7,2,2,3,24,1,10,' bonus bInt,3; bonus bMatkRate,15; bonus bMaxHP,400; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1621,'Hypnotist\'s_Staff','Hypnotist\'s Staff',4,43000,NULL,500,70,NULL,1,1,0x00000001,7,2,2,3,30,1,10,' bonus bInt,1; bonus bMatkRate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1622,'Hypnotist\'s_Staff_','Hypnotist\'s Staff',4,NULL,10,500,70,NULL,1,2,0x00000001,7,2,2,3,30,1,10,' bonus bInt,1; bonus bMatkRate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1623,'Refined_Mighty_Staff','Refined Mighty Staff',4,NULL,10,700,165,NULL,1,0,0x00818314,7,2,2,3,1,0,10,' bonus bStr,10; bonus bInt,4; bonus bMatkRate,20; bonus bSPDrainValue,-1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1624,'Staff_of_Lich\'s_Skull','Staff of Lich\'s Skull',4,NULL,10,800,60,NULL,1,2,0x00018314,2,2,2,3,70,1,10,' bonus bInt,1; bonus bDex,1; bonus bAtkEle,Ele_Undead; bonus bMatkRate,20; bonus2 bAddEffWhenHit,Eff_Curse,200+100*getRefine(); if(getRefine()>=9){ bonus bMatkRate,3; bonus bMaxSP,300; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1625,'Staff_of_Recovery','Staff of Recovery',4,NULL,10,400,10,NULL,1,0,0x00008110,7,2,2,3,55,1,10,' bonus bAtkEle,Ele_Holy; bonus bMatkRate,15; bonus2 bSkillAtk,28,(getRefine()*15)/10; bonus2 bSkillAtk,70,(getRefine()*15)/10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1626,'Staff_of_Piercing','Staff of Piercing',4,NULL,10,500,80,NULL,1,0,0x00018314,2,2,2,3,70,1,10,' bonus bInt,4; bonus bMatkRate,15; bonus2 bMagicAddRace,RC_NonBoss,10+getRefine(); bonus2 bMagicAddRace,RC_Boss,10+getRefine(); ',NULL,NULL);
# // Bows
REPLACE INTO `item_db` VALUES (1701,'Bow','Bow',4,1000,NULL,500,15,NULL,5,3,0x000A0848,7,2,34,1,4,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1702,'Bow_','Bow',4,1000,NULL,500,15,NULL,5,4,0x000A0848,7,2,34,1,4,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1703,'Bow__','Bow',4,1000,NULL,500,15,NULL,5,0,0x000A0848,7,2,34,1,4,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1704,'Composite_Bow','Composite Bow',4,2500,NULL,600,29,NULL,5,3,0x000A0848,7,2,34,1,4,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1705,'Composite_Bow_','Composite Bow',4,2500,NULL,600,29,NULL,5,4,0x000A0848,7,2,34,1,4,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1706,'Composite_Bow__','Composite Bow',4,2500,NULL,600,29,NULL,5,0,0x000A0848,7,2,34,1,4,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1707,'Great_Bow','Great Bow',4,10000,NULL,1000,50,NULL,5,2,0x000A0848,7,2,34,2,18,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1708,'Great_Bow_','Great Bow',4,10000,NULL,1000,50,NULL,5,3,0x000A0848,7,2,34,2,18,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1709,'Great_Bow__','Great Bow',4,10000,NULL,1000,50,NULL,5,0,0x000A0848,7,2,34,2,18,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1710,'CrossBow','Crossbow',4,17000,NULL,900,65,NULL,5,2,0x000A0848,7,2,34,2,18,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1711,'CrossBow_','Crossbow',4,17000,NULL,900,65,NULL,5,3,0x000A0848,7,2,34,2,18,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1712,'CrossBow__','Crossbow',4,17000,NULL,900,65,NULL,5,0,0x000A0848,7,2,34,2,18,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1713,'Arbalest','Arbalest',4,48000,NULL,1000,90,NULL,5,1,0x000A0848,7,2,34,3,33,1,11,' bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1714,'Kakkung','Gakkung Bow',4,42000,NULL,1100,100,NULL,5,1,0x000A0848,7,2,34,3,33,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1715,'Arbalest_','Arbalest',4,48000,NULL,1000,90,NULL,5,2,0x000A0848,7,2,34,3,33,1,11,' bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1716,'Kakkung_','Gakkung Bow',4,42000,NULL,1100,100,NULL,5,2,0x000A0848,7,2,34,3,33,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1718,'Hunter_Bow','Hunter Bow',4,64000,NULL,1500,125,NULL,5,0,0x00000800,7,2,34,3,33,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1719,'Bow_Of_Roguemaster','Roguemaster\'s Bow',4,NULL,10,500,75,NULL,11,0,0x00000040,7,2,34,4,48,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1720,'Bow_Of_Rudra','Rudra Bow',4,NULL,10,1200,150,NULL,5,0,0x000A0808,7,2,34,4,48,1,11,' bonus bAtkEle,Ele_Holy; bonus bInt,5; skill 35,1; skill 28,1; bonus2 bResEff,Eff_Poison,5000; bonus2 bResEff,Eff_Curse,5000; bonus2 bResEff,Eff_Silence,5000; bonus2 bResEff,Eff_Confusion,5000; bonus2 bResEff,Eff_Blind,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1721,'Repeting_CrossBow','Repeating Crossbow',4,89000,NULL,2000,95,NULL,9,1,0x00020840,7,2,34,3,65,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1722,'Balistar','Ballista',4,124000,NULL,3500,145,NULL,5,0,0x00080800,7,2,34,4,77,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1723,'Luna_Bow','Luna Bow',4,NULL,10,2000,100,NULL,5,2,0x00000800,7,2,34,3,30,1,11,' bonus bDef,2+3*(getrefine()>9)+(getrefine()>6 && getrefine()<=9); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1724,'Dragon_Wing','Dragon Wing',4,NULL,10,1200,100,NULL,5,0,0x000A0848,7,2,34,4,60,1,11,' bonus3 bAddMonsterDropItem,1765,RC_Dragon,300; bonus bIgnoreDefRace,RC_Dragon; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1725,'Bow_Of_Mintrel','Minstrel Bow',4,NULL,10,1700,120,NULL,5,1,0x00080800,7,2,34,4,70,1,11,' bonus bInt,2; bonus bSPrecovRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1726,'Hunter_Bow_','Hunter Bow',4,64000,NULL,1500,125,NULL,5,1,0x00000800,7,2,34,3,33,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1727,'Balistar_','Ballista',4,124000,NULL,3500,145,NULL,5,1,0x00080800,7,2,34,4,77,1,11,NULL,NULL,NULL);
# // Arrows
REPLACE INTO `item_db` VALUES (1750,'Arrow','Arrow',10,1,NULL,1,25,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1751,'Silver_Arrow','Silver Arrow',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Holy; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1752,'Fire_Arrow','Fire Arrow',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1753,'Steel_Arrow','Steel Arrow',10,4,NULL,2,40,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1754,'Crystal_Arrow','Crystal Arrow',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1755,'Arrow_Of_Wind','Arrow of Wind',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1756,'Stone_Arrow','Stone Arrow',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1757,'Immatrial_Arrow','Immaterial Arrow',10,3,NULL,1,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Ghost; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1758,'Stun_Arrow','Stun Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus2 bAddEff,Eff_Stun,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1759,'Freezing_Arrow','Frozen Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Water; bonus2 bAddEff,Eff_Freeze,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1760,'Flash_Arrow','Flash Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus2 bAddEff,Eff_Blind,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1761,'Curse_Arrow','Cursed Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus2 bAddEff,Eff_Curse,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1762,'Rusty_Arrow','Rusty Arrow',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Poison; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1763,'Poison_Arrow','Poison Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Poison; bonus2 bAddEff,Eff_Poison,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1764,'Incisive_Arrow','Sharp Arrow',10,20,NULL,3,10,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bCritical,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1765,'Oridecon_Arrow','Oridecon Arrow',10,30,NULL,3,50,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1766,'Arrow_Of_Counter_Evil','Arrow of Counter Evil',10,40,NULL,3,50,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Holy; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1767,'Arrow_Of_Shadow','Shadow Arrow',10,3,NULL,2,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Dark; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1768,'Sleep_Arrow','Sleep Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus2 bAddEff,Eff_Sleep,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1769,'Silence_Arrow','Mute Arrow',10,10,NULL,3,1,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus2 bAddEff,Eff_Silence,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1770,'Iron_Arrow','Iron Arrow',10,2,NULL,1,30,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1771,'Venom_Knife','Venom Knife',10,50,NULL,5,30,NULL,NULL,NULL,0x00001000,7,2,32768,NULL,1,NULL,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1772,'Holy_Arrow','Holy Arrow',10,3,NULL,2,50,NULL,NULL,NULL,0x000A1848,7,2,32768,NULL,1,NULL,1,' bonus bAtkEle,Ele_Holy; bonus2 bAddRace,RC_Demon,5; ',NULL,NULL);
# // Knuckles
REPLACE INTO `item_db` VALUES (1801,'Waghnakh','Waghnak',4,8000,NULL,400,30,NULL,1,3,0x00008100,7,2,2,1,1,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1802,'Waghnakh_','Waghnak',4,8000,NULL,400,30,NULL,1,4,0x00008100,7,2,2,1,1,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1803,'Knuckle_Duster','Knuckle Duster',4,25000,NULL,450,50,NULL,1,2,0x00008100,7,2,2,2,12,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1804,'Knuckle_Duster_','Knuckle Duster',4,25000,NULL,450,50,NULL,1,3,0x00008100,7,2,2,2,12,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1805,'Hora','Studded Knuckles',4,32000,NULL,450,65,NULL,1,2,0x00008100,7,2,2,2,12,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1806,'Hora_','Studded Knuckles',4,32000,NULL,450,65,NULL,1,3,0x00008100,7,2,2,2,12,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1807,'Fist','Fist',4,53000,NULL,650,115,NULL,1,0,0x00008100,7,2,2,3,24,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1808,'Fist_','Fist',4,53000,NULL,650,115,NULL,1,1,0x00008100,7,2,2,3,24,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1809,'Claw','Claw',4,67000,NULL,500,86,NULL,1,1,0x00008100,7,2,2,3,24,1,12,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1810,'Claw_','Claw',4,67000,NULL,500,86,NULL,1,2,0x00008100,7,2,2,3,24,1,12,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1811,'Finger','Finger',4,58000,NULL,500,97,NULL,1,1,0x00008100,7,2,2,3,24,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1812,'Finger_','Finger',4,58000,NULL,500,97,NULL,1,2,0x00008100,7,2,2,3,24,1,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1813,'Kaiser_Knuckle','Kaiser Knuckle',4,NULL,10,450,110,NULL,1,0,0x00008100,7,2,2,4,36,1,12,' bonus bAtkEle,Ele_Wind; bonus2 bAddRace,RC_Undead,5; bonus2 bAddEle,Ele_Water,10; bonus2 bAddEle,Ele_Earth,10; bonus2 bAddEle,Ele_Fire,10; bonus2 bAddEle,Ele_Wind,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1814,'Berserk','Berserk',4,NULL,10,500,120,NULL,1,0,0x00008100,7,2,2,4,36,1,12,' bonus bAspdRate,12; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1815,'Claw_Of_Garm','Garm Claw',4,NULL,10,550,152,NULL,1,1,0x00008100,7,2,2,4,70,1,12,' bonus bAtkEle,Ele_Dark; bonus bMaxHPrate,-2; bonus2 bAddEff,Eff_Bleeding,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1816,'Berserk_','Berserk',4,NULL,10,500,120,NULL,1,1,0x00008100,7,2,2,4,36,1,12,' bonus bAspdRate,12; ',NULL,NULL);
# // Instruments
REPLACE INTO `item_db` VALUES (1901,'Violin','Violin',4,4000,NULL,700,50,NULL,1,3,0x00080000,7,1,2,1,2,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1902,'Violin_','Violin',4,4000,NULL,700,50,NULL,1,4,0x00080000,7,1,2,1,2,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1903,'Mandolin','Mandolin',4,18000,NULL,400,90,NULL,1,2,0x00080000,7,1,2,2,14,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1904,'Mandolin_','Mandolin',4,18000,NULL,400,90,NULL,1,3,0x00080000,7,1,2,2,14,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1905,'Lute','Lute',4,24500,NULL,500,105,NULL,1,2,0x00080000,7,1,2,2,14,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1906,'Lute_','Lute',4,24500,NULL,500,105,NULL,1,3,0x00080000,7,1,2,2,14,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1907,'Guitar','Guitar',4,47000,NULL,900,142,NULL,1,0,0x00080000,7,1,2,3,27,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1908,'Guitar_','Guitar',4,47000,NULL,900,142,NULL,1,1,0x00080000,7,1,2,3,27,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1909,'Harp','Harp',4,62000,NULL,900,114,NULL,1,1,0x00080000,7,1,2,3,27,1,13,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1910,'Harp_','Harp',4,62000,NULL,900,114,NULL,1,2,0x00080000,7,1,2,3,27,1,13,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1911,'Guh_Moon_Goh','Gumoongoh',4,54000,NULL,1300,126,NULL,1,1,0x00080000,7,1,2,3,27,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1912,'Guh_Moon_Goh_','Gumoongoh',4,54000,NULL,1300,126,NULL,1,2,0x00080000,7,1,2,3,27,1,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1913,'Electronic_Guitar','Electric Guitar',4,NULL,10,1800,110,NULL,1,0,0x00080000,7,1,2,4,70,1,13,' skill 84,1; bonus3 bAutoSpell,84,1,100; bonus bAtkEle,Ele_Wind; bonus bInt,2; bonus bAgi,1; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1914,'Guitar_Of_Passion','Burning Passion Guitar',4,NULL,10,900,110,NULL,1,0,0x00080000,7,1,2,3,27,1,13,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1915,'Guitar_Of_Blue_Solo','Loner\'s Guitar',4,NULL,10,900,110,NULL,1,0,0x00080000,7,1,2,3,27,1,13,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1916,'Guitar_Of_Vast_Land','Green Acre Guitar',4,NULL,10,900,110,NULL,1,0,0x00080000,7,1,2,3,27,1,13,' bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1917,'Guitar_Of_Gentle_Breeze','Gentle Breeze Guitar',4,NULL,10,900,110,NULL,1,0,0x00080000,7,1,2,3,27,1,13,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1918,'Oriental_Lute','Oriental Lute',4,NULL,10,1200,150,NULL,1,0,0x00080000,7,1,2,4,65,1,13,' bonus2 bSkillAtk,394,10; bonus2 bSkillAtk,316,10; ',NULL,NULL);
# // Whips
REPLACE INTO `item_db` VALUES (1950,'Rope','Rope',4,2500,NULL,400,45,NULL,2,3,0x00080000,7,0,2,1,3,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1951,'Rope_','Rope',4,2500,NULL,400,45,NULL,2,4,0x00080000,7,0,2,1,3,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1952,'Line','Whip',4,12000,NULL,300,80,NULL,2,2,0x00080000,7,0,2,2,16,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1953,'Line_','Whip',4,12000,NULL,300,80,NULL,2,3,0x00080000,7,0,2,2,16,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1954,'Wire','Wire Whip',4,17500,NULL,1000,95,NULL,2,2,0x00080000,7,0,2,2,16,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1955,'Wire_','Wire Whip',4,17500,NULL,1000,95,NULL,2,3,0x00080000,7,0,2,2,16,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1956,'Rante','Rante Whip',4,32000,NULL,900,135,NULL,2,0,0x00080000,7,0,2,3,30,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1957,'Rante_','Rante Whip',4,32000,NULL,900,135,NULL,2,1,0x00080000,7,0,2,3,30,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1958,'Tail','Tail Whip',4,41000,NULL,700,105,NULL,2,1,0x00080000,7,0,2,3,30,1,14,' bonus bLuk,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1959,'Tail_','Tail Whip',4,41000,NULL,700,105,NULL,2,2,0x00080000,7,0,2,3,30,1,14,' bonus bLuk,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1960,'Whip','Whip',4,38000,NULL,700,120,NULL,2,1,0x00080000,7,0,2,3,30,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1961,'Whip_','Whip',4,38000,NULL,700,120,NULL,2,2,0x00080000,7,0,2,3,30,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (1962,'Lariat','Lariat Whip',4,NULL,10,400,100,NULL,2,0,0x00080000,7,0,2,4,44,1,14,' bonus bDex,5; bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1963,'Rapture_Rose','Rapture Rose',4,NULL,10,300,115,NULL,2,0,0x00080000,7,0,2,4,44,1,14,' bonus bAtkEle,Ele_Poison; bonus2 bAddEff,Eff_Poison,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1964,'Chemeti','Chemeti Whip',4,NULL,10,700,135,NULL,2,0,0x00080000,7,0,2,4,44,1,14,' bonus bCritical,5; bonus bFlee,10; bonus bFlee2,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1965,'Whip_Of_Red_Flame','Red Flame Whip',4,NULL,10,700,110,NULL,2,0,0x00080000,7,0,2,3,30,1,14,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1966,'Whip_Of_Ice_Piece','Icicle Whip',4,NULL,10,700,110,NULL,2,0,0x00080000,7,0,2,3,30,1,14,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1967,'Whip_Of_Earth','Gaia Whip',4,NULL,10,700,110,NULL,2,0,0x00080000,7,0,2,3,30,1,14,' bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1968,'Jump_Rope','Skipping Rope',4,NULL,10,400,120,NULL,2,0,0x00080000,7,0,2,3,30,1,14,' bonus bCritical,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1969,'Bladed_Whip','Blade Whip',4,NULL,10,1200,140,NULL,2,0,0x00080000,7,0,2,4,30,1,14,' bonus2 bAddEff,Eff_Bleeding,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1970,'Queen\'s_Whip','Queen\'s Whip',4,NULL,10,1100,150,NULL,2,0,0x00080000,7,0,2,4,65,1,14,' bonus2 bSkillAtk,394,10; bonus2 bSkillAtk,324,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (1971,'Electric_Wire','Electric Wire',4,NULL,10,700,110,NULL,2,0,0x00080000,7,0,2,3,30,1,14,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
# // Shields
# //===================================================================
REPLACE INTO `item_db` VALUES (2101,'Guard','Guard',5,500,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,32,NULL,0,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2102,'Guard_','Guard',5,500,NULL,300,NULL,3,NULL,1,0xFFFFFFFF,7,2,32,NULL,0,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2103,'Buckler','Buckler',5,14000,NULL,600,NULL,4,NULL,0,0x000ED5F2,7,2,32,NULL,0,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2104,'Buckler_','Buckler',5,14000,NULL,600,NULL,4,NULL,1,0x000ED5F2,7,2,32,NULL,0,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2105,'Shield','Shield',5,56000,NULL,1300,NULL,6,NULL,0,0x00004082,7,2,32,NULL,0,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2106,'Shield_','Shield',5,56000,NULL,1300,NULL,6,NULL,1,0x00004082,7,2,32,NULL,0,1,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2107,'Mirror_Shield','Mirror Shield',5,60000,NULL,1000,NULL,4,NULL,0,0x00404082,7,2,32,NULL,0,1,4,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2108,'Mirror_Shield_','Mirror Shield',5,60000,NULL,1000,NULL,4,NULL,1,0x00404082,7,2,32,NULL,0,1,4,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2109,'Memorize_Book','Memory Book',5,NULL,10,1000,NULL,3,NULL,0,0x00810204,7,2,32,NULL,0,1,0,' bonus bInt,1; bonus bMdef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2110,'Holy_Guard','Holy Guard',5,85000,NULL,1400,NULL,5,NULL,0,0x00004000,7,2,32,NULL,68,0,3,' bonus bVit,2; bonus bMdef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2111,'Herald_Of_GOD','Sacred Mission',5,128000,NULL,1600,NULL,5,NULL,0,0x00004000,7,2,32,NULL,83,1,3,' bonus bVit,3; bonus bInt,2; bonus bMdef,3; bonus bUnbreakableShield,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2112,'Novice_Guard','Novice Guard',5,1,NULL,1,NULL,3,NULL,0,0x00000001,7,2,32,NULL,0,0,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2113,'Novice_Shield','Novice Shield',5,5000,NULL,1000,NULL,3,NULL,1,0x00000001,7,2,32,NULL,40,1,3,' bonus2 bSubEle,Ele_Water,20; bonus2 bSubEle,Ele_Earth,20; bonus2 bSubEle,Ele_Fire,20; bonus2 bSubEle,Ele_Wind,20; bonus2 bSubEle,Ele_Poison,20; bonus2 bSubEle,Ele_Ghost,20; bonus2 bSubEle,Ele_Undead,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2114,'Stone_Buckler','Stone Buckler',5,30000,NULL,1500,NULL,3,NULL,1,0xFFFFFFFE,7,2,32,NULL,65,1,2,' bonus2 bSubSize,2,5; if (isequipped(2353,5122)) { bonus bStr,2; bonus bDef,5; bonus bMdef,5; if(BaseClass == Job_Swordman) bonus bDef,6; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2115,'Valkyrja\'s_Shield','Valkyrie\'s Shield',5,30000,NULL,500,NULL,3,NULL,1,0xFFFFFFFE,7,2,32,NULL,65,1,3,' bonus2 bSubEle,Ele_Water,20; bonus2 bSubEle,Ele_Fire,20; bonus2 bSubEle,Ele_Dark,20; bonus2 bSubEle,Ele_Undead,20; bonus bMdef,5; if(isequipped(2353,5124)) { bonus bDef,2; bonus bMdef,5+getRefine()+getequiprefinerycnt(1); } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2116,'Angel\'s_Safeguard','Angelic Guard',5,10000,NULL,400,NULL,3,NULL,1,0x00000001,7,2,32,NULL,20,1,3,' bonus2 bSubRace,RC_Demon,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2117,'Arm_Guard','Arm Guard',5,10000,NULL,150,NULL,5,NULL,0,0x02000000,7,2,32,NULL,20,1,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2118,'Arm_Guard_','Arm Guard',5,10000,NULL,150,NULL,5,NULL,1,0x02000000,7,2,32,NULL,20,1,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2119,'Improved_Arm_Guard','Improved Arm Guard',5,40000,NULL,150,NULL,4,NULL,0,0x02000000,7,2,32,NULL,50,1,NULL,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2120,'Improved_Arm_Guard_','Improved Arm Guard',5,40000,NULL,150,NULL,4,NULL,1,0x02000000,7,2,32,NULL,50,1,NULL,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2121,'Memory_Book_','Memory Book',5,NULL,10,1000,NULL,3,NULL,1,0x00810204,7,2,32,NULL,0,1,0,' bonus bInt,1; bonus bMdef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2199,'Ahura_Mazda','Ahura Mazdah',5,1,NULL,10,NULL,100,NULL,0,0xFFFFFFFF,7,2,32,NULL,1,1,0,' bonus bAllStats,50; bonus bMdef,99; bonus bShortWeaponDamageReturn,100; bonus2 bSubRace,RC_DemiHuman,95; skill 479,5; ',NULL,NULL);
# // Headgears
# //===================================================================
REPLACE INTO `item_db` VALUES (2201,'Sunglasses','Sunglasses',5,5000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,12,' bonus2 bResEff,Eff_Blind,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2202,'Sunglasses_','Sunglasses',5,5000,NULL,100,NULL,0,NULL,1,0xFFFFFFFF,7,2,512,NULL,0,0,12,' bonus2 bResEff,Eff_Blind,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2203,'Glasses','Glasses',5,4000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2204,'Glasses_','Glasses',5,4000,NULL,100,NULL,0,NULL,1,0xFFFFFFFF,7,2,512,NULL,0,0,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2205,'Diver\'s_Goggles','Diver Goggles',5,3500,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,10,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2206,'Wedding_Veil','Wedding Veil',5,23000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,0,256,NULL,0,1,44,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2207,'Fancy_Flower','Fancy Flower',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,4,' bonus2 bSubRace,RC_Plant,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2208,'Ribbon','Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,17,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2209,'Ribbon_','Ribbon',5,800,NULL,100,NULL,1,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,17,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2210,'Hair_Band','Hair Band',5,500,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,9,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2211,'Bandana','Bandana',5,400,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2212,'Eye_Bandage','Eye Patch',5,1000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,13,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2213,'Cat_Hairband','Kitty Band',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,2,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2214,'Bunny_Band','Bunny Band',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,15,' bonus bLuk,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2215,'Flower_Hairband','Flower Band',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,5,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2216,'Biretta','Biretta',5,9000,NULL,100,NULL,4,NULL,0,0x00008110,7,2,256,NULL,0,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2217,'Biretta_','Biretta',5,9000,NULL,100,NULL,4,NULL,1,0x00008110,7,2,256,NULL,0,1,11,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2218,'Flu_Mask','Flu Mask',5,300,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,8,' bonus2 bResEff,Eff_Silence,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2219,'Flu_Mask_','Flu Mask',5,300,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,8,' bonus2 bResEff,Eff_Silence,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2220,'Hat','Hat',5,1000,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,16,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2221,'Hat_','Hat',5,1000,NULL,200,NULL,2,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,16,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2222,'Turban','Turban',5,4500,NULL,300,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2223,'Turban_','Turban',5,4500,NULL,300,NULL,3,NULL,1,0xFFFFFFFE,7,2,256,NULL,0,1,7,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2224,'Goggle','Goggles',5,10000,NULL,300,NULL,5,NULL,0,0x000E5CEA,7,2,768,NULL,0,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2225,'Goggle_','Goggles',5,10000,NULL,300,NULL,5,NULL,1,0x000E5CEA,7,2,768,NULL,0,1,1,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2226,'Cap','Cap',5,12000,NULL,400,NULL,4,NULL,0,0x000E5CEA,7,2,256,NULL,0,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2227,'Cap_','Cap',5,12000,NULL,400,NULL,4,NULL,1,0x000E5CEA,7,2,256,NULL,0,1,14,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2228,'Helm','Helm',5,44000,NULL,600,NULL,6,NULL,0,0x00004082,7,2,256,NULL,0,1,40,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2229,'Helm_','Helm',5,44000,NULL,600,NULL,6,NULL,1,0x00004082,7,2,256,NULL,0,1,40,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2230,'Gemmed_Sallet','Gemmed Sallet',5,50000,NULL,500,NULL,4,NULL,0,0x000654E2,7,2,256,NULL,0,1,0,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2231,'Gemmed_Sallet_','Gemmed Sallet',5,50000,NULL,500,NULL,4,NULL,1,0x000654E2,7,2,256,NULL,0,1,0,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2232,'Circlet','Circlet',5,7500,NULL,300,NULL,3,NULL,0,0x00818314,7,2,256,NULL,0,1,18,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2233,'Circlet_','Circlet',5,7500,NULL,300,NULL,3,NULL,1,0x00818314,7,2,256,NULL,0,1,18,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2234,'Tiara','Tiara',5,20,NULL,400,NULL,4,NULL,0,0xFFFFFFFE,7,0,256,NULL,45,1,19,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2235,'Crown','Crown',5,20,NULL,400,NULL,4,NULL,0,0xFFFFFFFE,7,1,256,NULL,45,1,45,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2236,'Santa\'s_Hat','Santa Hat',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,20,' bonus bMdef,1; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2237,'Weird_Goatee','Bandit Beard',5,2,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,21,NULL,NULL,NULL);
# //2238,Weird_Moustache,Moustache,5,2,,100,,0,,0,0xFFFFFFFF,7,2,1,,0,0,22,{},{},{}
REPLACE INTO `item_db` VALUES (2239,'One_Eyed_Glass','Monocle',5,10000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,23,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2240,'Beard','Beard',5,2,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,24,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2241,'Granpa_Beard','Grandpa Beard',5,5000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,25,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2242,'Luxury_Sunglasses','Purple Glasses',5,24000,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,26,' bonus2 bResEff,Eff_Blind,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2243,'Spinning_Eyes','Geek Glasses',5,20000,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,27,' bonus2 bResEff,Eff_Blind,1500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2244,'Big_Sis\'_Ribbon','Big Ribbon',5,15000,NULL,200,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,28,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2245,'Sweet_Gents','Sweet Gent',5,15000,NULL,400,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,29,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2246,'Golden_Gear','Golden Gear',5,20,NULL,900,NULL,5,NULL,0,0xFFFFFFFE,7,2,256,NULL,40,1,30,' bonus bUnbreakableHelm,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2247,'Oldman\'s_Romance','Romantic Gent',5,15000,NULL,400,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,31,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2248,'Western_Grace','Western Grace',5,15000,NULL,400,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,32,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2249,'Coronet','Coronet',5,20,NULL,300,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,33,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2250,'Fillet','Cute Ribbon',5,500,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,0,34,' bonus bMaxSP,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2251,'Holy_Bonnet','Monk Hat',5,30000,NULL,100,NULL,5,NULL,0,0x00008110,7,2,256,NULL,0,1,35,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2252,'Star_Sparkling','Wizard Hat',5,20,NULL,300,NULL,4,NULL,0,0x00810204,7,2,256,NULL,0,1,36,' bonus bMaxSP,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2253,'Sunflower','Sunflower',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,37,' bonus2 bSubRace,RC_Insect,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2254,'Angelic_Chain','Angel Wing',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,38,' bonus bMdef,3; bonus bAgi,1; bonus bLuk,1; bonus2 bSubRace,RC_Demon,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2255,'Satanic_Chain','Evil Wing',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,39,' bonus bMdef,2; bonus bStr,1; bonus2 bSubRace,RC_Angel,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2256,'Magestic_Goat','Majestic Goat',5,20,NULL,800,NULL,5,NULL,0,0x006444A2,7,2,256,NULL,0,1,41,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2257,'Snowy_Horn','Unicorn Horn',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,42,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2258,'Sharp_Gear','Spiky Band',5,20,NULL,1000,NULL,6,NULL,0,0x0066D5F2,7,2,256,NULL,50,1,43,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2259,'Mini_Propeller','Mini Propeller',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,46,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2260,'Mini_Glasses','Mini Glasses',5,28000,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,512,NULL,0,0,47,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2261,'Prontera_Army_Cap','Army Cap',5,20,NULL,400,NULL,4,NULL,0,0x000654E2,7,2,256,NULL,0,1,48,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2262,'Pierrot_Nose','Clown Nose',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,49,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2263,'Gangster_Patch','Zorro Masque',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,512,NULL,0,0,50,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2264,'Munak_Turban','Munak Hat',5,20,NULL,300,NULL,5,NULL,0,0xFFFFFFFF,7,2,769,NULL,0,0,51,' bonus2 bSubRace,RC_Undead,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2265,'Ganster_Mask','Gangster Mask',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,52,' bonus2 bResEff,Eff_Silence,1500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2266,'Iron_Cane','Iron Cain',5,20,NULL,300,NULL,1,NULL,0,0x00004082,7,2,1,NULL,50,0,53,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2267,'Cigar','Cigarette',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,54,' bonus2 bSubRace,RC_Insect,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2268,'Smoking_Pipe','Pipe',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,55,' bonus2 bSubRace,RC_Insect,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2269,'Centimental_Flower','Romantic Flower',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,56,' bonus2 bSubRace,RC_Plant,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2270,'Centimental_Leaf','Romantic Leaf',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,57,' bonus2 bSubRace,RC_Plant,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2271,'Jack_A_Dandy','Jack be Dandy',5,45000,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,0,58,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2272,'Stop_Post','Stop Post',5,20,NULL,400,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,59,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2273,'Doctor_Cap','Doctor Band',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,60,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2274,'Ghost_Bandana','Ghost Bandana',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,61,' bonus bAgi,2; bonus2 bSubEle,Ele_Ghost,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2275,'Red_Bandana','Red Bandana',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,62,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2276,'Eagle_Eyes','Angled Glasses',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,63,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2277,'Nurse_Cap','Nurse Cap',5,20,NULL,100,NULL,2,NULL,0,0x00008110,7,2,256,NULL,0,1,64,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2278,'Mr_Smile','Mr. Smile',5,60,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,65,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2279,'Bomb_Wick','Bomb Wick',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,66,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2280,'Sahkkat','Sakkat',5,20,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,67,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2281,'Phantom_Of_Opera','Opera Masque',5,8000,NULL,200,NULL,2,NULL,0,0xFFFFFFFE,7,2,513,NULL,0,0,68,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2282,'Spirit_Chain','Halo',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,69,' bonus2 bSubEle,Ele_Holy,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2283,'Ear_Mufs','Ear Muffs',5,20,NULL,200,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,70,' bonus2 bResEff,Eff_Curse,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2284,'Antler','Antlers',5,20,NULL,500,NULL,4,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,71,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2285,'Apple_Of_Archer','Apple of Archer',5,20,NULL,200,NULL,0,NULL,0,0xFFFFFFFE,7,2,256,NULL,30,1,72,' bonus bDex,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2286,'Elven_Ears','Elven Ears',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,512,NULL,70,0,73,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2287,'Pirate_Bandana','Pirate Bandana',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,74,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2288,'Mr_Scream','Mr. Scream',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,513,NULL,0,0,75,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2289,'Poo_Poo_Hat','Poo Poo Hat',5,20,NULL,700,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,76,' bonus2 bSubRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2290,'Funeral_Costume','Funeral Hat',5,3000,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,77,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2291,'Masquerade','Masquerade',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,512,NULL,0,0,78,' bonus2 bAddRace,RC_DemiHuman,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2292,'Welding_Mask','Welding Mask',5,20,NULL,300,NULL,2,NULL,0,0x00040420,7,2,513,NULL,50,0,79,' bonus2 bSubEle,Ele_Fire,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2293,'Pretend_Murdered','Pretend Murdered',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,80,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2294,'Star_Dust','Stellar',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,81,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2295,'Blinker','Blinker',5,1500,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,512,NULL,0,0,82,' bonus2 bResEff,Eff_Blind,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2296,'Binoculars','Binoculars',5,20,NULL,100,NULL,1,NULL,0,0x00080808,7,2,512,NULL,50,0,83,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2297,'Goblini_Mask','Goblin Mask',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,513,NULL,0,0,84,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2298,'Green_Feeler','Green Feeler',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,85,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2299,'Viking_Helm','Orc Helm',5,20,NULL,500,NULL,5,NULL,0,0x000654E2,7,2,256,NULL,0,1,86,NULL,NULL,NULL);
# // Armors
# //===================================================================
REPLACE INTO `item_db` VALUES (2301,'Cotton_Shirt','Cotton Shirt',5,10,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2302,'Cotton_Shirt_','Cotton Shirt',5,10,NULL,100,NULL,1,NULL,1,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2303,'Leather_Jacket','Jacket',5,200,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2304,'Leather_Jacket_','Jacket',5,200,NULL,200,NULL,2,NULL,1,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2305,'Adventure_Suit','Adventurer\'s Suit',5,1000,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2306,'Adventurere\'s_Suit_','Adventurer\'s Suit',5,1000,NULL,300,NULL,3,NULL,1,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2307,'Mantle','Mantle',5,10000,NULL,600,NULL,4,NULL,0,0xFFFFFFFE,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2308,'Mantle_','Mantle',5,10000,NULL,600,NULL,4,NULL,1,0xFFFFFFFE,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2309,'Coat','Coat',5,22000,NULL,1200,NULL,5,NULL,0,0xFFFFFFFE,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2310,'Coat_','Coat',5,22000,NULL,1200,NULL,5,NULL,1,0xFFFFFFFE,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2311,'Mink_Coat','Mink Coat',5,50000,NULL,2300,NULL,6,NULL,1,0xFFFFFFFE,7,2,16,NULL,30,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2312,'Padded_Armor','Padded Armor',5,48000,NULL,2800,NULL,7,NULL,0,0x000654E2,7,2,16,NULL,0,1,0,' if(isequipped(2656)) { bonus bDef,5; bonus bMaxHP,150; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2313,'Padded_Armor_','Padded Armor',5,48000,NULL,2800,NULL,7,NULL,1,0x000654E2,7,2,16,NULL,0,1,0,' if(isequipped(2656)) { bonus bDef,5; bonus bMaxHP,150; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2314,'Chain_Mail','Chain Mail',5,65000,NULL,3300,NULL,8,NULL,0,0x000654E2,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2315,'Chain_Mail_','Chain Mail',5,65000,NULL,3300,NULL,8,NULL,1,0x000654E2,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2316,'Plate_Armor','Full Plate',5,80000,NULL,4500,NULL,10,NULL,0,0x00004082,7,2,16,NULL,40,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2317,'Plate_Armor_','Full Plate',5,80000,NULL,4500,NULL,10,NULL,1,0x00004082,7,2,16,NULL,40,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2318,'Clothes_Of_The_Lord','Lord\'s Clothes',5,NULL,10,2500,NULL,8,NULL,1,0x00040420,7,2,16,NULL,70,1,0,' bonus bMdef,5; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2319,'Glittering_Clothes','Glittering Jacket',5,NULL,10,2500,NULL,7,NULL,1,0xFFFFFFFE,7,2,16,NULL,60,1,0,' bonus bMdef,5; bonus2 bAddEff,Eff_Blind,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2320,'Formal_Suit','Formal Suit',5,NULL,10,300,NULL,5,NULL,1,0xFFFFFFFE,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2321,'Silk_Robe','Silk Robe',5,8000,NULL,400,NULL,3,NULL,0,0x0085C7B6,7,2,16,NULL,0,1,0,' bonus bMdef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2322,'Silk_Robe_','Silk Robe',5,8000,NULL,400,NULL,3,NULL,1,0x0085C7B6,7,2,16,NULL,0,1,0,' bonus bMdef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2323,'Scapulare','Scapulare',5,6500,NULL,400,NULL,4,NULL,0,0x00008110,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2324,'Scapulare_','Scapulare',5,6500,NULL,400,NULL,4,NULL,1,0x00008110,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2325,'Saint_Robe','Saint\'s Robe',5,54000,NULL,600,NULL,6,NULL,0,0x00048530,7,2,16,NULL,0,1,0,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2326,'Saint_Robe_','Saint\'s Robe',5,54000,NULL,600,NULL,6,NULL,1,0x00048530,7,2,16,NULL,0,1,0,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2327,'Holy_Robe','Holy Robe',5,NULL,10,1700,NULL,7,NULL,0,0x00008110,7,2,16,NULL,60,1,0,' bonus bMdef,5; bonus2 bSubRace,RC_Demon,15; bonus2 bSubEle,Ele_Dark,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2328,'Wooden_Mail','Wooden Mail',5,5500,NULL,1000,NULL,4,NULL,0,0x000444A2,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2329,'Wooden_Mail_','Wooden Mail',5,5500,NULL,1000,NULL,4,NULL,1,0x000444A2,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2330,'Tights','Tights',5,71000,NULL,500,NULL,6,NULL,0,0x00080808,7,2,16,NULL,45,1,0,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2331,'Tights_','Tights',5,71000,NULL,500,NULL,6,NULL,1,0x00080808,7,2,16,NULL,45,1,0,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2332,'Silver_Robe','Silver Robe',5,7000,NULL,700,NULL,4,NULL,0,0x00810204,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2333,'Silver_Robe_','Silver Robe',5,7000,NULL,700,NULL,4,NULL,1,0x00810204,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2334,'Mage_Coat','Mage Coat',5,NULL,10,600,NULL,5,NULL,0,0x00810204,7,2,16,NULL,50,1,0,' bonus bMdef,5; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2335,'Thief_Clothes','Thief Clothes',5,74000,NULL,100,NULL,6,NULL,0,0x02021040,7,2,16,NULL,0,1,0,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2336,'Thief_Clothes_','Thief Clothes',5,74000,NULL,100,NULL,6,NULL,1,0x02021040,7,2,16,NULL,0,1,0,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2337,'Ninja_Suit','Ninja Suit',5,NULL,10,1500,NULL,7,NULL,0,0x02021040,7,2,16,NULL,50,1,0,' bonus bAgi,1; bonus bMdef,3; if(isequipped(2654)) { bonus bUseSPrate,-20; bonus bMaxHP,300; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2338,'Wedding_Dress','Wedding Dress',5,43000,NULL,500,NULL,0,NULL,0,0xFFFFFFFE,7,0,16,NULL,0,1,0,' bonus bMdef,15; ',' setoption Option_Wedding,1; ',' setoption Option_Wedding,0; ');
REPLACE INTO `item_db` VALUES (2339,'G_Strings','Pantie',5,1000,NULL,100,NULL,4,NULL,0,0xFFFFFFFF,7,2,16,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2340,'Novice_Breast','Novice Breastplate',5,89000,NULL,500,NULL,4,NULL,1,0x00000001,7,2,16,NULL,10,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2341,'Full_Plate_Armor','Legion Plate Armor',5,94000,NULL,5500,NULL,11,NULL,0,0x00004000,7,2,16,NULL,70,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2342,'Full_Plate_Armor_','Legion Plate Armor',5,102500,NULL,5500,NULL,11,NULL,1,0x00004000,7,2,16,NULL,70,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2343,'Robe_Of_Casting','Robe of Cast',5,124800,NULL,1100,NULL,5,NULL,0,0x00810200,7,2,16,NULL,75,1,0,' bonus bCastrate,-3; bonus bMdef,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2344,'Flame_Sprits_Armor','Lucius\'s Fierce Armor of Volcano',5,136000,NULL,2200,NULL,4,NULL,0,0x000444A2,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2345,'Flame_Sprits_Armor_','Lucius\'s Fierce Armor of Volcano',5,136000,NULL,2200,NULL,4,NULL,1,0xFFFFFFFE,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2346,'Water_Sprits_Armor','Saphien\'s Armor of Ocean',5,136000,NULL,2200,NULL,4,NULL,0,0x000444A2,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2347,'Water_Sprits_Armor_','Saphien\'s Armor of Ocean',5,136000,NULL,2200,NULL,4,NULL,1,0xFFFFFFFE,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2348,'Wind_Sprits_Armor','Aebeccee\'s Raging Typhoon Armor',5,136000,NULL,2200,NULL,4,NULL,0,0x000444A2,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2349,'Wind_Sprits_Armor_','Aebeccee\'s Raging Typhoon Armor',5,136000,NULL,2200,NULL,4,NULL,1,0xFFFFFFFE,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2350,'Earth_Sprits_Armor','Claytos Cracking Earth Armor',5,136000,NULL,2200,NULL,4,NULL,0,0x000444A2,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2351,'Earth_Sprits_Armor_','Claytos Cracking Earth Armor',5,136000,NULL,2200,NULL,4,NULL,1,0xFFFFFFFE,7,2,16,NULL,45,1,0,' bonus bDefEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2352,'Novice_Plate','Tattered Novice Ninja Suit',5,1,NULL,1,NULL,4,NULL,0,0x00000001,7,2,16,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2353,'Odin\'s_Blessing','Odin\'s Blessing',5,30000,NULL,2500,NULL,6,NULL,1,0xFFFFFFFE,7,2,16,NULL,65,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2354,'Goibne\'s_Armor','Goibne\'s Armor',5,50000,NULL,3500,NULL,7,NULL,0,0xFFFFFFFE,7,2,16,NULL,54,1,0,' bonus bVit,2; bonus bMaxHPrate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2355,'Angel\'s_Protection','Angelic Protection',5,10000,NULL,600,NULL,4,NULL,1,0x00000001,7,2,16,NULL,40,1,0,' bonus bMdef,20; if(isequipped(2116,2420,2521,5125)) { bonus bMaxHP,900; bonus bMaxSP,100; bonus4 bAutoSpellWhenHit,361,1,20,0; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2356,'Vestment_Of_Grace','Blessed Holy Robe',5,NULL,10,2500,NULL,5,NULL,1,0x00008100,7,2,16,NULL,70,1,0,' bonus bMdef,5; bonus2 bResEff,Eff_Blind,8000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2357,'Valkyrie_Armor','Valkyrie\'s Armor',5,0,NULL,2800,NULL,6,NULL,1,0xFFFFFFFE,2,2,16,NULL,0,1,0,' bonus bAllStats,1; bonus bUnbreakableArmor,0; if(BaseClass==Job_Mage||BaseClass==Job_Archer||BaseClass==Job_Acolyte) bonus2 bResEff,Eff_Silence,5000; else if(BaseClass==Job_Swordman||BaseClass==Job_Merchant||BaseClass==Job_Thief) bonus2 bResEff,Eff_Stun,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2358,'Angel_Dress','Angel\'s Dress',5,NULL,10,1000,NULL,5,NULL,0,0xFFFFFFFF,7,2,16,NULL,0,0,0,' bonus bLuk,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2359,'Ninja_Suit_','Ninja Suit',5,NULL,10,1500,NULL,7,NULL,1,0x02021040,7,2,16,NULL,50,1,0,' bonus bAgi,1; bonus bMdef,3; if(isequipped(2654)) { bonus bUseSPrate,-20; bonus bMaxHP,300; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2360,'Robe_of_Casting_','Robe of Cast',5,124800,NULL,1100,NULL,5,NULL,1,0x00810200,7,2,16,NULL,75,1,0,' bonus bCastrate,-3; bonus bMdef,4; ',NULL,NULL);
# //2361,Blue_Robe,Blue Robe,5,,10,500,,0,,0,0xFFFFFFFE,7,2,16,,0,1,0,{ bonus bAllStats,5; bonus bMdef,5; },{},{}
# //2362,Red_Robe,Red Robe,5,,10,500,,0,,0,0xFFFFFFFE,7,2,16,,0,1,0,{ bonus bAllStats,5; bonus bMdef,5; },{},{}
# //2363,White_Robe,White Robe,5,,10,500,,0,,0,0x00000001,7,2,16,,0,1,0,{ bonus bAllStats,3; bonus bMdef,5; },{},{}
# // Footgears
# //===================================================================
REPLACE INTO `item_db` VALUES (2401,'Sandals','Sandals',5,400,NULL,200,NULL,1,NULL,0,0xFFFFFFFF,7,2,64,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2402,'Sandals_','Sandals',5,400,NULL,200,NULL,1,NULL,1,0xFFFFFFFF,7,2,64,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2403,'Shoes','Shoes',5,3500,NULL,400,NULL,2,NULL,0,0xFFFFFFFE,7,2,64,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2404,'Shoes_','Shoes',5,3500,NULL,400,NULL,2,NULL,1,0xFFFFFFFE,7,2,64,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2405,'Boots','Boots',5,18000,NULL,600,NULL,4,NULL,0,0x016E5CEA,7,2,64,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2406,'Boots_','Boots',5,18000,NULL,600,NULL,4,NULL,1,0x016E5CEA,7,2,64,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2407,'Chrystal_Pumps','Crystal Pumps',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFE,7,0,64,NULL,0,1,0,' bonus bMdef,10; bonus bLuk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2408,'Cuffs','Shackles',5,5000,NULL,3000,NULL,3,NULL,0,0xFFFFFFFF,7,2,64,NULL,0,1,0,' if (isequipped(2655)) { bonus bBaseAtk,50; bonus2 bAddDefClass,1196,20; bonus2 bAddDefClass,1197,20; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2409,'Spiky_Heel','High Heels',5,8500,NULL,600,NULL,2,NULL,0,0xFFFFFFFE,7,2,64,NULL,0,1,0,' bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2410,'Sleipnir','Sleipnir',5,NULL,10,3500,NULL,5,NULL,0,0xFFFFFFFF,7,2,64,NULL,94,0,0,' bonus bMdef,10; bonus bMaxHPrate,20; bonus bMaxSPrate,20; bonus bSPrecovRate,15; bonus bSpeedRate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2411,'Grave','Greaves',5,48000,NULL,750,NULL,5,NULL,0,0x00004080,7,2,64,NULL,65,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2412,'Grave_','Greaves',5,54000,NULL,750,NULL,5,NULL,1,0x00004080,7,2,64,NULL,65,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2413,'Safty_Boots','Safety Boots',5,34000,NULL,350,NULL,6,NULL,0,0x00004082,7,2,64,NULL,30,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2414,'Novice_Boots','Novice Slippers',5,1,NULL,1,NULL,2,NULL,0,0x00000001,7,2,64,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2415,'Slipper','Bunny Slipper',5,34000,NULL,300,NULL,3,NULL,1,0xFFFFFFFE,7,0,64,NULL,30,1,0,' bonus bLuk,3; bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2416,'Novice_Shoes','Novice Shoes',5,35000,NULL,500,NULL,2,NULL,1,0x00000001,7,2,64,NULL,40,1,0,' bonus bMaxHPrate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2417,'Fricco_Shoes','Freya\'s Shoes',5,30000,NULL,500,NULL,3,NULL,0,0xFFFFFFFE,7,2,64,NULL,65,1,0,' bonus bAgi,2; bonus2 bAddItemHealRate,IG_Potion,20; if(isequipped(2353,2516)){ bonus bAgi,3; bonus bMaxHPrate,5; bonus bMaxSPrate,5; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2418,'Vidar\'s_Boots','Vidar\'s Boots',5,30000,NULL,650,NULL,4,NULL,0,0xFFFFFFFE,7,2,64,NULL,65,1,0,' bonus bMaxHPrate,9; bonus bMaxSPrate,9; if(isequipped(2353,2517)){ bonus bVit,5; bonus bHPrecovRate,10; bonus bSPrecovRate,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2419,'Goibne\'s_Combat_Boots','Goibne\'s Greaves',5,30000,NULL,700,NULL,4,NULL,0,0xFFFFFFFE,7,2,64,NULL,54,1,0,' bonus bMdef,3; bonus bMaxHPrate,5; bonus bMaxSPrate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2420,'Angel\'s_Arrival','Angel\'s Reincarnation',5,10000,NULL,300,NULL,2,NULL,1,0x00000001,7,2,64,NULL,25,1,0,' bonus bMaxHP,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2421,'Valkyrie\'s_Shoes','Valkyrie\'s Shoes',5,0,NULL,500,NULL,4,NULL,1,0xFFFFFFFE,2,2,64,NULL,1,1,0,' if(BaseClass==Job_Mage||BaseClass==Job_Archer||BaseClass==Job_Acolyte) bonus bMaxHP,(BaseLevel*5); else if(BaseClass==Job_Swordman||BaseClass==Job_Merchant||BaseClass==Job_Thief) bonus bMaxSP,(JobLevel*2); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2422,'High_Quality_Sandals','High Quality Sandals',5,24000,NULL,200,NULL,2,NULL,1,0x00818314,7,2,64,NULL,40,1,0,' bonus bMdef,10; ',NULL,NULL);
# // Garments
# //===================================================================
REPLACE INTO `item_db` VALUES (2501,'Hood','Hood',5,1000,NULL,200,NULL,1,NULL,0,0xFFFFFFFF,7,2,4,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2502,'Hood_','Hood',5,1000,NULL,200,NULL,1,NULL,1,0xFFFFFFFF,7,2,4,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2503,'Muffler','Muffler',5,5000,NULL,400,NULL,2,NULL,0,0xFFFFFFFE,7,2,4,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2504,'Muffler_','Muffler',5,5000,NULL,400,NULL,2,NULL,1,0xFFFFFFFE,7,2,4,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2505,'Manteau','Manteau',5,32000,NULL,600,NULL,4,NULL,0,0x006654E2,7,2,4,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2506,'Manteau_','Manteau',5,32000,NULL,600,NULL,4,NULL,1,0x006654E2,7,2,4,NULL,0,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2507,'Cape_Of_Ancient_Lord','Ancient Cape',5,82000,NULL,600,NULL,2,NULL,0,0xFFFFFFFE,7,2,4,NULL,40,1,0,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2508,'Ragamuffin_Cape','Ragamuffin Manteau',5,56000,NULL,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,4,NULL,0,1,0,' bonus bMdef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2509,'Clack_Of_Servival','Survivor\'s Manteau',5,20000,NULL,550,NULL,0,NULL,0,0x00810204,7,2,4,NULL,75,1,0,' bonus bVit,10; if(isequipped(1618) || isequipped(1620)) bonus bMaxHP,300; bonus bMatkRate,-5; if(isequipped(1617) || isequipped(1618) || isequipped(1619) || isequipped(1620)) bonus bMatkRate,getequiprefinerycnt(4); bonus2 bSubEle,Ele_Neutral,getRefine()*3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2510,'Novice_Hood','Somber Novice Hood',5,1,NULL,1,NULL,2,NULL,0,0x00000001,7,2,4,NULL,0,0,0,' bonus2 bSubEle,Ele_Neutral,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2511,'Skeleton?_Cape','Skeleton Manteau',5,5000,NULL,700,NULL,1,NULL,0,0xFFFFFFFE,7,2,4,NULL,75,1,0,' bonus bStr,2; bonus bInt,-3; bonus bDex,2; bonus bVit,-3; bonus bLuk,2; bonus bAgi,-4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2512,'Novice_Manteau','Novice Manteau',5,50000,NULL,500,NULL,2,NULL,1,0x00000001,7,2,4,NULL,40,1,0,' bonus2 bSubEle,Ele_Neutral,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2513,'Celestial_Robe','Heavenly Maiden Robe',5,NULL,10,500,NULL,3,NULL,1,0xFFFFFFFE,7,2,4,NULL,80,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2514,'Pauldron','Pauldron',5,NULL,10,800,NULL,5,NULL,1,0x000654E2,7,2,4,NULL,80,1,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2515,'Wing_Of_Eagle','Eagle Wing',5,20000,NULL,300,NULL,1,NULL,1,0x00810204,7,2,4,NULL,85,1,0,' if(isequipped(1616)) bonus bSpeedRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2516,'Falcon_Robe','Falcon Muffler',5,30000,NULL,400,NULL,3,NULL,0,0xFFFFFFFE,7,2,4,NULL,65,1,0,' bonus bFlee,15; bonus bFlee2,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2517,'Vali\'s_Manteau','Vali\'s Manteau',5,30000,NULL,600,NULL,4,NULL,0,0xFFFFFFFE,7,2,4,NULL,65,1,0,' bonus2 bSubEle,Ele_Neutral,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2518,'Morpheus\'s_Shawl','Morpheus\'s Shawl',5,30000,NULL,600,NULL,3,NULL,0,0xFFFFFFFE,7,2,4,NULL,33,1,0,' bonus bMaxSPrate,10; bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2519,'Morrigane\'s_Manteau','Morrigane\'s Manteau',5,30000,NULL,600,NULL,3,NULL,0,0xFFFFFFFE,7,2,4,NULL,61,1,0,' bonus bLuk,2; bonus bFlee2,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2520,'Goibne\'s_Shoulder_Arms','Goibne\'s Spaulders',5,30000,NULL,700,NULL,3,NULL,0,0xFFFFFFFE,7,2,4,NULL,54,1,0,' bonus bLongAtkDef,10; bonus bMdef,2; bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2521,'Angel\'s_Warmth','Angelic Cardigan',5,10000,NULL,400,NULL,2,NULL,1,0x00000001,7,2,4,NULL,20,1,0,' bonus bHPrecovRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2522,'Undershirt','Undershirt',5,20000,NULL,150,NULL,2,NULL,0,0xFFFFFFFF,7,2,4,NULL,1,1,0,' bonus bMdef,1; if(isequipped(2339)) { bonus bAgi,5; bonus bFlee,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2523,'Undershirt_','Undershirt',5,20000,NULL,150,NULL,2,NULL,1,0xFFFFFFFF,7,2,4,NULL,1,1,0,' bonus bMdef,1; if(isequipped(2339)) { bonus bAgi,5; bonus bFlee,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2524,'Valkyrie\'s_Manteau','Valkyrie\'s Manteau',5,0,NULL,500,NULL,3,NULL,1,0xFFFFFFFE,2,2,4,NULL,1,1,0,' if(BaseClass==Job_Mage||BaseClass==Job_Archer||BaseClass==Job_Acolyte) bonus bFlee2,5+(getequiprefinerycnt(5)*2); else if(BaseClass==Job_Swordman||BaseClass==Job_Merchant||BaseClass==Job_Thief) bonus bShortWeaponDamageReturn,5+(getequiprefinerycnt(5)*2); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2525,'Ancient_Cape_','Ancient Cape',5,82000,NULL,600,NULL,2,NULL,1,0xFFFFFFFE,7,2,4,NULL,40,1,0,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2526,'Dragonscale_Jacket','Dragonscale Jacket',5,NULL,10,10,NULL,4,NULL,0,0xFFFFFFFF,7,2,4,NULL,50,1,0,NULL,NULL,NULL);
# // Accessories
# //===================================================================
REPLACE INTO `item_db` VALUES (2601,'Ring','Ring',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2602,'Earring','Earring',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2603,'Necklace','Necklace',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus bVit,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2604,'Glove','Glove',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2605,'Brooch','Brooch',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus bAgi,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2607,'Clip','Clip',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bMaxSP,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2608,'Rosary','Rosary',5,15000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus bMdef,5; bonus bLuk,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2609,'Skul_Ring','Skull Ring',5,10000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2610,'Gold_Ring','Gold Ring',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2611,'Silver_Ring','Silver Ring',5,20000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2612,'Flower_Ring','Flower Ring',5,1500,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2613,'Diamond_Ring','Diamond Ring',5,45000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2614,'An_Eye_Of_Dullahan','Eye of Dullahan',5,90000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,50,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2615,'Safety_Ring','Safety Ring',5,75000,NULL,100,NULL,3,NULL,0,0xFFFFFFFE,7,2,136,NULL,40,0,0,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2616,'Critical_Ring','Critical Ring',5,75000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,40,0,0,' bonus bCritical,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2617,'Mitten_Of_Presbyter','Celebrant\'s Mitten',5,2,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,136,NULL,35,0,0,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2618,'Matyr\'s_Flea_Guard','Matyr\'s Leash',5,2,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,136,NULL,35,0,0,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2619,'Thimble_Of_Archer','Bow Thimble',5,10000,NULL,100,NULL,0,NULL,0,0x00080808,7,2,136,NULL,65,0,0,' bonus bLongAtkRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2620,'Ring_Of_Rogue','Rogue\'s Treasure',5,10000,NULL,100,NULL,0,NULL,0,0x02021040,7,2,136,NULL,70,0,0,' bonus bAddStealRate,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2621,'Ring_','Ring',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFE,7,2,136,NULL,90,0,0,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2622,'Earring_','Earring',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFE,7,2,136,NULL,90,0,0,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2623,'Necklace_','Necklace',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFE,7,2,136,NULL,90,0,0,' bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2624,'Glove_','Glove',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFE,7,2,136,NULL,90,0,0,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2625,'Brooch_','Brooch',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFE,7,2,136,NULL,90,0,0,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2626,'Rosary_','Rosary',5,15000,NULL,100,NULL,0,NULL,1,0xFFFFFFFE,7,2,136,NULL,90,0,0,' bonus bMdef,3; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2627,'Belt','Belt',5,20000,NULL,1200,NULL,0,NULL,1,0xFFFFFFFF,7,2,136,NULL,25,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2628,'Novice_Armlet','Novice Armlet',5,400,NULL,200,NULL,0,NULL,1,0x00000001,7,2,136,NULL,1,0,0,' bonus bStr,1; bonus bInt,1; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2629,'Magingiorde','Megingjard',5,NULL,10,8000,NULL,2,NULL,0,0xFFFFFFFF,7,2,136,NULL,94,0,0,' bonus bStr,40; bonus bMdef,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2630,'Brysinggamen','Brisingamen',5,NULL,10,1500,NULL,1,NULL,0,0xFFFFFFFF,7,2,136,NULL,94,0,0,' bonus bStr,6; bonus bAgi,6; bonus bVit,6; bonus bInt,6; bonus bLuk,10; bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2631,'First_Age_Ring','Celebration Ring',5,1,NULL,10,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,1,0,0,' bonus bAllStats,5; ',NULL,NULL);
# //2632,Korean_Trinket,Korean Trinket,5,125000,,100,,1,,0,0xFFFFFFFE,7,2,136,,65,0,0,{ bonus bVit,1; bonus bDex,1; bonus bLuk,1; },{},{}
# //2633,Jade_Ring,Jade Ring,5,204000,,100,,0,,0,0xFFFFFFFE,7,2,136,,80,0,0,{ bonus bStr,2; bonus bInt,1; },{},{}
REPLACE INTO `item_db` VALUES (2634,'Bridegroom_Ring','Wedding Ring',5,0,NULL,0,NULL,0,NULL,0,0xFFFFFFFF,7,1,136,NULL,0,0,0,' skill 334,1; skill 335,1; skill 336,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2635,'Bride_Ring','Wedding Ring',5,0,NULL,0,NULL,0,NULL,0,0xFFFFFFFF,7,0,136,NULL,0,0,0,' skill 334,1; skill 335,1; skill 336,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2636,'Gold_Ring_','Gold Christmas Ring',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2637,'Silver_Ring_','Silver Christmas Ring',5,20000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2638,'Exorcize_Sachet','Sacred Incense',5,20000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bStr,1; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2639,'Purification_Sachet','Occult Incense',5,20000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bAgi,1; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2640,'Kafra_Ring','Kafra Ring',5,40000,NULL,200,NULL,1,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bStr,1; bonus bAgi,1; bonus bInt,1; bonus bLuk,1; bonus bMdef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2641,'Fashionable_Sack','Fashion Hip Sack',5,NULL,10,700,NULL,0,NULL,0,0x00040420,7,2,136,NULL,50,0,0,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2642,'Serin\'s_Gold_Ring','Serin\'s Gold Ring',5,NULL,10,0,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2643,'Serin\'s_Gold_Ring_','Serin\'s Gold Ring',5,45000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2644,'The_Sign_','The Sign',5,2,NULL,0,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus2 bAddRace,RC_NonBoss,5; bonus2 bAddRace,RC_Boss,5; bonus2 bAddRace2,5,5; bonus bMatkRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2645,'Moonlight_Ring','Moonlight Ring',5,40000,NULL,200,NULL,0,NULL,0,0x028F5EEE,7,2,136,NULL,60,0,0,' bonus bMdef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2646,'Bunch_Of_Carnation','Bunch of Carnations',5,2,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bAllStats,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2647,'Nile_Rose','Nile Rose',5,2,NULL,100,NULL,0,NULL,1,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bMaxHP,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2648,'Morpheus\'s_Ring','Morpheus\'s Ring',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,33,0,0,' bonus bInt,1; bonus bMaxSPrate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2649,'Morpheus\'s_Armlet','Morpheus\'s Bracelet',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,33,0,0,' bonus bInt,1; bonus bMaxSPrate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2650,'Morrigane\'s_Belt','Morrigane\'s Belt',5,30000,NULL,200,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,61,0,0,' bonus bBaseAtk,5; bonus bCritical,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2651,'Morrigane\'s_Pendant','Morrigane\'s Pendant',5,30000,NULL,200,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,61,0,0,' bonus bStr,2; bonus bCritical,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2652,'Cursed_Lucky_Brooch','Goddess of Fortune\'s Cursed Brooch',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,40,0,0,' bonus bCritical,6; bonus2 bAddEff2,Eff_Curse,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2653,'Sacrifice_Ring','Sacrifice Ring',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,90,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2654,'Shinobi\'s_Sash','Shinobi Sash',5,20000,NULL,300,NULL,1,NULL,0,0x02021040,7,2,136,NULL,30,0,0,' bonus bStr,1; bonus bAgi,1; bonus bMdef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2655,'Bloody_Iron_Ball','Bloodied Shackle Ball',5,50000,NULL,4000,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,1,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2656,'Hyper_Changer','Armor Charm',5,20000,NULL,1000,NULL,1,NULL,0,0x000654E2,7,2,136,NULL,1,0,0,' bonus bMaxHP,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2657,'Lab_Passport','Laboratory Permit',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,1,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2658,'Nile_Rose_','Nile Rose',5,2,NULL,100,NULL,0,NULL,1,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bMaxHP,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2659,'Vesper_Core01','Vesper Core 01',5,NULL,10,100,NULL,1,NULL,0,0x00CFDF80,2,2,136,NULL,1,0,0,' bonus bMdef,3; bonus bInt,2; bonus bMaxSPrate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2660,'Vesper_Core02','Vesper Core 02',5,NULL,10,100,NULL,1,NULL,0,0x00CFDF80,2,2,136,NULL,1,0,0,' bonus bMdef,3; bonus bStr,3; bonus bBaseAtk,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2661,'Vesper_Core03','Vesper Core 03',5,NULL,10,100,NULL,1,NULL,0,0x00CFDF80,2,2,136,NULL,1,0,0,' bonus bMdef,3; bonus bAgi,3; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2662,'Vesper_Core04','Vesper Core 04',5,NULL,10,100,NULL,1,NULL,0,0x00CFDF80,2,2,136,NULL,1,0,0,' bonus bMdef,3; bonus bDex,3; bonus bHit,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2663,'Gauntlet_Of_Accuracy','Gauntlet of Hit',5,NULL,10,900,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,75,0,0,' bonus bHit,15; bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2664,'Scarf_Belt','Belcarf',5,NULL,10,200,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,75,0,0,' bonus bDex,2; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2665,'Ring_of_Exorcism','Exorcising Ring',5,NULL,10,500,NULL,0,NULL,0,0x00008110,7,2,136,NULL,60,0,0,' bonus bMdef,1; bonus2 bExpAddRace,RC_Undead,5; bonus2 bExpAddRace,RC_Demon,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2666,'Lamp_of_Hope','Lantern of Hope',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,1,0,0,' bonus bStr,2; bonus2 bResEff,Eff_Blind,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2667,'Glove_of_Archer','Renown Archer\'s Gloves',5,NULL,10,300,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,60,0,0,' bonus bHit,5; bonus bCritical,5; bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2668,'Women\'s_Glory','Woman Glory',5,0,NULL,500,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,1,0,0,' bonus bAllStats,3; bonus bSPrecovRate,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2669,'Golden_Necklace_','RJC Necklace',5,30000,NULL,100,NULL,0,NULL,1,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bMaxSP,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2670,'Ring_of_Longing','Ring of Longing',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,136,NULL,30,0,0,' bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2671,'Thimble_Of_Archer_','Bow Thimble',5,10000,NULL,100,NULL,0,NULL,1,0x00080808,7,2,136,NULL,65,0,0,' bonus bLongAtkRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2672,'3rd_Anniversary_Ring','3rd Anniversary Celebration Ring',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,0,0,0,' bonus bAllStats,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2673,'Warrior_Radiating_Ring','Warrior\'s Shining Ring',5,0,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,136,NULL,48,0,0,' bonus bBaseAtk,10; bonus bSPrecovRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2674,'Ring_Of_Honor','Ring of Honor',5,20,NULL,0,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,1,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2675,'Lord_Ring','Lord Ring',5,0,NULL,10,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,1,0,0,' bonus bAllStats,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2676,'Hunter\'s_Earring','Hunter\'s Earring',5,NULL,10,300,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (2677,'Spiritual_Ring','Spiritual Ring',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bInt,2; bonus bDex,1; if(isequipped(2607) || isequipped(2608)){ bonus2 bSkillAtk,79,30; bonus bSPrecovRate,9; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2678,'Ring_of_Flame_Lord','Ring of Flame Lord',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,2,2,136,NULL,0,0,0,' bonus bStr,2; bonus bVit,1; bonus bBaseAtk,15; bonus2 bSubEle,Ele_Fire,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2679,'Ring_of_Resonance','Ring of Resonance',5,NULL,10,100,NULL,2,NULL,0,0xFFFFFFFF,2,2,136,NULL,0,0,0,' bonus bAgi,2; bonus bVit,1; bonus bMdef,2; bonus2 bSubEle,Ele_Fire,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2680,'Ring_of_Minor_Spirits','Ring of Minor Spirits',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2681,'Republic_Anniversary_Ring','Republic Anniversary Ring',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,136,NULL,0,0,0,' bonus bAllStats,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2682,'Ring_of_Water','Ring of Water',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus2 bSubEle,Ele_Water,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2683,'Ring_of_Fire','Ring of Fire',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus2 bSubEle,Ele_Fire,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2684,'Ring_of_Wind','Ring of Wind',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus2 bSubEle,Ele_Wind,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (2685,'Ring_of_Earth','Ring of Earth',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,136,NULL,20,0,0,' bonus2 bSubEle,Ele_Earth,5; ',NULL,NULL);
# // Cards
# //===================================================================
REPLACE INTO `item_db` VALUES (4001,'Poring_Card','Poring Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bLuk,2; bonus bFlee2,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4002,'Fabre_Card','Fabre Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bVit,1; bonus bMaxHP,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4003,'Pupa_Card','Pupa Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHP,700; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4004,'Drops_Card','Drops Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bDex,1; bonus bHit,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4005,'Poring__Card','Santa Poring Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Dark,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4006,'Lunatic_Card','Lunatic Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bLuk,1; bonus bCritical,1; bonus bFlee2,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4007,'Pecopeco_Egg_Card','Peco Peco Egg Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Formless,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4008,'Picky_Card','Picky Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bStr,1; bonus bBaseAtk,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4009,'Chonchon_Card','Chonchon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bAgi,1; bonus bFlee,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4010,'Wilow_Card','Willow Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bMaxSP,80; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4011,'Picky__Card','Picky Egg Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bVit,1; bonus bMaxHP,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4012,'Thief_Bug_Egg_Card','Thief Bug Egg Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bMaxHP,400; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4013,'Andre_Egg_Card','Andre Egg Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4014,'Roda_Frog_Card','Roda Frog Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHP,400; bonus bMaxSP,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4015,'Condor_Card','Condor Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bFlee,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4016,'Thief_Bug_Card','Thief Bug Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4017,'Savage_Babe_Card','Savage Babe Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Stun,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4018,'Andre_Larva_Card','Andre Larva Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bInt,1; bonus bMaxSP,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4019,'Hornet_Card','Hornet Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bStr,1; bonus bBaseAtk,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4020,'Farmiliar_Card','Farmiliar Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Blind,500; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4021,'Rocker_Card','Rocker Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDex,1; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4022,'Spore_Card','Spore Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bVit,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4023,'Desert_Wolf_Babe_Card','Baby Desert Wolf Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4024,'Plankton_Card','Plankton Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Sleep,500; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4025,'Skeleton_Card','Skeleton Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,10; bonus2 bAddEff,Eff_Stun,200; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4026,'Thief_Bug_Female_Card','Female Thief Bug Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bAgi,1; bonus bFlee,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4027,'Kukre_Card','Kukre Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bAgi,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4028,'Tarou_Card','Tarou Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4029,'Wolf_Card','Wolf Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,15; bonus bCritical,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4030,'Mandragora_Card','Mandragora Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Wind,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4031,'Pecopeco_Card','Peco Peco Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4032,'Ambernite_Card','Ambernite Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bDef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4033,'Poporing_Card','Poporing Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 53,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4034,'Worm_Tail_Card','Wormtail Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4035,'Hydra_Card','Hydra Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_DemiHuman,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4036,'Muka_Card','Muka Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bHPrecovRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4037,'Snake_Card','Snake Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Poison,500; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4038,'Zombie_Card','Zombie Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bHPrecovRate,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4039,'Stainer_Card','Stainer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Silence,2000; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4040,'Creamy_Card','Creamy Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 26,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4041,'Coco_Card','Coco Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Sleep,2000; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4042,'Steel_Chonchon_Card','Steel Chonchon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Wind,10; bonus bDef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4043,'Andre_Card','Andre Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4044,'Smokie_Card','Smokie Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 51,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4045,'Horn_Card','Horn Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bLongAtkDef,35; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4046,'Martin_Card','Martin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Blind,2000; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4047,'Ghostring_Card','Ghostring Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Ghost; bonus bHPrecovRate,-25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4048,'Poison_Spore_Card','Poison Spore Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 52,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4049,'Vadon_Card','Vadon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Fire,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4050,'Thief_Bug_Male_Card','Male Thief Bug Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bAgi,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4051,'Yoyo_Card','Yoyo Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bFlee2,5; bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4052,'Elder_Wilow_Card','Elder Willow Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4053,'Vitata_Card','Vitata Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 28,1; bonus bUseSPrate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4054,'Angeling_Card','Angeling Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Holy; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4055,'Marina_Card','Marina Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Freeze,500; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4056,'Dustiness_Card','Dustiness Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Wind,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4057,'Metaller_Card','Metaller Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Silence,500; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4058,'Thara_Frog_Card','Thara Frog Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_DemiHuman,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4059,'Soldier_Andre_Card','Soldier Andre Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Plant,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4060,'Goblin_Card','Goblin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Brute,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4061,'Cornutus_Card','Cornutus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bUnbreakableArmor,0; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4062,'Anacondaq_Card','Anacondaq Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Poison,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4063,'Caramel_Card','Caramel Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Insect,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4064,'Zerom_Card','Zerom Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bDex,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4065,'Kaho_Card','Kaho Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Earth,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4066,'Orc_Warrior_Card','Orc Warrior Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Brute,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4067,'Megalodon_Card','Megalodon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Freeze,2000; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4068,'Scorpion_Card','Scorpion Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Plant,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4069,'Drainliar_Card','Drainliar Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Water,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4070,'Eggyra_Card','Eggyra Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bSPrecovRate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4071,'Orc_Zombie_Card','Orc Zombie Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Undead,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4072,'Golem_Card','Golem Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bUnbreakableWeapon,0; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4073,'Pirate_Skel_Card','Pirate Skeleton Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 37,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4074,'BigFoot_Card','Bigfoot Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Insect,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4075,'Argos_Card','Argos Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Stone,2000; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4076,'Magnolia_Card','Magnolia Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Curse,500; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4077,'Phen_Card','Phen Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bNoCastCancel,0; bonus bCastrate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4078,'Savage_Card','Savage Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bVit,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4079,'Mantis_Card','Mantis Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bStr,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4080,'Flora_Card','Flora Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Fish,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4081,'Hode_Card','Hode Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Earth,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4082,'Desert_Wolf_Card','Desert Wolf Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddSize,0,15; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4083,'Rafflesia_Card','Rafflesia Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Fish,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4084,'Marine_Sphere_Card','Marine Sphere Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 7,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4085,'Orc_Skeleton_Card','Orc Skeleton Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Holy,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4086,'Soldier_Skeleton_Card','Soldier Skeleton Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritical,9; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4087,'Giearth_Card','Giearth Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Confusion,10000; bonus2 bSubEle,Ele_Earth,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4088,'Frilldora_Card','Frilldora Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' skill 135,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4089,'Sword_Fish_Card','Swordfish Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Water; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4090,'Munak_Card','Munak Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Stone,1500; bonus2 bSubEle,Ele_Earth,5; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4091,'Kobold_Card','Kobold Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bStr,1; bonus bCritical,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4092,'Skel_Worker_Card','Skeleton Worker Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddSize,1,15; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4093,'Obeaune_Card','Obeaune Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 35,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4094,'Archer_Skeleton_Card','Archer Skeleton Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bLongAtkRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4095,'Marse_Card','Marse Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Water,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4096,'Zenorc_Card','Zenorc Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Poison,400; bonus bBaseAtk,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4097,'Matyr_Card','Matyr Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,10; bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4098,'Dokebi_Card','Dokebi Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Wind; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4099,'Pasana_Card','Pasana Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Fire; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4100,'Sohee_Card','Sohee Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxSPrate,15; bonus bSPrecovRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4101,'Sand_Man_Card','Sandman Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Earth; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4102,'Whisper_Card','Whisper Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bFlee,20; bonus2 bSubEle,Ele_Ghost,-50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4103,'Horong_Card','Horong Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 10,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4104,'Requiem_Card','Requiem Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Confusion,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4105,'Marc_Card','Marc Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Water,5; bonus2 bResEff,Eff_Freeze,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4106,'Mummy_Card','Mummy Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bHit,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4107,'Verit_Card','Verit Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,8; bonus bMaxSPrate,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4108,'Myst_Card','Myst Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Poison,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4109,'Jakk_Card','Jakk Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Fire,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4110,'Ghoul_Card','Ghoul Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Poison,2000; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4111,'Strouf_Card','Strouf Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Demon,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4112,'Marduk_Card','Marduk Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Silence,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4113,'Marionette_Card','Marionette Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Ghost,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4114,'Argiope_Card','Argiope Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Poison; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4115,'Hunter_Fly_Card','Hunter Fly Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bHpDrainRate,30,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4116,'Isis_Card','Isis Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Dark,30; bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4117,'Side_Winder_Card','Sidewinder Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bDoubleRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4118,'Petit_Card','Earth Petite Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Dragon,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4119,'Bathory_Card','Bathory Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Dark; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4120,'Petit__Card','Sky Petite Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Dragon,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4121,'Phreeoni_Card','Phreeoni Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bHit,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4122,'Deviruchi_Card','Deviruchi Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bStr,1; bonus2 bResEff,Eff_Blind,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4123,'Eddga_Card','Eddga Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,-25; ',' sc_start4 SC_ENDURE,60000,10,0,0,1; ',' sc_end SC_ENDURE; ');
REPLACE INTO `item_db` VALUES (4124,'Medusa_Card','Medusa Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Demon,15; bonus2 bResEff,Eff_Stone,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4125,'Deviace_Card','Deviace Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_DemiHuman,7; bonus2 bAddRace,RC_Brute,7; bonus2 bAddRace,RC_Plant,7; bonus2 bAddRace,RC_Insect,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4126,'Minorous_Card','Minorous Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddSize,2,15; bonus bBaseAtk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4127,'Nightmare_Card','Nightmare Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bResEff,Eff_Sleep,10000; bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4128,'Golden_Bug_Card','Golden Thief Bug Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bNoMagicDamage,100; bonus bUseSPrate,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4129,'Baphomet__Card','Bapho Jr. Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bAgi,3; bonus bCritical,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4130,'Scorpion_King_Card','Scorpion King Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Undead,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4131,'Moonlight_Flower_Card','Moonlight Flower Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bSpeedRate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4132,'Mistress_Card','Mistress Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bNoGemStone,0; bonus bUseSPrate,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4133,'Daydric_Card','Raydric Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Neutral,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4134,'Dracula_Card','Dracula Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSpDrainRate,100,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4135,'Orc_Load_Card','Orc Lord Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bShortWeaponDamageReturn,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4136,'Khalitzburg_Card','Khalitzburg Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Demon,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4137,'Drake_Card','Drake Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bNoSizeFix,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4138,'Anubis_Card','Anubis Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Angel,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4139,'Joker_Card','Joker Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 50,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4140,'Knight_Of_Abyss_Card','Abysmal Knight Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_Boss,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4141,'Evil_Druid_Card','Evil Druid Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDefEle,Ele_Undead; bonus bInt,1; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4142,'Doppelganger_Card','Doppelganger Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bAspdRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4143,'Orc_Hero_Card','Orc Hero Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bVit,3; bonus2 bResEff,Eff_Stun,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4144,'Osiris_Card','Osiris Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bRestartFullRecover,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4145,'Berzebub_Card','Berzebub Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bCastrate,-30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4146,'Maya_Card','Maya Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bMagicDamageReturn,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4147,'Baphomet_Card','Baphomet Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bHit,-10; bonus bSplashRange,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4148,'Pharaoh_Card','Pharaoh Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bUseSPrate,-30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4149,'Gargoyle_Card','Gargoyle Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12028,RC_Insect,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4150,'Goat_Card','Goat Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' if(getrefine()<6) { bonus bDef,2; bonus bMdef,5; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4151,'Gajomart_Card','Gajomart Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Plant,-20; bonus2 bExpAddRace,RC_Plant,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4152,'Galapago_Card','Galapago Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddItemHealRate,IG_Juice,50; bonus3 bAddMonsterDropItemGroup,IG_Juice,RC_Insect,900; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4153,'Crab_Card','Crab Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,5; bonus2 bAddDamageClass,1266,30; if(isequipped(4247,4273)) { bonus3 bAddMonsterDropItem,544,RC_Fish,3000; bonus2 bAddEle,Ele_Water,30; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4154,'Rice_Cake_Boy_Card','Dumpling Child Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddItemHealRate,IG_Candy,50; bonus3 bAddMonsterDropItem,529,RC_DemiHuman,300; bonus3 bAddMonsterDropItem,530,RC_DemiHuman,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4155,'Goblin_Leader_Card','Goblin Leader Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace2,1,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4156,'Steam_Goblin_Card','Goblin Steamrider Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Formless,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4157,'Goblin_Archer_Card','Goblin Archer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Undead,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4158,'Flying_Deleter_Card','Sky Deleter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bHPrecovRate,-100; bonus bHPGainValue,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4159,'Nine_Tail_Card','Nine Tail Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bAgi,2; if(getrefine()>8) bonus bFlee,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4160,'Antique_Firelock_Card','Firelock Soldier Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bStr,2; if(getrefine()>8) { bonus bMaxHPrate,10; bonus bMaxSPrate,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4161,'Grand_Peco_Card','Grand Peco Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,75,1,50,0; if(isequipped(4031)) { bonus bDef,3; bonus bVit,3; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4162,'Grizzly_Card','Grizzly Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Blind,300+600*(isequipped(4074)); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4163,'Gryphon_Card','Gryphon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bFlee,2; bonus bCritical,7; if (BaseClass == Job_Swordman) bonus3 bAutoSpell,62,5,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4164,'Gullinbursti_Card','Gullinbursti Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Fish,-20; bonus2 bExpAddRace,RC_Fish,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4165,'Gig_Card','Gig Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Insect,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4166,'Nightmare_Terror_Card','Nightmare Terror Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Curse,300+600*(isequipped(4127)); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4167,'Neraid_Card','Neraid Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Brute,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4168,'Dark_Lord_Card','Dark Lord Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,83,5,100,0; if(isequipped(4169)) { bonus bMaxHPrate,20; bonus bMaxSPrate,20; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4169,'Dark_Illusion_Card','Dark Illusion Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,-10; bonus bMaxSPrate,-10; bonus bCastrate,-10-10*isequipped(4168); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4170,'Dark_Frame_Card','Dark Frame Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Stone,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4171,'Dark_Priest_Card','Dark Priest Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPVanishRate,50,10; if(BaseJob==Job_Sage) bonus bSPGainValue,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4172,'The_Paper_Card','The Paper Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,20; bonus2 bSPDrainValue,-1,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4173,'Demon_Pungus_Card','Demon Pungus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Sleep,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4174,'Deviling_Card','Deviling Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Neutral,50; bonus2 bSubEle,Ele_Water,-50; bonus2 bSubEle,Ele_Earth,-50; bonus2 bSubEle,Ele_Fire,-50; bonus2 bSubEle,Ele_Wind,-50; bonus2 bSubEle,Ele_Poison,-50; bonus2 bSubEle,Ele_Holy,-50; bonus2 bSubEle,Ele_Dark,-50; bonus2 bSubEle,Ele_Ghost,-50; bonus2 bSubEle,Ele_Undead,-50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4175,'Poison_Toad_Card','Poisonous Toad Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus4 bAutoSpell,52,1,20,1; bonus2 bAddSkillBlow,52,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4176,'Dullahan_Card','Dullahan Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Dragon,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4177,'Dryad_Card','Dryad Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,993,RC_Plant,100; bonus2 bSubEle,Ele_Earth,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4178,'Dragon_Tail_Card','Dragon Tail Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bAgi,1; bonus bFlee,10; bonus2 bSkillAtk,46,5; bonus2 bSkillAtk,47,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4179,'Dragon_Fly_Card','Dragon Fly Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bAgi,1; if(isequipped(4009)) bonus bFlee,18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4180,'Driller_Card','Driller Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Dragon,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4181,'Disguise_Card','Disguise Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Silence,300+600*(readparam(bVit)>=77); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4182,'Diabolic_Card','Diabolic Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Demon,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4183,'Vagabond_Wolf_Card','Vagabond Wolf Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bStr,1; if(isequipped(4029)) bonus bFlee,18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4184,'Lava_Golem_Card','Lava Golem Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace2,4,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4185,'Rideword_Card','Rideword Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,1; if(BaseClass == Job_Acolyte) { bonus bInt,1; bonus bMdef,1; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4186,'Raggler_Card','Raggler Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bStr,1; bonus bVit,1; if(isequipped(4233,4281,4321,4206)) { bonus bLuk,10; bonus2 bSPDrainValue,2,0; bonus2 bSkillAtk,42,20; if(BaseClass == Job_Merchant) { bonus2 bAddMonsterDropItem,617,-2; bonus bMagicDamageReturn,20; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4187,'Raydric_Archer_Card','Raydric Archer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12030,RC_Demon,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4188,'Leib_Olmai_Card','Leib Olmai Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Fire,10; bonus3 bAddMonsterDropItem,990,RC_Brute,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4189,'Wraith_Dead_Card','Wraith Dead Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Curse,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4190,'Wraith_Card','Wraith Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12027,RC_Undead,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4191,'Loli_Ruri_Card','Loli Ruri Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,28,3,50,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4192,'Rotar_Zairo_Card','Rotar Zairo Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Fish,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4193,'Lude_Card','Lude Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' if(BaseJob==Job_Novice||BaseJob==Job_SuperNovice) bonus4 bAutoSpellWhenHit,8,1,200,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4194,'Rybio_Card','Rybio Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Stun,300+600*(readparam(bDex)>=77); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4195,'Leaf_Cat_Card','Leaf Cat Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Water,10; bonus3 bAddMonsterDropItem,991,RC_Fish,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4196,'Marin_Card','Marin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItem,909,2000; bonus2 bAddMonsterDropItem,7126,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4197,'Mastering_Card','Mastering Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bLuk,1; if(isequipped(4001)) bonus bFlee,18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4198,'Maya_Puple_Card','Maya Purple Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bIntravision,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4199,'Merman_Card','Merman Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bHPrecovRate,10; bonus bSPrecovRate,10; if(isequipped(4297,4234,4252,4178)) { bonus bAgi,5; bonus bDex,3; bonus bLongAtkRate,20; bonus bPerfectHitAddRate,20; if(BaseClass == Job_Archer) { bonus2 bExpAddRace,RC_Brute,5; bonus2 bWeaponComaRace,RC_Brute,100; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4200,'Megalith_Card','Megalith Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' if(getrefine()<6) bonus bMdef,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4201,'Majoruros_Card','Majoruros Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Stun,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4202,'Civil_Servant_Card','Civil Servant Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEle,Ele_Ghost,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4203,'Mutant_Dragon_Card','Mutant Dragonoid Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,15; bonus3 bAutoSpell,17,3+2*(getskilllv(17)==10),50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4204,'Mini_Demon_Card','Mini Demon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Brute,-20; bonus2 bExpAddRace,RC_Brute,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4205,'Mimic_Card','Mimic Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItem,603,-6; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4206,'Mystcase_Card','Myst Case Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItem,644,-24; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4207,'Mysteltainn_Card','Mysteltainn Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubSize,0,25; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4208,'Miyabi_Ningyo_Card','Miyabi Doll Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxSPrate,10; bonus2 bSkillAtk,15,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4209,'Violy_Card','Violy Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus4 bAutoSpell,318,1+4*(getskilllv(318)==5),20,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4210,'Wander_Man_Card','Wanderer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' if(BaseClass == Job_Thief) bonus bFlee,20; if(isequipped(4172,4257,4230,4272) == 0) { bonus3 bAutoSpell,219,1,20; } else { bonus bAgi,5; bonus bStr,5; bonus bAspdRate,5; bonus bSpeedRate,5; bonus2 bSPDrainValue,1,0; if(BaseClass == Job_Thief) bonus bNoGemStone,0; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4211,'Vocal_Card','Vocal Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bMdef,3; if(isequipped(4021)) bonus bFlee,18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4212,'Bon_Gun_Card','Bongun Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,5,1,20; bonus2 bAddSkillBlow,5,5; bonus2 bAddDamageByClass,1026,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4213,'Brilight_Card','Brilight Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Silence,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4214,'Bloody_Murderer_Card','Bloody Murderer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Insect,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4215,'Blazzer_Card','Blazer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItemGroup,IG_Food,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4216,'Sasquatch_Card','Sasquatch Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Freeze,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4217,'Live_Peach_Tree_Card','Enchanted Peach Tree Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus4 bAutoSpell,28,1+9*(getskilllv(28)==10),20,0; if(isequipped(4280,4185,4293,4312)) { bonus bVit,10; bonus bCastrate,-10; bonus bUseSPRate,-10; if(BaseClass == Job_Acolyte) { bonus2 bExpAddRace,RC_Undead,5; bonus2 bExpAddRace,RC_Demon,5; bonus2 bSubRace,RC_Undead,30; bonus2 bSubRace,RC_Demon,30; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4218,'Succubus_Card','Succubus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHP,1000; if (isequipped(4269)) { bonus bVit,1; bonus bHPrecovRate,10; } else { bonus bVit,-3; bonus bHPrecovRate,-20; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4219,'Sageworm_Card','Sage Worm Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItemGroup,IG_Gemstone,90; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4220,'Solider_Card','Solider Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDef,2; bonus bMdef,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4221,'Skeleton_General_Card','Skeleton General Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Insect,-20; bonus2 bExpAddRace,RC_Insect,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4222,'Skel_Prisoner_Card','Skeleton Prisoner Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Sleep,300+600*(isequipped(4025)); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4223,'Stalactic_Golem_Card','Stalactic Golem Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bDef,1; bonus2 bResEff,Eff_Stun,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4224,'Stem_Worm_Card','Stem Worm Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12032,RC_Brute,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4225,'Stone_Shooter_Card','Stone Shooter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,10; bonus bHit,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4226,'Sting_Card','Sting Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bDef,2; if(getrefine()>8) bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4227,'Spring_Rabbit_Card','Spring Rabbit Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddItemHealRate,IG_Meat,50; bonus3 bAddMonsterDropItemGroup,IG_Meat,RC_Brute,400; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4228,'Sleeper_Card','Sleeper Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12031,RC_Fish,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4229,'C_Tower_Manager_Card','Clock Tower Manager Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,1; bonus bCastrate,-5; if(isequipped(4244,4299,4313)) { bonus bDef,3; bonus bMdef,3; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4230,'Shinobi_Card','Shinobi Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bAgi,1; bonus4 bAutoSpellWhenHit,135,5,100,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4231,'Increase_Soil_Card','Increase Soil Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace2,5,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4232,'Wild_Ginseng_Card','Hermit Plant Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddItemHealRate,IG_Herb,50; bonus3 bAddMonsterDropItemGroup,IG_Herb,RC_Plant,1500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4233,'Baby_Leopard_Card','Baby Leopard Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bLuk,3; if(BaseClass == Job_Merchant) bonus bUnbreakableArmor,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4234,'Anolian_Card','Anolian Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,45,1+9*(getskilllv(45)==10),30,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4235,'Cookie_XMAS_Card','Christmas Cookie Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Angel,-20; bonus2 bExpAddRace,RC_Angel,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4236,'Amon_Ra_Card','Amon Ra Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bAllStats,1; bonus4 bAutoSpellWhenHit,73,10,(30+70*(readparam(bInt)>=99)),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4237,'Owl_Duke_Card','Owl Duke Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus4 bAutoSpell,66,3,3,0; if(isequipped(4238)) bonus3 bAutoSpell,20,5,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4238,'Owl_Baron_Card','Owl Baron Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,78,1,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4239,'Iron_Fist_Card','Iron Fist Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Formless,-20; bonus2 bExpAddRace,RC_Formless,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4240,'Arclouse_Card','Arclouze Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' if (getrefine()<6) { bonus bDef,2; bonus bMdef,3; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4241,'Archangeling_Card','Arc Angeling Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bMaxHP,300; if(readparam(bLuk)>=77) { bonus bHPrecovRate,100; bonus bSPrecovRate,100; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4242,'Apocalips_Card','Apocalipse Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bVit,2; if(getrefine()>8) bonus bMaxHP,800; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4243,'Antonio_Card','Antonio Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,26,1,500,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4244,'Alarm_Card','Alarm Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,10,1,200,0; bonus bMaxHP,300; bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4245,'Am_Mut_Card','Am Mut Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_DemiHuman,-20; bonus2 bExpAddRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4246,'Assulter_Card','Assaulter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_DemiHuman,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4247,'Aster_Card','Aster Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,5; bonus2 bAddDamageClass,1074,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4248,'Ancient_Mummy_Card','Ancient Mummy Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,32,5,30,0; if(isequipped(4106)) bonus bPerfectHitAddRate,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4249,'Ancient_Worm_Card','Ancient Worm Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Demon,-20; bonus2 bExpAddRace,RC_Demon,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4250,'Executioner_Card','Executioner Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubSize,2,25; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4251,'Elder_Card','Elder Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace2,5,40; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4252,'Alligator_Card','Alligator Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bLongAtkDef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4253,'Alice_Card','Alice Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Boss,40; bonus2 bSubRace,RC_NonBoss,-40; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4254,'Tirfing_Card','Tirfing Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubSize,1,25; bonus bDef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4255,'Orc_Lady_Card','Orc Lady Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace2,3,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4256,'Orc_Archer_Card','Orc Archer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12034,RC_DemiHuman,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4257,'Wild_Rose_Card','Wild Rose Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bAgi,1; if(BaseClass == Job_Thief) bonus bFlee2,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4258,'Wicked_Nymph_Card','Evil Nymph Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,1; bonus bMaxSP,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4259,'Wooden_Golem_Card','Wooden Golem Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDef,1; bonus bHPrecovRate,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4260,'Wootan_Shooter_Card','Wootan Shooter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bDef,1; bonus2 bResEff,Eff_Confusion,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4261,'Wootan_Fighter_Card','Wootan Fighter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bDef,1; bonus2 bResEff,Eff_Bleeding,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4262,'Evil_Cloud_Hermit_Card','Cloud Hermit Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12029,RC_Plant,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4263,'Incant_Samurai_Card','Incantation Samurai Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bIgnoreDefRace,RC_NonBoss; bonus bNoRegen,1; bonus2 bHPLossRate,666,10000; ',NULL,' heal -999,0; ');
REPLACE INTO `item_db` VALUES (4264,'Wind_Ghost_Card','Wind Ghost Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,84,3+7*(getskilllv(84)==10),20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4265,'Li_Me_Mang_Ryang_Card','Li Me Mang Ryang Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12033,RC_Angel,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4266,'Eclipse_Card','Eclipse Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bVit,1; if(isequipped(4006)) bonus bFlee,18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4267,'Explosion_Card','Explosion Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Dragon,-20; bonus2 bExpAddRace,RC_Dragon,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4268,'Injustice_Card','Injustice Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,136,1,50; if(isequipped(4277)) { bonus bBaseAtk,20; bonus bLuk,3; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4269,'Incubus_Card','Incubus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bMaxSP,150; if(isequipped(4218)) { bonus bInt,1; bonus bSPrecovRate,10; } else { bonus bInt,-3; bonus bSPrecovRate,-20; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4270,'Giant_Spider_Card','Giant Spider Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Poison,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4271,'Giant_Honet_Card','Giant Hornet Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Wind,10; bonus3 bAddMonsterDropItem,992,RC_Insect,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4272,'Dancing_Dragon_Card','Dancing Dragon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bAgi,1; bonus bCritical,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4273,'Shellfish_Card','Shell Fish Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,5; bonus2 bAddDamageClass,1073,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4274,'Zombie_Master_Card','Zombie Master Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Undead,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4275,'Zombie_Prisoner_Card','Zombie Prisoner Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Undead,-20; bonus2 bExpAddRace,RC_Undead,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4276,'Lord_Of_Death_Card','Lord of Death Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddEff,Eff_Stun,500; bonus2 bAddEff,Eff_Curse,500; bonus2 bAddEff,Eff_Silence,500; bonus2 bAddEff,Eff_Poison,500; bonus2 bAddEff,Eff_Bleeding,500; bonus2 bWeaponComaRace,RC_NonBoss,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4277,'Zherlthsh_Card','Zherlthsh Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bLuk,2; bonus2 bSkillAtk,316,10; bonus2 bSkillAtk,324,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4278,'Gibbet_Card','Gibbet Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' if(getrefine()<6) bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4279,'Deleter_Card','Earth Deleter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bSPrecovRate,-100; bonus bSPGainValue,10; ',NULL,' heal 0,-100; ');
REPLACE INTO `item_db` VALUES (4280,'Geographer_Card','Geographer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,34,2+8*(getskilllv(34)==10),30,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4281,'Zipper_Bear_Card','Zipper Bear Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,30; bonus2 bSPDrainValue,-1,0; if(BaseClass == Job_Merchant) bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4282,'Tengu_Card','Tengu Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItemGroup,IG_Recovery,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4283,'Greatest_General_Card','Greatest General Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus4 bAutoSpell,261,5,2+18*(BaseClass == Job_Acolyte),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4284,'Chepet_Card','Chepet Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,28,5,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4285,'Choco_Card','Choco Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bFlee2,5; bonus bFlee,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4286,'Karakasa_Card','Karakasa Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Confusion,300+600*(readparam(bStr)>=77); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4287,'Kapha_Card','Kapha Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' if(getrefine()<6) bonus bMdef,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4288,'Carat_Card','Carat Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,2; if(getrefine()>8) bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4289,'Caterpillar_Card','Caterpillar Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Plant,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4290,'Cat_O_Nine_Tail_Card','Cat O\' Nine Tails Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMdef,3; bonus bMagicDamageReturn,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4291,'Kobold_Leader_Card','Kobold Leader Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace2,2,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4292,'Kobold_Archer_Card','Kobold Archer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Plant,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4293,'Cookie_Card','Cookie Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bLuk,2; bonus2 bSkillAtk,156,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4294,'Quve_Card','Quve Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' if(BaseJob==Job_Novice||BaseJob==Job_SuperNovice) bonus4 bAutoSpellWhenHit,29,1,100,0; if(isequipped(4193)) { bonus bMaxHP,300; bonus bMaxSP,60; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4295,'Kraben_Card','Kraben Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Blind,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4296,'Cramp_Card','Cramp Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bGetZenyNum,10,3; if(isequipped(4028)) bonus bStr,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4297,'Cruiser_Card','Cruiser Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Brute,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4298,'Cremy_Fear_Card','Creamy Fear Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Confusion,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4299,'Clock_Card','Clock Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,249,3+7*(getskilllv(249)==10),30,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4300,'Chimera_Card','Chimera Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Poison,300+600*(BaseJob==Job_Assassin); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4301,'Killer_Mantis_Card','Killer Mantis Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Bleeding,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4302,'Tao_Gunka_Card','Tao Gunka Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,100; bonus bDef,-50; bonus bMdef,-50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4303,'Whisper_Boss_Card','Giant Whisper Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bFlee,10; if(readparam(bStr)>=80) bonus bBaseAtk,20; if(readparam(bVit)>=80) bonus bMaxHPrate,3; if(readparam(bLuk)>=80) bonus bCritical,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4304,'Tamruan_Card','Tamruan Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bDef,2; bonus2 bSkillAtk,250,10; bonus2 bSkillAtk,251,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4305,'Turtle_General_Card','Turtle General Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bAddRace,RC_NonBoss,20; bonus2 bAddRace,RC_Boss,20; bonus2 bAddRace2,5,20; bonus3 bAutoSpell,7,10,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4306,'Toad_Card','Toad Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bFlee2,1; if(isequipped(4014)) bonus bFlee,18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4307,'Kind_Of_Beetle_Card','Beetle King Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Fish,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4308,'Tri_Joint_Card','Tri Joint Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Formless,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4309,'Parasite_Card','Parasite Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bDef,1; bonus2 bSubEle,Ele_Neutral,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4310,'Panzer_Goblin_Card','Panzer Goblin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,10; bonus2 bCriticalAddRace,RC_Demon,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4311,'Permeter_Card','Permeter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Dark,15; bonus2 bSubEle,Ele_Undead,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4312,'Fur_Seal_Card','Seal Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bFlee,3; bonus bHit,10; if(BaseClass == Job_Acolyte) { bonus2 bCriticalAddRace,RC_Undead,9; bonus2 bCriticalAddRace,RC_Demon,9; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4313,'Punk_Card','Punk Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,92,1+4*(getskilllv(92)==5),50,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4314,'Penomena_Card','Penomena Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Formless,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4315,'Pest_Card','Pest Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Stone,300+600*(readparam(bInt)>=77); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4316,'Fake_Angel_Card','False Angel Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_Angel,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4317,'Mobster_Card','Mobster Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bCritAtkRate,15; if(BaseClass == Job_Thief) bonus bCritical,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4318,'Knight_Windstorm_Card','Stormy Knight Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,89,2,20; bonus2 bAddEff,Eff_Freeze,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4319,'Freezer_Card','Freezer Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxHP,300; if(getrefine()>=9) bonus2 bSkillAtk,5,10; if(isequipped(4246,4311,4220,4331)) { bonus bStr,10; bonus bMaxHPrate,20; bonus bHPrecovRate,50; bonus4 bAutoSpell,112,1,3,0; bonus2 bAddMonsterDropItem,501,500; if(BaseClass == Job_Swordman) { bonus2 bAddItemHealRate,IG_Potion,50; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4320,'Bloody_Knight_Card','Bloody Knight Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,83,1,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4321,'Hylozoist_Card','Hylozoist Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bClassChange,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4322,'High_Orc_Card','High Orc Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bDef,1; bonus bShortWeaponDamageReturn,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4323,'Garm_Baby_Card','Garm Baby Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,15,3,50+250*isequipped(4324); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4324,'Garm_Card','Garm Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus2 bAddEffWhenHit,Eff_Freeze,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4325,'Harpy_Card','Harpy Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus2 bSubEle,Ele_Neutral,15; bonus2 bSkillAtk,11,5; if(isequipped(4191,4208,4258,4309,4327)) { bonus bMaxHP,500; bonus bDef,5; bonus bMDef,5; bonus2 bSkillAtk,14,10; bonus2 bSkillAtk,19,10; bonus2 bSkillAtk,20,10; if(BaseClass == Job_Mage) { bonus bMatkRate,3; bonus bCastrate,-15; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4326,'See_Otter_Card','Sea-Otter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddItemHealRate,IG_Fish,50; bonus3 bAddMonsterDropItemGroup,IG_Fish,RC_Fish,600; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4327,'Blood_Butterfly_Card','Bloody Butterfly Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bCastrate,30; bonus bNoCastCancel,0; bonus2 bSkillAtk,18,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4328,'Hyegun_Card','Hyegun Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bFlee,15; bonus bCritical,1; if(isequipped(4090,4212)) bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4329,'Phendark_Card','Phendark Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSPGainRace,RC_DemiHuman,5; ',NULL,' heal 0,-5; ');
REPLACE INTO `item_db` VALUES (4330,'Dark_Snake_Lord_Card','Evil Snake Lord Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,3; bonus2 bResEff,Eff_Blind,10000; bonus2 bResEff,Eff_Curse,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4331,'Heater_Card','Heater Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus bCritical,3; if(BaseClass == Job_Swordman) bonus bFlee2,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4332,'Waste_Stove_Card','Waste Stove Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bBaseAtk,5; bonus bInt,1; if(isequipped(4185,4293,4312)) { bonus bStr,3; bonus bMaxSP,80; bonus bBaseAtk,25; bonus4 bAutoSpell,32,5,10,1; bonus2 bSkillAtk,271,10; if(BaseJob == Job_Monk) { bonus bUseSPrate,-10; bonus bNoCastCancel,0; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4333,'Venomous_Card','Venomous Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus3 bAddEffWhenHit,Eff_Poison,3000,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4334,'Noxious_Card','Noxious Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bLongAtkDef,10; bonus2 bSubEle,Ele_Neutral,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4335,'Pitman_Card','Pitman Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSkillAtk,90,5; bonus2 bSkillAtk,91,5; ',NULL,' heal 0,-50; ');
REPLACE INTO `item_db` VALUES (4336,'Ungoliant_Card','Ungoliant Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bHPrecovRate,10; bonus2 bResEff,Eff_Bleeding,10000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4337,'Porcellio_Card','Porcellio Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bBaseAtk,25; bonus bDef,-5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4338,'Obsidian_Card','Obsidian Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bVit,readparam(bDex)/18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4339,'Mineral_Card','Mineral Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bBaseAtk,-25; bonus bDef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4340,'Teddy_Bear_Card','Teddy Bear Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus2 bSubRace,RC_Undead,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4341,'Metaling_Card','Metaling Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,215,1,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4342,'RSX_0806_Card','RSX 0806 Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bVit,3; bonus bUnbreakableArmor,0; bonus bNoKnockback,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4343,'Mole_Card','Holden Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bLuk,2; if(isequipped(4186,4281,4036,4233)) { bonus bStr,4; bonus bMaxHPrate,7; bonus bMaxSPrate,7; bonus2 bSkillAtk,42,20; bonus bSPDrainValue,1; if(BaseJob == Job_Alchem) { bonus4 bAutoSpell,111,1,10,0; bonus2 bAddMonsterDropItem,7139,300; bonus2 bAddMonsterDropItem,905,300; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4344,'Anopheles_Card','Anopheles Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12058,RC_Insect,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4345,'Hill_Wind_Card','Hill Wind Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSkillAtk,21,5; bonus2 bSkillAtk,84,5; bonus2 bSkillAtk,85,5; ',NULL,' heal 0,-50; ');
REPLACE INTO `item_db` VALUES (4346,'Ygnizem_Card','Egnigem Cenia Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bStr,readparam(bInt)/18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4347,'Armaia_Card','Armeyer Dinze Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12053,RC_Fish,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4348,'Whikebain_Card','Wikebine Tres Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,217,1,50; if(isequipped(4039,4210,4257,4230)) { bonus bStr,6; bonus bAgi,4; bonus2 bSkillAtk,212,10; if(getskilllv(217)==5) bonus3 bAutoSpell,217,5,50; if(BaseJob == Job_Rogue) { bonus bUseSPrate,-20; bonus3 bAutoSpell,219,1,-20; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4349,'Erend_Card','Errende Ebecee Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,25,1,50,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4350,'Rawrel_Card','Laurell Weinder Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSkillAtk,88,3; bonus2 bSkillAtk,89,3; ',NULL,' heal 0,-50; ');
REPLACE INTO `item_db` VALUES (4351,'Kavac_Card','Kavach Icarus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' if(getrefine()<=4) { bonus bFlee,20; bonus bFlee2,1; } else { bonus bFlee,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4352,'B_Ygnizem_Card','General Egnigem Cenia Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,10; bonus bMaxSPrate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4353,'Removal_Card','Remover Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHP,(800-(80*getrefine())); bonus bHPrecovRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4354,'Gemini_Card','Gemini-S58 Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' if(readparam(bAgi)>=90) { bonus2 bResEff,Eff_Silence,3000; bonus2 bResEff,Eff_Stun,3000; } if(readparam(bVit)>=80) { bonus2 bResEff,Eff_Stone,5000; bonus2 bResEff,Eff_Sleep,5000; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4355,'Gremlin_Card','Gremlin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12043,RC_Brute,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4356,'Beholder_Card','Beholder Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' skill 275,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4357,'Lord_Knight_Card','Lord Knight Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' skill 359,1; bonus bMaxHPrate,-50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4358,'Seyren_Card','Seyren Windsor Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bStr,getrefine()-6; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4359,'Assassin_Cross_Card','Assassin Cross Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' skill 135,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4360,'Eremes_Card','Eremes Guile Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bCriticalAddRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4361,'Whitesmith_Card','Whitesmith Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBreakWeaponRate,1000; bonus bBreakArmorRate,700; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4362,'Harword_Card','Howard Alt-Eisen Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bAspdRate,-5; bonus bHit,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4363,'High_Priest_Card','High Priest Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus5 bAutoSpellWhenHit,361,1,10,BF_WEAPON|BF_MAGIC,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4364,'Magaleta_Card','Margaretha Solin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bInt,1; bonus5 bAutoSpellWhenHit,76,5,150,BF_MAGIC,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4365,'High_Wizard_Card','High Wizard Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bIgnoreMDefRace,RC_NonBoss; bonus bCastrate,100; bonus bSPrecovRate,-100; ',NULL,' heal 0,-2000; ');
REPLACE INTO `item_db` VALUES (4366,'Katrinn_Card','Kathryne Keyron Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bCastrate,getrefine()*-1; if(getrefine()>=9) { bonus bMatkRate,2; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4367,'Sniper_Card','Sniper Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bNoRegen,1; bonus2 bHpDrainRate,50,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4368,'Shecil_Card','Cecil Damon Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bAspdRate,5; bonus bHit,-30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4369,'Venatu_Card','Venatu Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bLuk,readparam(bAgi)/18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4370,'Dimik_Card','Dimik Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bVit,getrefine()-5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4371,'Archdam_Card','Archdam Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bBaseAtk,10; bonus bCastrate,20; if(isequipped(4311,4319,4331)) { bonus bInt,1; bonus bStr,1; bonus bDef,2; bonus bSPrecovRate,10; bonus2 bSkillAtk,480,10; bonus2 bSkillAtk,368,10; bonus bCastrate,-10; if(BaseJob == Job_Crusader) { bonus bDefEle,Ele_Holy; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4372,'Bacsojin_Card','Bacsojin Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus2 bSkillAtk,28,30; bonus2 bSkillAtk,70,30; bonus2 bSkillAtk,231,30; bonus bUseSPrate,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4373,'Chung_E_Card','Chung E Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' bonus bLuk,getrefine()-5; bonus bCritical,getrefine(); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4374,'Apocalips_H_Card','Vesper Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bDex,2; bonus2 bMagicAddRace,RC_Boss,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4375,'Orc_Baby_Card','Orc Baby Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' if(getrefine()>=9) { bonus2 bSubEle,Ele_Neutral,15; bonus bFlee,15; } else { bonus2 bSubEle,Ele_Neutral,10; bonus bFlee,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4376,'Lady_Tanee_Card','Lady Tanee Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bMaxHPrate,-50; bonus bMaxSPrate,50; bonus2 bAddMonsterDropItem,513,500; bonus2 bAddItemHealRate,513,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4377,'Green_Iguana_Card','Green Iguana Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12063,RC_Formless,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4378,'Acidus_Card','Gold Acidus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' if(getrefine()<=4) { bonus bMaxHPrate,8; bonus bMaxSPrate,8; bonus bHPrecovRate,5; bonus bSPrecovRate,5; } else { bonus bMaxHPrate,4; bonus bMaxSPrate,4; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4379,'Acidus__Card','Blue Acidus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' if(getrefine()<=4) { bonus bSPrecovRate,5; bonus bMaxSP,80; } else { bonus bMaxSP,40; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4380,'Ferus_Card','Red Ferus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSkillAtk,80,5; bonus2 bSkillAtk,83,5; ',NULL,' heal 0,-50; ');
REPLACE INTO `item_db` VALUES (4381,'Ferus__Card','Green Ferus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bVit,1; bonus bMaxHPrate,10; if(isequipped(4297,4234,4252,4178)) { bonus bDex,5; bonus2 bSkillAtk,394,5; bonus2 bSkillAtk,324,10; bonus2 bSkillAtk,316,10; if(BaseJob == Job_Bard || BaseJob == Job_Dancer) { bonus4 bAutoSpellWhenHit,489,2,50,1; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4382,'Novus__Card','Yellow Novus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMaxHP,500; bonus bHPrecovRate,10; if(isequipped(4208,4258,4325,4327)) { bonus bInt,3; bonus2 bSkillAtk,91,10; bonus2 bSkillAtk,21,10; if(BaseJob == Job_Sage) { bonus bMagicDamageReturn,20; bonus2 bAddMonsterDropItem,716,100; bonus2 bAddMonsterDropItem,715,100; bonus bCastrate,-20; } } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4383,'Novus_Card','Red Novus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus3 bAddEffWhenHit,Eff_Confusion,3000,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4384,'Hydro_Card','Hydro Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAutoSpell,277,1,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4385,'Dragon_Egg_Card','Dragon Egg Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12048,RC_Dragon,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4386,'Detale_Card','Detale Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMdef,-20; bonus2 bResEff,Eff_Freeze,10000; bonus5 bAutoSpellWhenHit,288,1,50,BF_MAGIC,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4387,'Ancient_Mimic_Card','Ancient Mimic Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bAgi,readparam(bLuk)/18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4388,'Deathword_Card','Deathword Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bSkillAtk,11,5; bonus2 bSkillAtk,13,5; bonus2 bSkillAtk,400,5; ',NULL,' heal 0,-50; ');
REPLACE INTO `item_db` VALUES (4389,'Plasma_Card','Plasma Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus2 bAddMonsterDropItemGroup,IG_Resist,1200; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4390,'Breeze_Card','Breeze Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,5; bonus2 bAddEff,Eff_Bleeding,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4391,'Retribution_Card','Retribution Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,136,NULL,NULL,NULL,NULL,' bonus3 bAddMonsterDropItem,12068,RC_Angel,300; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4392,'Observation_Card','Observation Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bDex,readparam(bVit)/18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4393,'Shelter_Card','Shelter Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bInt,readparam(bStr)/18; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4394,'Solace_Card','Solace Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' if(BaseJob == Job_Priest) bonus4 bAutoSpell,254,5,10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4395,'Tha_Maero_Card','Thanatos Maero Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bBaseAtk,5; bonus3 bAutoSpell,30,3,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4396,'Tha_Odium_Card','Thanatos Odium Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,64,NULL,NULL,NULL,NULL,' bonus bAgi,getrefine()-5;',NULL,NULL);
REPLACE INTO `item_db` VALUES (4397,'Tha_Despero_Card','Thanatos Despero Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,32,NULL,NULL,NULL,NULL,' bonus bInt,getrefine()-6; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4398,'Tha_Dolor_Card','Thanatos Dolor Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bMagicAddRace,RC_Angel,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4399,'Thanatos_Card','Thanatos Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bDefRatioAtkRace,RC_Boss; bonus bDefRatioAtkRace,RC_NonBoss; bonus bSPDrainValue,-1; bonus bDef,-30; bonus bFlee,-30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4400,'Aliza_Card','Aliza Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus4 bAutoSpellWhenHit,1011,1,50+50*(BaseJob == Job_Dancer),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4401,'Alicel_Card','Alicel Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bFlee,10; bonus bDef,-5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4402,'Aliot_Card','Aliot Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,NULL,NULL,NULL,' if(BaseClass==Job_Swordman||BaseClass==Job_Merchant||BaseClass==Job_Thief) { bonus bStr, 2; bonus bMaxHPrate, 5; } if(BaseClass==Job_Mage||BaseClass==Job_Archer||BaseClass==Job_Acolyte) { bonus bInt, 2; bonus bMaxSPrate, 5; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4403,'Kiel_Card','Kiel Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,769,NULL,NULL,NULL,NULL,' bonus bDelayRate,-30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4404,'Skogul_Card','Skogul Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus3 bAddEffWhenHit,Eff_Bleeding,3000,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4405,'Frus_Card','Frus Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,NULL,NULL,NULL,NULL,' bonus bMagicDamageReturn,getrefine()*2; if(BaseClass==Job_Mage) bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4406,'Skeggiold_Card','Skeggiold Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus2 bMagicAddRace,RC_Demon,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (4407,'Randgris_Card','Randgris Card',6,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,' bonus bUnbreakableWeapon,0; bonus2 bAddRace,RC_NonBoss,10; bonus2 bAddRace,RC_Boss,10; bonus2 bAddRace2,5,10; bonus3 bAutoSpell,289,1,10; ',NULL,NULL);
# // More Headgears
# //===================================================================
REPLACE INTO `item_db` VALUES (5001,'Headset','Headset',5,20,NULL,200,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,1,1,87,' bonus2 bResEff,Eff_Curse,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5002,'Gemmed_Crown','Jewel Crown',5,20,NULL,600,NULL,4,NULL,0,0x000654E2,7,2,256,NULL,60,1,88,' bonus bMdef,3; bonus bInt,2; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5003,'Joker_Jester','Joker Jester',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,89,' bonus bMdef,5; bonus bLuk,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5004,'Oxygen_Mask','Oxygen Mask',5,20,NULL,200,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,90,' bonus2 bResEff,Eff_Poison,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5005,'Gas_Mask','Gas Mask',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,513,NULL,0,0,91,' bonus2 bResEff,Eff_Poison,3000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5006,'Machoman_Glasses','Machoman\'s Glasses',5,36000,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,512,NULL,0,0,92,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5007,'Loard_Circlet','Grand Circlet',5,20,NULL,200,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,55,1,93,' bonus bMdef,4; bonus bStr,1; bonus bInt,1; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5008,'Puppy_Love','Puppy Love',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,0,94,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5009,'Safety_Helmet','Safety Helmet',5,20,NULL,500,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,95,' bonus bMdef,3; bonus bUnbreakableHelm,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5010,'Indian_Hair_Piece','Indian Fillet',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,96,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5011,'Antenna','Aerial',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,97,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5012,'Ph.D_Hat','Ph.D Hat',5,20,NULL,200,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,98,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5013,'Horn_Of_Lord_Kaho','Lord Kaho\'s Horn',5,20,NULL,100,NULL,5,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,99,' bonus bMdef,10; bonus bStr,5; bonus bAgi,10; bonus bVit,10; bonus bInt,5; bonus bLuk,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5014,'Fin_Helm','Fin Helm',5,20,NULL,300,NULL,2,NULL,0,0x00004082,7,2,512,NULL,65,0,100,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5015,'Egg_Shell','Egg Shell',5,20,NULL,200,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,101,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5016,'Boy\'s_Cap','Boys Cap',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,102,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5017,'Bone_Helm','Bone Helm',5,20,NULL,800,NULL,7,NULL,0,0x000444A2,7,2,256,NULL,70,1,103,' bonus2 bSubEle,Ele_Dark,-15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5018,'Feather_Bonnet','Feather Bonnet',5,20,NULL,300,NULL,4,NULL,0,0x00080808,7,2,256,NULL,0,1,104,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5019,'Corsair','Corsair',5,20,NULL,500,NULL,5,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,105,' bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5020,'Kafra_Band','Kafra Band',5,20,NULL,500,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,106,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5021,'Bankruptcy_Of_Heart','Grief for Greed',5,20,NULL,1200,NULL,4,NULL,0,0x00040420,7,2,256,NULL,38,1,107,' bonus bInt,1; bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5022,'Helm_Of_Sun','Hat of the Sun God',5,20,NULL,2400,NULL,4,NULL,0,0x00CFDF80,7,2,768,NULL,0,1,138,' bonus bStr,3; bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5023,'Hat_Of_Bundle','Parcel Hat',5,20,NULL,1000,NULL,0,NULL,0,0x00040420,7,2,256,NULL,0,1,108,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5024,'Hat_Of_Cake','Cake Hat',5,20,NULL,1000,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,109,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5025,'Helm_Of_Angel','Helm of Angel',5,20,NULL,1600,NULL,5,NULL,0,0x00CFDF80,7,2,256,NULL,74,1,110,' bonus bAgi,1; bonus bLuk,1; bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5026,'Hat_Of_Cook','Chef Hat',5,20,NULL,300,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,50,1,111,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5027,'Wizardry_Hat','Mage Hat',5,20,NULL,300,NULL,1,NULL,0,0x00810204,7,2,256,NULL,0,1,112,' bonus bInt,2; bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5028,'Candle','Candle',5,20,NULL,150,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,113,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5029,'Spore_Hat','Spore Hat',5,20,NULL,900,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,20,1,114,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5030,'Panda_Cap','Panda Hat',5,20,NULL,800,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,40,1,115,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5031,'Mine_Helm','Mine Hat',5,20,NULL,1500,NULL,4,NULL,0,0x0006D5F2,7,2,256,NULL,55,1,116,' bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5032,'Picnic_Hat','Sunday Hat',5,20,NULL,800,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,117,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5033,'Smokie_Hat','Raccoon Hat',5,20,NULL,900,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,50,1,118,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5034,'Light_Bulb_Band','Bulb Band',5,20,NULL,500,NULL,0,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,119,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5035,'Poring_Hat','Poring Hat',5,20,NULL,700,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,38,1,120,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5036,'Cross_Band','Cross Hat',5,20,NULL,250,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,10,1,121,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5037,'Fruit_Shell','Nutshell',5,20,NULL,150,NULL,4,NULL,0,0xFFFFFFFF,7,2,256,NULL,5,0,122,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5038,'Deviruchi_Cap','Deviruchi Hat',5,20,NULL,800,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,64,1,123,' bonus bStr,1; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5039,'Mottled_Egg_Shell','Rainbow Eggshell',5,20,NULL,400,NULL,4,NULL,0,0xFFFFFFFF,7,2,256,NULL,19,0,124,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5040,'Blush','Blush',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,125,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5041,'Heart_Hair_Pin','Heart Hairpin',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,126,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5042,'Hair_Protector','Bao Bao',5,20,NULL,150,NULL,0,NULL,0,0xFFFFFFFE,7,2,256,NULL,14,1,127,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5043,'Opera_Ghost_Mask','Opera Phantom Mask',5,20,NULL,200,NULL,1,NULL,0,0xFFFFFFFE,7,2,512,NULL,20,0,128,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5044,'Devil\'s_Wing','Wings of Diablo',5,20,NULL,350,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,45,1,129,' bonus bVit,1;',NULL,NULL);
REPLACE INTO `item_db` VALUES (5045,'Magician_Hat','Magician Hat',5,20,NULL,500,NULL,3,NULL,0,0x00818314,7,2,256,NULL,50,1,130,' bonus bDex,1; bonus bAgi,1; bonus bMaxSP,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5046,'Bongun_Hat','Bongun Hat',5,20,NULL,300,NULL,5,NULL,0,0xFFFFFFFF,7,2,769,NULL,0,0,139,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5047,'Fashion_Sunglass','Fashionable Glasses',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,131,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5048,'First_Moon_Hair_Pin','Cresent Hairpin',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,132,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5049,'Stripe_Band','Striped Hairband',5,20,NULL,150,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,133,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5050,'Mystery_Fruit_Shell','Wonder_Nutshell',5,20,NULL,300,NULL,5,NULL,0,0xFFFFFFFF,7,2,256,NULL,30,0,134,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5051,'Kitty_Bell','Pussy_Cat_Bell',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,135,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5052,'Blue_Hair_Band','Blue Hairband',5,20,NULL,150,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,136,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5053,'Spinx_Helm','Sphinx Hat',5,20,NULL,3000,NULL,5,NULL,0,0x00004082,7,2,769,NULL,65,0,137,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5054,'Assassin_Mask','Assassin Mask',5,NULL,10,100,NULL,0,NULL,0,0x00001100,7,2,1,NULL,70,0,180,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5055,'Novice_Egg_Cap','Novice False Eggshell',5,1,NULL,1,NULL,3,NULL,0,0x00000001,7,2,256,NULL,0,0,101,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5056,'Love_Berry','Fruit of Love',5,1,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,140,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5057,'Ear_Of_Black_Cat','Black Cat Ears',5,16000,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,45,1,141,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5058,'Drooping_Kitty','Drooping Cat',5,250000,NULL,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,142,' bonus bMDef,15; bonus2 bResEff,Eff_Curse,3000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5059,'Brown_Bear_Cap','Teddybear Hat',5,20,NULL,800,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,1,143,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5060,'Party_Hat','Party Hat',5,20,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,144,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5061,'Flower_Hairpin','Flower Hairpin',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,145,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5062,'Straw_Hat','Straw Hat',5,20,NULL,200,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,1,146,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5063,'Plaster','Giant Band Aid',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,147,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5064,'Leaf_Headgear','Smokie Leaf',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,148,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5065,'Fish_On_Head','Blue Fish',5,20,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,1,149,' bonus2 bAddRace,RC_Fish,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5066,'Horn_Of_Succubus','Succubus Horn',5,20,NULL,800,NULL,4,NULL,0,0xFFFFFFFE,7,2,256,NULL,70,1,150,' bonus bInt,1; bonus bMdef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5067,'Sombrero','Sombrero',5,20,NULL,350,NULL,4,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,151,' bonus bAgi,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5068,'Ear_Of_Devil\'s_Wing','Evil Wing Ears',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,512,NULL,70,0,152,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5069,'Mask_Of_Fox','Kitsune Mask',5,20,NULL,300,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,153,' bonus bAgi,1; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5070,'Headband_Of_Power','Hot-blooded Headband',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,154,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5071,'Indian_Headband','Indian Headband',5,20,NULL,200,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,155,' bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5072,'Inccubus_Horn','Incubus Horn',5,20,NULL,800,NULL,4,NULL,0,0xFFFFFFFE,7,2,256,NULL,70,1,156,' bonus bAgi,1; bonus bMdef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5073,'Cap_Of_Concentration','Model Training Hat',5,20,NULL,700,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,157,' bonus bDex,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5074,'Ear_Of_Angel\'s_Wing','Angel Wing Ears',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,512,NULL,70,0,158,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5075,'Cowboy_Hat','Cowboy Hat',5,20,NULL,500,NULL,4,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,159,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5076,'Fur_Hat','Beanie',5,20,NULL,350,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,160,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5077,'Tulip_Hairpin','Tulip Hairpin',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,161,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5078,'Sea_Otter_Cap','Sea-Otter Hat',5,20,NULL,800,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,1,162,' bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5079,'Crossed_Hair_Band','X Hairpin',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,163,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5080,'Headgear_Of_Queen','Crown of Ancient Queen',5,20,NULL,400,NULL,4,NULL,0,0xFFFFFFFF,7,2,256,NULL,45,1,164,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5081,'Mistress_Crown','Crown of Mistress',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,0,256,NULL,75,1,165,' bonus bMaxSP,100; bonus bInt,2; bonus bUnbreakableHelm,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5082,'Mushroom_Band','Decorative Mushroom',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,166,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5083,'Red_Tailed_Ribbon','Red Tailed Ribbon',5,20,NULL,200,NULL,1,NULL,0,0xFFFFFFFF,7,0,256,NULL,45,1,167,' bonus bMdef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5084,'Lazy_Raccoon','Lazy Smokie',5,20,NULL,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,168,' bonus2 bResEff,Eff_Sleep,2000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5085,'Pair_Of_Red_Ribbon','Small Ribbons',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,0,512,NULL,45,0,169,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5086,'Alarm_Mask','Alarm Mask',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFE,7,2,513,NULL,0,0,170,' bonus2 bResEff,Eff_Blind,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5087,'Goblin_Mask_01','Poker Face',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,171,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5088,'Goblin_Mask_02','Surprised Mask',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,172,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5089,'Goblin_Mask_03','Annoyed Mask',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,173,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5090,'Goblin_Mask_04','Goblin Leader Mask',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,174,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5091,'Big_Golden_Bell','Decorative Golden Bell',5,20,NULL,200,NULL,2,NULL,0,0xFFFFFFFE,7,2,768,NULL,35,1,175,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5092,'Blue_Coif','Coif',5,150000,NULL,300,NULL,5,NULL,0,0x00001100,7,0,768,NULL,65,1,176,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5093,'Blue_Coif_','Coif',5,150000,NULL,300,NULL,5,NULL,1,0x00001100,7,0,768,NULL,65,1,177,' bonus bMaxSP,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5094,'Orc_Hero_Helm','Helmet of Orc Hero',5,500000,NULL,900,NULL,5,NULL,0,0xFFFFFFFE,7,2,768,NULL,55,1,178,' bonus bStr,2; bonus bVit,1; ',NULL,NULL);
# //5095,Orc_Hero_Helm_,Helmet of Orc Hero,5,800000,,1000,,5,,1,0xFFFFFFFE,7,2,768,,55,1,179,{ bonus bStr,2; bonus bVit,1; },{},{}
REPLACE INTO `item_db` VALUES (5096,'Assassin_Mask_','Assassin Mask',5,20,NULL,100,NULL,0,NULL,0,0x00001100,7,2,1,NULL,70,0,180,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5097,'Cone_Hat_','4 Years Anniversary Hat',5,0,NULL,400,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,144,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5098,'Tiger_Mask','Tiger Mask',5,20,NULL,400,NULL,2,NULL,0,0xFFFFFFFF,7,2,768,NULL,50,0,181,' bonus bStr,3; bonus bMaxHP,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5099,'Cat_Hat','Neko Mimi',5,20,NULL,300,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,182,' bonus bLuk,2; bonus bMdef,10; bonus2 bSubRace,RC_Brute,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5100,'Sales_Signboard','Sales Banner',5,20,NULL,800,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,75,1,183,' bonus bStr,1; bonus bAgi,1; bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5101,'Takius_Blindfold','Takius\'s Blindfold',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,184,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5102,'Round_Eyes','Blank Eyes',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,185,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5103,'Sunflower_Hairpin','Sunflower Hairpin',5,20,NULL,600,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,30,0,186,' bonus bAgi,2; bonus bCritical,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5104,'Dark_Blindfold','Dark Blinder',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,512,NULL,0,0,187,' bonus2 bResEff,Eff_Blind,10000; bonus2 bResEff,Eff_Stun,200; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5105,'Hat_Of_Cake_','2nd Anniversary Hat',5,20,NULL,1000,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,24,1,109,' bonus bDex,1; bonus bMaxSP,80; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5106,'Cone_Hat_INA','2nd Anniversary Hat',5,20,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,144,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5107,'Well_Baked_Toast','Crunch Toast',5,20,NULL,50,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,188,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5108,'Detective_Hat','Renown Detective\'s Cap',5,20,NULL,350,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,189,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5109,'Red_Bonnet','Red Bonnet',5,20,NULL,400,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,190,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5110,'Baby_Pacifier','Baby Pacifier',5,20,NULL,50,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,191,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5111,'Galapago_Cap','Galapago Cap',5,20,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,55,1,192,' bonus2 bAddMonsterDropItem,605,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5112,'Super_Novice_Hat','Super Novice Hat',5,8500,NULL,400,NULL,4,NULL,0,0x00000001,7,2,256,NULL,40,1,193,' bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5113,'Angry_Mouth','Angry Snarl',5,20,NULL,50,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,194,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5114,'Fedora','Bucket Hat',5,6000,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,195,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5115,'Winter_Hat','Winter Hat',5,20,NULL,500,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,196,' bonus2 bResEff,Eff_Freeze,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5116,'Banana_Hat','Banana Hat',5,20,NULL,200,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,197,' bonus3 bAutoSpell,6,3,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5117,'Mistic_Rose','Mystic Rose',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,198,' bonus2 bSubRace,RC_Plant,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5118,'Ear_Of_Puppy','Puppy Headband',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,199,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5119,'Super_Novice_Hat_','Super Novice Hat',5,8500,NULL,400,NULL,4,NULL,1,0x00000001,7,2,256,NULL,40,1,193,' bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5120,'Fedora_','Bucket Hat',5,6000,NULL,300,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,195,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5121,'Zherlthsh_Mask','Zherlthsh Mask',5,20,NULL,400,NULL,3,NULL,0,0xFFFFFFFE,7,2,768,NULL,70,1,200,' bonus2 bAddRace,RC_DemiHuman,5; bonus2 bSubRace,RC_DemiHuman,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5122,'Magni_Cap','Magni\'s Cap',5,30000,NULL,1000,NULL,5,NULL,0,0xFFFFFFFE,7,2,256,NULL,65,1,250,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5123,'Ulle_Cap','Ulle\'s Cap',5,30000,NULL,500,NULL,3,NULL,1,0xFFFFFFFE,7,2,256,NULL,65,1,254,' bonus bDex,2; bonus bAgi,1; if(isequipped(2353) && readparam(bDex)>=70) bonus bUseSPrate,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5124,'Fricca_Circlet','Frigg\'s Circlet',5,30000,NULL,300,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,65,1,251,' bonus bMdef,10; bonus bInt,2; bonus bMaxSP,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5125,'Kiss_Of_Angel','Angel\'s Kiss',5,10000,NULL,300,NULL,3,NULL,1,0x00000001,7,2,256,NULL,50,1,255,' bonus bSPrecovRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5126,'Morpheus\'s_Hood','Morpheus\'s Hood',5,30000,NULL,200,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,33,1,256,' bonus bInt,2; if(isequipped(2518,2648,2649)) { bonus bInt,5; bonus bMdef,11; bonus bMaxSPrate,20; bonus bNoCastCancel,0; bonus bCastrate,25; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5127,'Morrigane\'s_Helm','Morrigane\'s Helm',5,30000,NULL,500,NULL,4,NULL,0,0xFFFFFFFE,7,2,256,NULL,61,1,257,' bonus bLuk,2; bonus bBaseAtk,3; if(isequipped(2519,2650,2651)) { bonus bStr,2; bonus bLuk,9; bonus bCritical,13; bonus bBaseAtk,18; bonus bFlee2,13; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5128,'Goibne\'s_Helmet','Goibne\'s Helm',5,30000,NULL,500,NULL,5,NULL,0,0xFFFFFFFE,7,2,256,NULL,54,1,258,' bonus bVit,3; bonus bMdef,3; if(isequipped(2354,2419,2520)) { bonus bVit,5; bonus bMaxHPrate,15; bonus bMaxSPrate,5; bonus bDef,5; bonus bMdef,15; bonus2 bSubEle,Ele_Water,10; bonus2 bSubEle,Ele_Earth,10; bonus2 bSubEle,Ele_Fire,10; bonus2 bSubEle,Ele_Wind,10; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5129,'Bird_Nest','Bird Nest',5,20,NULL,400,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,0,201,' bonus bAgi,2; bonus2 bSubRace,RC_Brute,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5130,'Lion_Mask','Lion Mask',5,20,NULL,700,NULL,0,NULL,0,0x00CFDF80,7,2,768,NULL,75,1,202,' bonus2 bAddEffWhenHit,Eff_Silence,500; bonus bMdef,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5131,'Close_Helmet','Close Helmet',5,20,NULL,1200,NULL,8,NULL,0,0x00004082,7,2,769,NULL,75,1,203,' bonus bVit,3; bonus bMaxHPrate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5132,'Angeling_Hat','Angeling Hat',5,20,NULL,700,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,204,' bonus2 bSubRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5133,'Sheep_Hat','Sheep Hat',5,20,NULL,150,NULL,1,NULL,0,0x00008110,7,2,256,NULL,0,0,205,' bonus bShortWeaponDamageReturn,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5134,'Pumpkin_Hat','Pumpkin-Head',5,20,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,206,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5135,'Cyclops_Visor','Cyclop\'s Eye',5,0,NULL,200,NULL,0,NULL,0,0xFFFFFFFE,7,2,512,NULL,75,0,207,' bonus bMaxSP,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5136,'Santa\'s_Hat_','Louise\'s Santa Hat',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,20,' bonus bMdef,1; bonus bLuk,1; bonus4 bAutoSpellWhenHit,75,5,50,0; bonus4 bAutoSpellWhenHit,34,10,50,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5137,'Alice_Doll','Alice Doll',5,20,NULL,500,NULL,0,NULL,1,0xFFFFFFFE,7,2,256,NULL,30,0,208,' bonus bStr,1; bonus2 bAddRace,RC_DemiHuman,10; bonus2 bAddEff2,Eff_Sleep,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5138,'Magic_Eyes','Magic Eyes',5,20,NULL,300,NULL,1,NULL,0,0x00810204,7,2,256,NULL,30,1,209,' bonus bMdef,5; bonus bCastrate,-10; bonus bUseSPrate,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5139,'Hibiscus','Lotus',5,20,NULL,200,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,10,0,210,' bonus bDex,1; bonus bInt,1; bonus bMdef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5140,'Charming_Ribbon','Kawaii Ribbon',5,20,NULL,400,NULL,1,NULL,1,0xFFFFFFFF,7,2,256,NULL,10,1,211,' bonus2 bSubRace,RC_Undead,5; bonus2 bSubRace,RC_Demon,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5141,'Marionette_Doll','Marionette Doll',5,20,NULL,400,NULL,0,NULL,1,0xFFFFFFFE,7,2,256,NULL,30,1,212,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5142,'Crescent_Helm','Crescent Helm',5,20,NULL,3000,NULL,8,NULL,0,0x000444A2,7,2,768,NULL,50,1,213,' bonus bVit,1; bonus2 bSubRace,RC_DemiHuman,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5143,'Kabuki_Mask','Kabuki Mask',5,20,NULL,1000,NULL,5,NULL,1,0xFFFFFFFE,7,2,769,NULL,30,1,214,' bonus2 bResEff,Eff_Silence,3000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5144,'Gambler_Hat','Gambler Hat',5,20,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,16,' bonus bLuk,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5145,'Carnival_Joker_Jester','Carnival Jester',5,10,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,89,' bonus bAllStats,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5146,'Elephant_Hat','Elephant Hat',5,0,NULL,500,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,215,' bonus bVit,1; bonus2 bSubRace,RC_Brute,7; skill 86,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5147,'Baseball_Cap','Baseball Cap',5,0,NULL,200,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,216,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5148,'Phrygian_Hat','National Holiday Hat',5,0,NULL,500,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,217,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5149,'Silver_Tiara','Silver Tiara',5,0,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,218,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5150,'Joker_Jester_','Brazil Event Hat',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,219,' bonus bSpeedRate,35; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5151,'Headset_OST','Note Headphones',5,20,NULL,200,NULL,4,NULL,1,0xFFFFFFFF,7,2,768,NULL,0,1,220,' bonus bMdef,3; bonus2 bResEff,Eff_Stun,1000; bonus2 bResEff,Eff_Freeze,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5152,'Chinese_Crown','Phoenix Crown',5,20,NULL,2000,NULL,2,NULL,0,0xFFFFFFFF,7,2,768,NULL,1,1,221,' bonus2 bResEff,Eff_Stun,1000; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5153,'Angeling_Hair_Pin','Angeling Pin',5,20,NULL,700,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,222,' bonus bFlee,5; if (isequipped(2358)==0) end; bonus bLuk,6; bonus bFlee,5; bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5154,'Sunglasses_F','Father\'s Sunglasses',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,12,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5155,'Granpa_Beard_F','Father\'s White Beard',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,25,' bonus bBaseAtk,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5156,'Flu_Mask_F','Father\'s Mask',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,8,' bonus bMatkRate,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5157,'Viking_Helm_','Orc Helm',5,20,NULL,500,NULL,5,NULL,1,0x000654E2,7,2,256,NULL,0,1,86,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5158,'Holy_Bonnet_','Monk Hat',5,30000,NULL,100,NULL,5,NULL,1,0x00008110,7,2,256,NULL,0,1,35,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5159,'Golden_Gear_','Golden Gear',5,20,NULL,900,NULL,5,NULL,1,0xFFFFFFFE,7,2,256,NULL,40,1,30,' bonus bUnbreakableHelm,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5160,'Magestic_Goat_','Majestic Goat',5,20,NULL,800,NULL,5,NULL,1,0x006444A2,7,2,256,NULL,0,1,41,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5161,'Sharp_Gear_','Spiky Band',5,20,NULL,1000,NULL,6,NULL,1,0x0066D5F2,7,2,256,NULL,50,1,43,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5162,'Bone_Helm_','Bone Helm',5,20,NULL,800,NULL,7,NULL,1,0x000444A2,7,2,256,NULL,70,1,103,' bonus2 bSubEle,Ele_Dark,-15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5163,'Corsair_','Corsair',5,20,NULL,500,NULL,5,NULL,1,0xFFFFFFFE,7,2,256,NULL,0,1,105,' bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5164,'Tiara_','Tiara',5,20,NULL,400,NULL,4,NULL,1,0xFFFFFFFE,7,0,256,NULL,45,1,19,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5165,'Crown_','Crown',5,20,NULL,400,NULL,4,NULL,1,0xFFFFFFFE,7,1,256,NULL,45,1,45,' bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5166,'Spinx_Helm_','Sphinx Hat',5,20,NULL,3000,NULL,5,NULL,1,0x00004082,7,2,769,NULL,65,0,137,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5167,'Munak_Hat_','Munak Hat',5,20,NULL,300,NULL,5,NULL,1,0xFFFFFFFF,7,2,769,NULL,0,0,51,' bonus2 bSubRace,RC_Undead,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5168,'Bongun_Hat_','Bongun Hat',5,20,NULL,300,NULL,5,NULL,1,0xFFFFFFFF,7,2,769,NULL,0,0,139,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5169,'Bride_Mask','Bride Mask',5,30000,NULL,500,NULL,4,NULL,1,0xFFFFFFFF,7,2,768,NULL,40,1,223,' if(BaseClass==Job_Taekwon){ bonus bLuk,2; bonus bCritical,5; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5170,'Feather_Beret','Feather Beret',5,30000,NULL,600,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,224,' bonus bMdef,1; bonus2 bSubRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5171,'Valkyrie_Helm','Valkyrie Helm',5,100000,NULL,1000,NULL,5,NULL,1,0xFFFFFFFE,2,2,256,NULL,0,1,225,' bonus bMdef,5; if(isequipped(2357,2421,2524)) bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5172,'Beret','Beret',5,30000,NULL,700,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,226,' bonus2 bSubRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5173,'Judge_Hat','Judge Hat',5,30000,NULL,400,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,60,1,227,' if(BaseClass==Job_Taekwon){ bonus bAgi,1; bonus bHPrecovRate,3; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5174,'A_yam','A-yam',5,30000,NULL,400,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,60,1,228,' if(BaseClass==Job_Taekwon){ bonus bInt,1; bonus bSPrecovRate,3; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5175,'Anonimity_Request','Anonymity Request',5,30000,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,512,NULL,0,0,229,' bonus2 bResEff,Eff_Curse,500; bonus bMdef,1; bonus bHit,-5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5176,'Smiling_Mask','Smiling Mask',5,30000,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,513,NULL,30,0,230,' if(BaseClass==Job_Taekwon){ bonus bLuk,1; bonus bFlee2,2; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5177,'Lion_Masquerade','Lion Masquerade',5,30000,NULL,500,NULL,5,NULL,1,0xFFFFFFFF,7,2,768,NULL,40,1,231,' if(BaseClass==Job_Taekwon){ bonus bDex,2; bonus bBaseAtk,2*getrefine(); bonus2 bAddEff,Eff_Stun,100; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5178,'Candle_','Candle',5,20,NULL,150,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,113,' bonus bAllStats,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5179,'Golden_Tiara','Golden Tiara',5,0,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,232,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5180,'France_Holiday_Hat','France Holiday Hat',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,217,' bonus bVit,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5181,'Helm_of_Darkness','Helm of Darkness',5,20,NULL,2000,NULL,3,NULL,1,0x000654E2,7,2,768,NULL,50,1,233,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5182,'Puppy_Hat','Puppy Hat',5,20,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,30,0,234,' bonus bAgi,1; bonus4 bAutoSpell,75,1,10+20*(readparam(bAgi)>=77),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5183,'Bird_Nest_Hat','Nest Hat',5,20,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,10,1,235,' bonus bDex,1; bonus bAgi,1; bonus2 bResEff,Eff_Stun,1000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5184,'Captain\'s_Hat','Captain\'s Hat',5,20,NULL,500,NULL,4,NULL,0,0xFFFFFFFE,7,2,256,NULL,30,1,236,' bonus2 bSubEle,Ele_Water,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5185,'Laurel_Wreath','Laurel Crown',5,20,NULL,100,NULL,1,NULL,1,0xFFFFFFFF,7,2,256,NULL,10,1,237,' bonus bLuk,3; bonus2 bResEff,Eff_Blind,500; bonus2 bResEff,Eff_Curse,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5186,'Geographer_Band','Geographer Decoration',5,20,NULL,500,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,30,0,238,' bonus bInt,1; bonus4 bAutoSpellWhenHit,28,1,50,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5187,'Twin_Ribbon','Twin Ribbon',5,20,NULL,200,NULL,0,NULL,1,0xFFFFFFFF,7,2,256,NULL,30,1,239,' bonus bMaxSP,30; bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5188,'Artisan_Hat','Wandering Minstrel Hat',5,20,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,1,240,' bonus bInt,1; bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5189,'Autumn_Leaves','Autumn Leaves',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,241,' bonus bMaxHP,40; bonus bMaxSP,40; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5190,'Indep_Anniversary_Hat','Independence Memorial Hat',5,20,NULL,20,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,216,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5191,'Black_Ribbon','Black Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,242,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5192,'Yellow_Ribbon','Yellow Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,243,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5193,'Green_Ribbon','Green Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,244,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5194,'Pink_Ribbon','Pink Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,245,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5195,'Red_Ribbon','Red Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,246,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5196,'Orange_Ribbon','Orange Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,247,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5197,'White_Ribbon','White Ribbon',5,800,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,248,' bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5198,'Drooping_Bunny','Drooping Bunny',5,10,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,249,' bonus bDex,1; bonus bFlee,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5199,'Baseball_Cap_','Baseball Cap',5,0,NULL,200,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,216,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5200,'Coppola','Coppola',5,10,NULL,300,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,252,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5201,'Pointy_Hat_','2nd Anniversary Party Hat',5,20,NULL,300,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,144,' bonus bAllStats,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5202,'Pumpkin_Hat_','Pumpkin Hat',5,20,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,206,' bonus bAllStats,2; bonus2 bSubRace,RC_Demon,5; bonus3 bAddMonsterDropItem,529,RC_DemiHuman,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5203,'Raspberry_Mask','Smiling Mask',5,20,NULL,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,253,' bonus bSpeedRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5204,'Clown_Event_Nose','Rudolf\'s Red Nose',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,1,NULL,0,0,49,' bonus2 bResEff,Eff_Blind,3000; bonus2 bAddMonsterDropItem,12130,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5205,'Wreath','Emperor\'s Laurel Crown',5,20,NULL,1000,NULL,3,NULL,0,0xFFFFFFFF,7,2,768,NULL,0,1,261,' bonus bAllStats,1; bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5206,'White_Petals','White Petal',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,259,' bonus2 bSubRace,RC_Plant,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5207,'Golden_Ring','Angel Blessing',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,260,' bonus bLuk,1; bonus2 bSubEle,Ele_Holy,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5208,'Rideword_Hat','Rideword Hat',5,NULL,10,300,NULL,2,NULL,1,0xFFFFFFFE,7,2,256,NULL,40,1,262,' bonus2 bHPDrainRate,5,8; bonus2 bSPDrainRate,1,4; bonus2 bHPLossRate,10,5000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5209,'Baseball_Cap__','iRO Baseball Cap',5,NULL,10,300,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,263,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (5210,'Flying_Angel','Flying Angel',5,NULL,10,300,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,10,1,264,' bonus bCastrate,-3; bonus bAspdRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5211,'Ribbon_Hat','Ribbon Hat',5,NULL,10,200,NULL,2,NULL,1,0xFFFFFFFF,7,2,256,NULL,20,1,265,' bonus bMdef,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5212,'Solar_Panels','Solar Panels',5,NULL,10,1000,NULL,3,NULL,1,0xFFFFFFFF,7,2,256,NULL,30,1,266,' bonus bMaxHP,50; bonus bMaxSP,10; skill 24,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5213,'Rabbit_Ears','Rabbit Ears',5,NULL,10,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,267,' bonus bAgi,2; bonus bMdef,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5214,'Cat_Helm','Cat Helm',5,NULL,10,200,NULL,3,NULL,0,0xFFFFFFFF,7,2,768,NULL,0,1,268,' bonus bDex,1; bonus4 bAutoSpell,29,1,30,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5215,'Angelic_Chain_','Evolved Angel Wing',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,38,' bonus bMdef,3; bonus bDex,1; bonus bInt,1; bonus2 bSubRace,RC_Demon,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5216,'Satanic_Chain_','Evolved Evil Wing',5,20,NULL,100,NULL,3,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,39,' bonus bStr,1; bonus bAgi,1; bonus bFlee,3; bonus2 bSubRace,RC_Angel,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5217,'Magestic_Goat__','Evolved Majestic Goat',5,20,NULL,800,NULL,5,NULL,0,0x006444A2,7,2,256,NULL,0,1,41,' bonus bStr,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5218,'Bunny_Band_','Evolved Bunny Band',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,15,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5219,'Drooping_Kitty_','Evolved Drooping Cat',5,20,NULL,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,142,' bonus bMdef,18; bonus bFlee,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5220,'Smoking_Pipe_','Evolved Pipe',5,20,NULL,100,NULL,0,NULL,0,0xFFFFFFFE,7,2,1,NULL,0,0,55,' bonus bVit,1; bonus2 bSubRace,RC_Brute,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5221,'Pair_Of_Red_Ribbon_','Evolved Small Ribbons',5,20,NULL,100,NULL,1,NULL,0,0xFFFFFFFF,7,0,512,NULL,45,0,169,' bonus bFlee,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5222,'Fish_On_Head_','Evolved Blue Fish',5,20,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,50,1,149,' bonus bAgi,1; bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5223,'Big_Golden_Bell_','Evolved Decorative Golden Bell',5,20,NULL,200,NULL,2,NULL,0,0xFFFFFFFE,7,2,768,NULL,35,1,175,' bonus bAgi,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5224,'Orc_Hero_Helm__','Evolved Helmet of Orc Hero',5,20,NULL,900,NULL,5,NULL,0,0xFFFFFFFE,7,2,768,NULL,55,1,178,' bonus bStr,2; bonus bVit,1; bonus bMaxHPrate,10; ',NULL,NULL);
# //5225,Holy_???,Holy ???,5,,10,200,,2,,1,0xFFFFFFFF,7,2,256,,10,1,269,{ bonus bMdef,2; bonus bStr,2; bonus4 bAutoSpell,33,5,10,0; },{},{}
REPLACE INTO `item_db` VALUES (5226,'Advanced_Mini_Propeller','Advanced Mini Propeller',5,NULL,10,200,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,270,' bonus bAgi,2; bonus bDex,1; bonus bFlee,10; bonus bCastrate,-getrefine(); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5227,'Red_Deviruchi_Cap','Red Deviruchi Hat',5,NULL,10,800,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,64,1,271,' bonus bStr,1; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5228,'White_Deviruchi_Cap','White Deviruchi Hat',5,NULL,10,800,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,64,1,272,' bonus bStr,1; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5229,'Gray_Deviruchi_Cap','Gray Deviruchi Hat',5,NULL,10,800,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,64,1,273,' bonus bStr,1; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5230,'White_Drooping_Kitty','White Drooping Cat',5,NULL,10,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,274,' bonus2 bResEff,Eff_Curse,3000; bonus bMdef,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5231,'Gray_Drooping_Kitty','Gray Drooping Cat',5,NULL,10,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,275,' bonus2 bResEff,Eff_Curse,3000; bonus bMdef,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5232,'Pink_Drooping_Kitty','Pink Drooping Cat',5,NULL,10,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,276,' bonus2 bResEff,Eff_Curse,3000; bonus bMdef,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5233,'Blue_Drooping_Kitty','Blue Drooping Cat',5,NULL,10,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,277,' bonus2 bResEff,Eff_Curse,3000; bonus bMdef,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5234,'Yellow_Drooping_Kitty','Yellow Drooping Cat',5,NULL,10,500,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,1,278,' bonus2 bResEff,Eff_Curse,3000; bonus bMdef,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5235,'Gray_Fur_Hat','Gray Beanie',5,NULL,10,350,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,279,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5236,'Blue_Fur_Hat','Blue Beanie',5,NULL,10,350,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,280,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5237,'Pink_Fur_Hat','Pink Beanie',5,NULL,10,350,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,281,' bonus bLuk,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5238,'Red_Wizardry_Hat','Red Mage Hat',5,NULL,10,300,NULL,1,NULL,0,0x810204,7,2,256,NULL,0,1,282,' bonus bInt,2; bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5239,'White_Wizardry_Hat','White Mage Hat',5,NULL,10,300,NULL,1,NULL,0,0x810204,7,2,256,NULL,0,1,283,' bonus bInt,2; bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5240,'Gray_Wizardry_Hat','Gray Mage Hat',5,NULL,10,300,NULL,1,NULL,0,0x810204,7,2,256,NULL,0,1,284,' bonus bInt,2; bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5241,'Blue_Wizardry_Hat','Blue Mage Hat',5,NULL,10,300,NULL,1,NULL,0,0x810204,7,2,256,NULL,0,1,285,' bonus bInt,2; bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5242,'Yellow_Wizardry_Hat','Yellow Mage Hat',5,NULL,10,300,NULL,1,NULL,0,0x810204,7,2,256,NULL,0,1,286,' bonus bInt,2; bonus bMaxSP,150; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5243,'Ear_Muffs_Hat','Ear_Muffs_Hat',5,NULL,10,800,NULL,2,NULL,1,0xFFFFFFFF,7,2,768,NULL,0,1,287,' bonus2 bResEff,Eff_Freeze,1000; ',NULL,NULL);
# //There are some headgears missing
REPLACE INTO `item_db` VALUES (5252,'Drooping_Ninetails','Drooping Ninetails',5,NULL,10,300,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,20,1,296,' bonus bAgi,1; bonus bDex,1; bonus4 bAutoSpellWhenHit,75,1,50,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5253,'Drooping_Lif','Drooping Lif',5,NULL,10,200,NULL,1,NULL,1,0xFFFFFFFF,7,2,256,NULL,20,1,297,' bonus bInt,1; bonus bMdef,getrefine(); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5254,'Deviling_Hat','Deviling Hat',5,NULL,10,350,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,20,1,298,' bonus bStr,1; bonus bCritical,3; bonus2 bSubRace,RC_Angel,-20; if(getrefine()>=6){bonus bCritical,getrefine()-6;} ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5255,'Poring_Tower','Poring Tower',5,NULL,10,600,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,20,1,299,' bonus bLuk,3; bonus4 bAutoSpell,1013,1,10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5256,'Valkyrie_Feather_Band','Valkyrie Feather Band',5,NULL,10,100,NULL,1,NULL,1,0xFFFFFFFF,7,2,256,NULL,20,1,300,' bonus bInt,1; bonus4 bAutoSpellWhenHit,28,1,10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5257,'Soul_Ring','Soul Ring',5,NULL,10,300,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,20,1,301,' bonus bMdef,2; bonus4 bAutoSpellWhenHit,361,1,10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5258,'Dokebi\'s_Wig','Dokebi\'s Wig',5,NULL,10,100,NULL,0,NULL,0,0xFFFFFFFF,7,2,768,NULL,10,1,302,' bonus4 bAutoSpellWhenHit,142,1,300,0; bonus2 bSubEle,Ele_Neutral,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5259,'Elephant_Hat_','Elephant Hat',5,0,NULL,500,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,215,' bonus bVit,1; bonus4 bAutoSpell,86,3,30,1; skill 31,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5260,'Cookie_Hat','Cookie Hat',5,0,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,217,' bonus bAgi,1; bonus bFlee2,5; bonus bCritAtkRate,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5261,'Silver_Tiara_','Silver Tiara',5,0,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,218,' bonus bInt,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5262,'Golden_Tiara_','Golden Tiara',5,0,NULL,500,NULL,2,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,232,' bonus bStr,2; bonus bUnbreakableHelm,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5263,'Pagdayaw','Pagdayaw',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,769,NULL,20,1,303,' bonus2 bSubEle,Ele_Water,1; bonus2 bSubEle,Ele_Earth,1; bonus2 bSubEle,Ele_Fire,1; bonus2 bSubEle,Ele_Wind,1; bonus2 bAddEff,Eff_Curse,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5264,'Australian_Flag_Hat','Australian Flag Hat',5,NULL,10,500,NULL,4,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,304,' bonus bAllStats,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5265,'Refined_Apple_Of_Archer','Refined Apple of Archer',5,NULL,0,0,NULL,7,NULL,0,0xFFFFFFFE,7,2,256,NULL,1,0,72,' bonus bDex,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5266,'Refined_Bunny_Band','Refined Bunny Band',5,NULL,0,0,NULL,9,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,15,' bonus bMdef,5; bonus2 bSubRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5267,'Refined_Sakkat','Refined Sakkat',5,NULL,0,0,NULL,10,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,0,67,' bonus bAgi,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5268,'Refined_Grand_Circlet','Refined Grand Circlet',5,NULL,0,0,NULL,10,NULL,0,0xFFFFFFFE,7,2,256,NULL,1,0,93,' bonus bMdef,4; bonus bStr,3; bonus bInt,3; bonus bLuk,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5269,'Flying_Angel_','Flying Angel',5,NULL,10,300,NULL,1,NULL,0,0xFFFFFFFF,7,2,256,NULL,10,1,264,' bonus bAspdRate,3; bonus bSpeedRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5270,'Autumn_Leaves_','Autumn Leaves',5,20,NULL,100,NULL,1,NULL,1,0xFFFFFFFF,7,2,256,NULL,0,1,241,' bonus bFlee2,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5271,'Chinese_Crown_','Phoenix Crown',5,20,NULL,500,NULL,4,NULL,1,0xFFFFFFFF,7,2,768,NULL,0,1,221,' bonus bMdef,3; bonus2 bSubRace,RC_Boss,getrefine(); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5272,'Raspberry_Mask_','Smiling Mask',5,20,NULL,100,NULL,2,NULL,0,0xFFFFFFFF,7,2,513,NULL,0,0,253,' bonus4 bAutoSpell,6,5,30,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5273,'Happy_Wig','Happy Wig',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,768,NULL,0,1,305,' bonus bSpeedRate,5; bonus bDef,4; skill 51,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5274,'Shiny_Wig','Shiny Wig',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,768,NULL,0,1,306,' bonus bSpeedRate,5; bonus bDef,4; skill 51,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5275,'Marvelous_Wig','Marvelous Wig',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,768,NULL,0,1,307,' bonus bSpeedRate,5; bonus bDef,4; skill 51,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5276,'Fantastic_Wig','Fantastic Wig',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFF,7,2,768,NULL,0,1,308,' bonus bSpeedRate,5; bonus bDef,4; skill 51,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5277,'Yellow_Bandana','Yellow Bandana',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,20,1,309,' bonus bLuk,2; bonus bVit,2; bonus bLongAtkDef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5278,'Yellow_Ribbon','Yellow Ribbon',5,NULL,10,100,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,20,1,310,' bonus bLuk,2; bonus bVit,2; bonus bLongAtkDef,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5279,'Refined_Drooping_Cat','Refined Drooping Cat',5,NULL,0,0,NULL,1,NULL,0,0xFFFFFFFE,7,2,256,NULL,0,0,142,' bonus bMDef,15; bonus2 bResEff,Eff_Curse,3000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5280,'Refined_Majestic_Goat','Refined Majestic Goat',5,NULL,0,0,NULL,5,NULL,0,0x006444A2,7,2,256,NULL,0,0,41,' bonus bStr,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5281,'Refined_Deviruchi_Hat','Refined Deviruchi Hat',5,NULL,0,0,NULL,2,NULL,0,0xFFFFFFFE,7,2,256,NULL,1,0,123,' bonus bStr,1; bonus bInt,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (5282,'Baseball_Cap___','Europe Baseball Cap',5,NULL,10,200,NULL,3,NULL,0,0xFFFFFFFF,7,2,256,NULL,0,1,216,NULL,NULL,NULL);
# // More Etc Items
# //===================================================================
REPLACE INTO `item_db` VALUES (7001,'Mould_Powder','Mould Powder',3,NULL,340,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7002,'Ogre_Tooth','Ogre Tooth',3,NULL,329,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7003,'Anolian_Skin','Anolian Skin',3,NULL,464,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7004,'Mud_Lump','Mud Lump',3,NULL,438,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7005,'Skull','Skull',3,NULL,522,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7006,'Wing_Of_Red_Bat','Wing of Red Bat',3,NULL,84,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7007,'Claw_Of_Rat','Claw of Rat',3,NULL,374,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7008,'Stiff_Horn','Stiff Horn',3,NULL,318,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7009,'Glitter_Shell','Glitter Shell',3,NULL,264,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7010,'Tail_Of_Steel_Scorpion','Tail of Steel Scorpion',3,NULL,274,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7011,'Claw_Of_Monkey','Claw of Monkey',3,NULL,233,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7012,'Tough_Scalelike_Stem','Tough Scalelike Stem',3,NULL,206,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7013,'Coral_Reef','Coral Reef',3,NULL,386,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7014,'Old_Portrait','Old Portrait',3,NULL,750,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7015,'Bookclip_In_Memory','Memory Bookmark',3,NULL,1500,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7016,'Spoon_Stub','Bent Spoon',3,NULL,1250,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7017,'Executioner\'s_Mitten','Executioner\'s Mitten',3,NULL,2250,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7018,'Young_Twig','Young Twig',3,NULL,25,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7019,'Loki\'s_Whispers','Loki\'s Whispers',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7020,'Mother\'s_Nightmare','Mother\'s Nightmare',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7021,'Foolishness_Of_Blind','Foolishness of the Blind',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7022,'Old_Hilt','Old Hilt',3,NULL,75,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7023,'Blade_Lost_In_Darkness','Blade of Darkness',3,NULL,6000,40,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7024,'Bloody_Edge','Bloody Edge',3,NULL,5000,40,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7025,'Lucifer\'s_Lament','Lucifer\'s Lament',3,NULL,15000,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7026,'Key_Of_Clock_Tower','Key of the Clock Tower',3,NULL,50,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7027,'Underground_Key','Key of the Underground',3,NULL,50,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7028,'Invite_For_Duel','Invite for Duel',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7029,'Admission_For_Duel','Admission for Duel',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7030,'Claw_Of_Desert_Wolf','Claw of Desert Wolf',3,NULL,104,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7031,'Old_Frying_Pan','Old Frying Pan',3,NULL,98,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7032,'Piece_Of_Egg_Shell','Piece of Egg Shell',3,NULL,84,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7033,'Poison_Spore','Poison Spore',3,NULL,57,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7034,'Red_Socks_With_Holes','Red Stocking',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7035,'Matchstick','Matchstick',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7036,'Fang_Of_Garm','Fang of Garm',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7037,'Trade_Coupon','Coupon',3,NULL,1000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7038,'Yarn','Yarn',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7039,'Novice_Nametag','Newbie Tag',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7040,'Megaphone','Megaphone',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7041,'Fine_Grit','Fine Grit',3,NULL,60,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7042,'Leather_Bag_Of_Infinity','Leather Bag of Infinity',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7043,'Fine_Sand','Fine Sand',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7044,'Vigorgra','Vigorgra',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7045,'Magic_Paint','Magic Paint',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7046,'Cart_Parts','Cart Parts',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7047,'Alice\'s_Apron','Alice\'s Apron',3,NULL,1212,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7048,'Talon_Of_Griffin','Talon of Griffon',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7049,'Stone','Stone',3,NULL,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7050,'Cotton_Mat','Cotton Mat',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7051,'Silk_Mat','Silk Mat',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7052,'Old_Magazine','Old Papers',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7053,'Cyfar','Cyfar',3,NULL,386,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7054,'Brigan','Brigan',3,NULL,373,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7055,'Animal_Pooopoo','Animal Poop',3,NULL,10,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7056,'Payroll_Of_Kafra','Payment Statement for Kafra Employee',3,NULL,10,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7057,'Gallar_Horn','Gjallar',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7058,'Gullraifnir','Gleipnir',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7059,'Cargo_Free_Ticket','Free Ticket for Kafra Storage',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7060,'Warp_Free_Ticket','Free Ticket for Kafra Transportation',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7061,'Cart_Free_Ticket','Free Ticket for the Cart Service',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7062,'Broken_Turtle_Shell','Broken Turtle Shell',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7063,'Soft_Feather','Soft Feather',3,NULL,140,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7064,'Dragon_Fly_Wing','Wing of Dragonfly',3,NULL,260,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7065,'Sea_Otter_Leather','Sea-Otter Fur',3,NULL,410,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7066,'Ice_Piece','Ice Cubic',3,NULL,330,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7067,'Stone_Piece','Stone Fragment',3,NULL,320,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7068,'Burn_Tree','Burnt Tree',3,NULL,361,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7069,'Broken_Armor_Piece','Destroyed Armor',3,NULL,521,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7070,'Broken_Shell','Broken Shell',3,NULL,450,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7071,'Tatters_Clothes','Tattered Clothes',3,NULL,320,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7072,'Rust_Suriken','Old Shuriken',3,NULL,890,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7073,'Jewel_Of_Prayer','Freya\'s Jewel',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7074,'Iron_Glove','Thor\'s Gauntlet',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7075,'Iron_Maiden','Iron Maiden',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7076,'Mystery_Wheel','Wheel of the Unknown',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7077,'Silver_Fancy','Silver Ornament',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7078,'Anger_Of_Valkurye','Wrath of Valkyrie',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7079,'Feather_Of_Angel','Feather of Angel Wing',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7080,'Foot_Step_Of_Cat','Footprints of Cat',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7081,'Beard_Of_Women','Woman\'s Moustaches',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7082,'Root_Of_Stone','Root of Stone',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7083,'Soul_Of_Fish','Spirit of Fish',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7084,'Saliva_Of_Bird','Sputum of Bird',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7085,'Tendon_Of_Bear','Sinew of Bear',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7086,'Symbol_Of_Sun','Emblem of the Sun God',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7087,'Breath_Of_Soul','Breath of Soul',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7088,'Crystal_Of_Snow','Snow Crystal',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7089,'Indication_Of_Tempest','Omen of Tempest',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7090,'Slilince_Wave','Ripple',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7091,'Rough_Billows','Billow',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7092,'Air_Stream','Drifting Air',3,NULL,10,500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7093,'Wheel','Cogwheel',3,NULL,756,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7094,'Mystery_Piece','Fragment',3,NULL,672,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7095,'Broken_Steel_Piece','Metal Fragment',3,NULL,294,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7096,'Cold_Magma','Lava',3,NULL,554,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7097,'Burning_Heart','Burning Heart',3,NULL,462,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7098,'Live_Coal','Live Coal',3,NULL,319,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7099,'Old_Magic_Circle','Worn-out Magic Scroll',3,NULL,387,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7100,'Sharp_Leaf','Sharp Leaf',3,NULL,403,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7101,'Peco_Wing_Feather','Peco Peco Feather',3,NULL,227,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7102,'Hideous_Dream','Nightmare',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7103,'Unknown_Liquid_Bottle','Unknown Liquid Bottle',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7104,'Fake_Angel_Wing','False Angel Wing',3,NULL,378,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7105,'Fake_Angel_Loop','False Heaven Ring',3,NULL,462,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7106,'Goat\'s_Horn','Antelope Horn',3,NULL,336,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7107,'Gaoat\'s_Skin','Antelope Skin',3,NULL,378,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7108,'Boroken_Shiled_Piece','Piece of Shield',3,NULL,840,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7109,'Shine_Spear_Blade','Shining Spear Blade',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7110,'Vroken_Sword','Broken Sword',3,NULL,294,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7111,'Smooth_Paper','Slick Paper',3,NULL,353,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7112,'Fright_Paper_Blade','Sharp Paper',3,NULL,453,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7113,'Broken_Pharaoh_Symbol','Broken Pharaoh Emblem',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7114,'Tutankhamen\'s_Mask','Masque of Tutankhamen',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7115,'Harpy\'s_Feather','Harpy Feather',3,NULL,571,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7116,'Harpy\'s_Claw','Harpy Talon',3,NULL,605,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7117,'Rent_Spell_Book','Torn Magic Book',3,NULL,571,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7118,'Rent_Scroll','Torn Scroll',3,NULL,681,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7119,'Spawns','Bacillus',3,1025,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7120,'Burning_Horse_Shoe','Burning Horseshoe',3,NULL,411,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7121,'Honey_Jar','Honey Pot',3,NULL,311,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7122,'Hot_Hair','Burning Hair',3,NULL,487,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7123,'Dragon\'s_Skin','Dragon Skin',3,NULL,512,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7124,'Sand_Lump','Sand Clump',3,NULL,353,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7125,'Scropion\'s_Nipper','Scorpion Claw',3,NULL,353,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7126,'Large_Jellopy','Large Jellopy',3,NULL,420,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7127,'Alcol_Create_Book','Alcohol Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7128,'FireBottle_Create_Book','Bottle Grenade Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7129,'Acid_Create_Book','Acid Bottle Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7130,'Plant_Create_Book','Plant Bottle Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7131,'Mine_Create_Book','Marine Sphere Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7132,'Coating_Create_Book','Glistening Coat Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7133,'Slim_Potion_Create_Book','Condensed Potion Creation Guide',3,NULL,120000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7134,'Medicine_Bowl','Medicine Bowl',3,NULL,4,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7135,'Fire_Bottle','Fire Bottle',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7136,'Acid_Bottle','Acid Bottle',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7137,'MenEater_Plant_Bottle','Plant Bottle',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7138,'Mini_Bottle','Marine Sphere Bottle',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7139,'Coating_Bottle','Glistening Coat',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7140,'Seed_Of_Life','Seed of Life',3,NULL,30000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7141,'Yggdrasilberry_Dew','Morning Dew of Yggdrasil',3,NULL,10000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7142,'Germination_Breed','Embryo',3,NULL,30000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7143,'Life_Force_Pot','Seperation Tubes',2,NULL,2500,10,NULL,NULL,NULL,NULL,0x00040000,7,2,NULL,NULL,NULL,NULL,NULL,' bpet; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (7144,'Normal_Potion_Book','Potion Creation Guide',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7145,'Rag_T_Shirts','Ragnarok T-Shirt',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7146,'Vacance_Ticket','Vacation Ticket',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7147,'Jasmin','Jasmine',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7148,'Mother_Letter','Mother\'s Letter',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7149,'Yellow_Plate','Yellow Plate',3,NULL,110,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7150,'Bamboo_Cut','Piece of Bamboo',3,NULL,155,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7151,'Oil_Paper','Oil Paper',3,NULL,155,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7152,'Glossy_Hair','Glossy Hair',3,NULL,170,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7153,'Old_Japaness_Clothes','Worn-out Kimono',3,NULL,295,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7154,'Poison_Powder','Poisonous Powder',3,NULL,80,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7155,'Poison_Toad\'s_Skin','Poisonous Toad Skin',3,NULL,140,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7156,'Broken_Shuriken','Broken Shuriken',3,NULL,235,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7157,'Black_Mask','Dark Mask',3,NULL,157,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7158,'Broken_Wine_Vessel','Broken Liquor Jar',3,NULL,80,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7159,'Tengu\'s_Nose','Tengu Nose',3,NULL,200,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7160,'Lord\'s_Passable_Ticket','Feudal Lord Permit',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7161,'Black_Bear\'s_Skin','Black Bear Skin',3,NULL,192,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7162,'Cloud_Piece','Cloud Crumb',3,NULL,195,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7163,'Sharp_Feeler','Hard Feeler',3,NULL,285,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7164,'Hard_Peach','Solid_Peach',3,NULL,200,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7165,'Limpid_Celestial_Robe','Transparent Celestial Robe',3,NULL,325,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7166,'Soft_Silk_Cloth','Soft Silk',3,NULL,600,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7167,'Mystery_Iron_Bit','Strange Steel Piece',3,NULL,215,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7168,'Great_Wing','Giant Butterfly Wing',3,NULL,307,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7169,'Taegeuk_Plate','Ba_Gua',3,NULL,1400,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7170,'Tuxedo','Tuxedo',5,43000,NULL,10,NULL,0,NULL,0,0xFFFFFFFE,7,1,16,NULL,0,1,0,NULL,' setoption Option_Wedding,1; ',' setoption Option_Wedding,0; ');
REPLACE INTO `item_db` VALUES (7171,'Leopard_Skin','Leopard Skin',3,NULL,141,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7172,'Leopard_Talon','Leopard Claw',3,NULL,145,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7173,'BurnBuster_Bag','Bun Buster Bag',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7174,'Packing_Ribbon','Wrapping Lace',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7175,'Packing_Paper','Wrapping Paper',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7176,'XMAS_Coupon','Royal Certificate',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7177,'Part_Of_Star\'s_Sob','Crumb of Sobbing Starlight',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7178,'Star\'s_Sob','Sobbing Starlight',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7179,'Donation_Card','Proof of Donation',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7180,'Introduction_Of_Mr.Han','Hahn Sukbong\'s Recommendation',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7181,'Receipt_01','Receipt',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7182,'Cacao','Cacao',3,NULL,100,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7183,'Sister_Letter','Letter from Sister',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7184,'Piano_Keyboard','Piano Key',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7185,'Quiz_Ticket','Quiz Entry',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7186,'Thin_Stem','Thin Trunk',3,NULL,109,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7187,'Festival_Mask','Festival Mask',3,NULL,50,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7188,'Browny_Root','Brown_Root',3,NULL,280,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7189,'Heart_Of_Tree','Wooden Heart',3,NULL,340,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7190,'Solid_Peeling','Solid Husk',3,NULL,70,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7191,'Lamplight','Lamp',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7192,'Blade_Of_Pinwheel','Vane',3,NULL,80,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7193,'Germinating_Sprout','Sprout',3,NULL,115,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7194,'Soft_Leaf','Soft Blade of Grass',3,NULL,200,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7195,'Air_Rifle','Slingshot',3,NULL,105,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7196,'Shoulder_Protection','Shoulder Protector',3,NULL,115,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7197,'Tough_Vines','Tough Vines',3,NULL,250,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7198,'Great_Leaf','Huge Leaf',3,NULL,305,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7199,'Coupon','Unknown_Coupon',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7200,'Flexible_String','Elastic Band',3,NULL,190,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7201,'Log','Log',3,NULL,125,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7202,'Beetle_Nipper','Pincher of Beetle',3,NULL,145,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7203,'Solid_Twig','Strong Branch',3,NULL,95,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7204,'Gunpowder','Gunpowder',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7205,'Piece_Of_Black_Cloth','Piece of Black Cloth',3,NULL,263,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7206,'Black_Kitty_Doll','Black Cat Doll',3,NULL,720,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7207,'Old_Manteau','Old Manteau',3,NULL,640,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7208,'Rusty_Cleaver','Rusty Kitchen Knife',3,NULL,890,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7209,'Dullahan\'s_Helm','Helm of Dullahan',3,NULL,675,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7210,'Dullahan_Armor','Armor Piece of Dullahan',3,NULL,395,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7211,'Rojerta_Piece','Fragment of Rossata Stone',3,NULL,1300,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7212,'Hanging_Doll','Hung Doll',3,NULL,510,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7213,'Needle_Pouch','Needle Packet',3,NULL,416,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7214,'Bat_Cage','Bat Cage',3,NULL,440,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7215,'Broken_Needle','Broken Needle',3,NULL,345,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7216,'Red_Scarf','Red Muffler',3,NULL,330,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7217,'Spool','Spool',3,NULL,212,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7218,'Rotten_Rope','Decomposed Rope',3,NULL,195,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7219,'Striped_Socks','Striped Sock',3,NULL,460,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7220,'Ectoplasm','Ectoplasm',3,NULL,166,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7221,'Tangled_Chain','Tangled Chains',3,NULL,370,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7222,'Tree_Knot','Wooden Gnarl',3,NULL,234,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7223,'Distorted_Portrait','Contorted Self-Portrait',3,NULL,1016,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7224,'Stone_Of_Intelligence','Stone of Sage',3,NULL,50000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7225,'Pumpkin_Bucket','Pumpkin Lantern',3,NULL,243,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7226,'Pill','Pellet',0,NULL,10,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_Hallucination,10000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (7227,'TCG_Card','TCG Card',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7228,'Gold_Bullion','Gold Bullion',3,NULL,10,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7229,'Silver_Bullion','Silver Bullion',3,NULL,10,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7230,'White_Gold_Bullion','Platinum Bullion',3,NULL,10,300,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7231,'Gold_Ore','Gold Ore',3,NULL,10,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7232,'Silver_Ore','Silver Ore',3,NULL,10,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7233,'Mithril_Ore','Mithril Ore',3,NULL,10,150,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7234,'Soul_Of_Guild','Spirit of Guild',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7235,'Soul_Of_Courage','Spirit of Charge',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7236,'Soul_Of_Guard','Spirit of Protection',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7237,'Soul_Of_Partnership','Spirit of Association',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7238,'Soul_Of_Correspondence','Spirit of Coordination',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7239,'Soul_Of_Proceeding','Spirit of Advance',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7240,'Soul_Of_Confidence','Spirit of Trust',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7241,'Soul_Of_Agreement','Spirit of Union',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7242,'Soul_Of_Harmony','Spirit of Combination',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7243,'Soul_Of_Cooperate','Spirit of Cooperation',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7244,'Soul_Of_Unity','Spirit of Solidarity',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7245,'Soul_Of_Friendship','Spirit of Friendship',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7246,'Soul_Of_Peace','Spirit of Peace',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7247,'Soul_Of_Spirit','Spirit of Determination',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7248,'Soul_Of_Honor','Spirit of Honor',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7249,'Soul_Of_Service','Spirit of Service',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7250,'Soul_Of_Glory','Spirit of Glory',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7251,'Soul_Of_Victory','Spirit of Victory',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7252,'Herb_Medicine','Herbal Medicine',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7253,'Taeguk_Flag','Golden Korean Flag',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7254,'Digital_Print_Ticket','Digital Picture Printing Coupon',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# //7255,China_Marble01,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
# //7256,China_Marble02,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
# //7257,China_Marble03,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
# //7258,China_Marble04,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
# //7259,China_Marble05,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
# //7260,China_Marble06,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
# //7261,China_Marble07,Mystic Orb,3,,10,100,,,,,,,,,,,,,{},{},{}
REPLACE INTO `item_db` VALUES (7262,'Fan','Folding Fan of Cat Ghost',3,NULL,233,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7263,'Cat_Eyed_Stone','Cat\'s Eye',3,NULL,477,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7264,'Dried_Sand','Dry Sand',3,NULL,161,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7265,'Dragon_Horn','Dragon Horn',3,NULL,272,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7266,'Dragon_Fang','Denture from Dragon Mask',3,NULL,218,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7267,'Tiger_Skin_Panties','Tiger Panty',3,NULL,149,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7268,'Little_Blacky_Ghost','Little Ghost Doll',3,NULL,605,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7269,'Bib','Pinafore',3,NULL,480,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7270,'Milk_Bottle','Nursing_Bottle',3,NULL,550,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7271,'Figure','Novice Figure',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7272,'Meat_Dumpling_Doll','Rice Ball Doll',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7273,'Golden_Necklace','RWC Necklace',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7274,'Ancient_Translator','Translated Ancient Language',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7275,'Ancient_Document','Record of Ancient Language',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7276,'Picture_Letter','Doodled Message',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7277,'Munak_Doll','Munak Doll',3,NULL,4450,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7278,'Wellbeing_Letter','Letter to Wife',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7279,'Vita500_Lid','Vita500 Lid',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7280,'Quiz_Ticket01','1st Quiz Entry',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7281,'Quiz_Ticket02','2nd Quiz Entry',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7282,'Quiz_Ticket03','3rd Quiz Entry',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7283,'Quiz_Ticket04','4th Quiz Entry',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7284,'Quiz_Ticket05','5th Quiz Entry',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7285,'Thread_Skein','Holy Threads',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7286,'Chilli','Red Chile',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7287,'Thread_Skein_','Holier Threads',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7288,'Thai_Ring','Engagement Ring',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7289,'Olivine','Peridot',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7290,'Phlogopite','Phlogopite',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7291,'Agate','Agate',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7292,'Muscovite','Muscovite',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7293,'Rose_Quartz','Rose Quartz',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7294,'Turquoise','Turquoise',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7295,'Citrine','Citrin',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7296,'Pyroxene','Pyroxene',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7297,'Biotite','Biotite',3,NULL,1500,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7298,'Leaf_Clothes','Fig Leaf',3,NULL,269,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7299,'Bamboo_Basket','Straw Basket',3,NULL,316,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7300,'Gemstone','Gemstone',3,NULL,710,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7301,'Sword_Accessory','Tassel',3,NULL,399,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7302,'KRATHONG','Krathong',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7303,'Bag_Of_Rice','Straw Rice Bag',3,NULL,0,800,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7304,'Witch\'s_Spell_Book','Witch\'s Spell Scroll',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7305,'Authority_Of_Nine_World','Symbol of the Nine Realms',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7306,'Fragment_Of_Soul','Piece of Spirit',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7307,'Whisper_Of_Soul','Spiritual Whispers',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7308,'Witch\'s_Potion','Witch\'s Tonic',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7309,'Wing_Of_Crow','Crow Wing',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7310,'Free_Peco_Ticket','Free Ticket for Peco Ride',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7311,'Free_Flying_Ship_Ticket','Free Ticket for Flyship',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7312,'Jubilee','Jubilee',3,NULL,16,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7313,'Seal_Of_Witch','Witch\'s Medal',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7314,'The_Sign','The Sign',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7315,'Dark_Crystal_Fragment','Dark Crystal Fragment',3,NULL,211,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7316,'Long_Limb','Insect Leg',3,NULL,329,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7317,'Screw','Rusty Screw',3,NULL,267,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7318,'Old_Pick','Old Pick',3,NULL,256,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7319,'Old_Steel_Plate','Used Iron Plate',3,NULL,512,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7320,'Air_Pollutant','Dust Pollutant',3,NULL,128,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7321,'Fragment_Of_Crystal','Crystal Fragment',3,NULL,276,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7322,'Poisonous_Gas','Toxic Gas',3,NULL,333,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7323,'Battered_Kettle','Battered Kettle',3,NULL,128,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7325,'Tube','Flexible Tube',3,NULL,51,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7326,'Fluorescent_Liquid','Fluorescent Liquid',3,NULL,356,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7327,'Headlamp','Flashlight',3,NULL,512,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7328,'Legendary_Scroll','Legend of Songkran',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7329,'Old_Copper_Key','Old Bronze Key',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# //7330,Holy_Marble,Mystic Orb,3,,0,100,,,,,,,,,,,,,{},{},{}
REPLACE INTO `item_db` VALUES (7331,'Flower_Of_Heaven','Heaven Flower',3,500,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7332,'Slate','Complete Tablet',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7333,'Piece_Of_Slate_1','Prontera Tablet',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7334,'Piece_Of_Slate_2','Payon Tablet',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7335,'Piece_Of_Slate_3','Morocc Tablet',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7336,'Piece_Of_Slate_4','Geffen Tablet',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7337,'Eye_Of_Hellion','Eye of Hellion',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7338,'RO_Transportation_Card','One-way Ticket',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7339,'RO_Transportation_Card_','Commemorative Travel Card',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7340,'Will_Of_Darkness','Will of the Darkness',3,NULL,367,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7341,'Worn_Out_Pendant','Old Pendant',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7342,'File01','File Folder',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7343,'File02','Sealed File Folder',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7344,'File03','Shinokas Case File',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7345,'Armlet_Of_Prisoner','Handcuffs',3,NULL,362,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7346,'Pile_Of_Ymir_Heart','Ymir\'s Heart Piece',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7347,'Lab_Staff_Record','Research Chart',3,NULL,420,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7348,'Indication_Of_Member01','Membership Card',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7349,'Indication_Of_Member02','Archive Permit',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7350,'Pass','Pass',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7351,'Friend\'s_Diary','Friend\'s Diary',3,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7352,'Transparent_Plate01','Transparent Plate',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7353,'Transparent_Plate02','Transparent Plate',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7354,'Transparent_Plate03','Transparent Plate',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7355,'Transparent_Plate04','Transparent Plate',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7356,'Piece_Of_Crest1','Crest Piece',3,NULL,2500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7357,'Piece_Of_Crest2','Crest Piece',3,NULL,2500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7358,'Piece_Of_Crest3','Crest Piece',3,NULL,2500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7359,'Piece_Of_Crest4','Crest Piece',3,NULL,2500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7360,'RO_Festival_Ticket','RO Festival Invitation',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7361,'Lotto01','Lotto Ball 01',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7362,'Lotto02','Lotto Ball 02',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7363,'Lotto03','Lotto Ball 03',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7364,'Lotto04','Lotto Ball 04',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7365,'Lotto05','Lotto Ball 05',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7366,'Lotto06','Lotto Ball 06',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7367,'Lotto07','Lotto Ball 07',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7368,'Lotto08','Lotto Ball 08',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7369,'Lotto09','Lotto Ball 09',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7370,'Lotto10','Lotto Ball 10',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7371,'Lotto11','Lotto Ball 11',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7372,'Lotto12','Lotto Ball 12',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7373,'Lotto13','Lotto Ball 13',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7374,'Lotto14','Lotto Ball 14',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7375,'Lotto15','Lotto Ball 15',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7376,'Lotto16','Lotto Ball 16',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7377,'Lotto17','Lotto Ball 17',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7378,'Lotto18','Lotto Ball 18',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7379,'Lotto19','Lotto Ball 19',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7380,'Lotto20','Lotto Ball 20',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7381,'Lotto21','Lotto Ball 21',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7382,'Lotto22','Lotto Ball 22',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7383,'Lotto23','Lotto Ball 23',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7384,'Lotto24','Lotto Ball 24',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7385,'Lotto25','Lotto Ball 25',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7386,'Lotto26','Lotto Ball 26',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7387,'Lotto27','Lotto Ball 27',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7388,'Lotto28','Lotto Ball 28',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7389,'Lotto29','Lotto Ball 29',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7390,'Lotto30','Lotto Ball 30',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7391,'Lotto31','Lotto Ball 31',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7392,'Lotto32','Lotto Ball 32',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7393,'Lotto33','Lotto Ball 33',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7394,'Lotto34','Lotto Ball 34',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7395,'Lotto35','Lotto Ball 35',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7396,'Lotto36','Lotto Ball 36',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7397,'Lotto37','Lotto Ball 37',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7398,'Lotto38','Lotto Ball 38',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7399,'Piece_Of_Clue01','Selamat',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7400,'Piece_Of_Clue02','Hari',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7401,'Piece_Of_Clue03','Kemerdekaan',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7402,'Piece_Of_Clue04','Republik',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7403,'Piece_Of_Clue05','Indonesia',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7404,'Piece_Of_Clue06','Ke-60',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7405,'Crushed_Can','Crushed Can',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7406,'Moon_Cake1','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7407,'Moon_Cake2','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7408,'Moon_Cake3','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7409,'Moon_Cake4','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7410,'Moon_Cake5','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7411,'Moon_Cake6','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7412,'Moon_Cake7','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7413,'Moon_Cake8','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7414,'Moon_Cake9','Yuebing',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7415,'Stone_Of_Summons','Summoning Stone',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7416,'Letter_Of_Recommendation','Letter of Recommentation',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7417,'Mission_ScrollA','Written Request (A)',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7418,'Mission_ScrollB','Written Request (B)',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7419,'Embryo_Create_Book','Embryo Creation Guide',3,48000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7420,'Skull_','Skull',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7421,'Red_Key','Red Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7422,'Yellow_Key','Yellow Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7423,'Blue_Key','Blue Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7424,'Green_Key','Green Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7425,'Black_Key','Black Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7426,'Red_Magic_Stone','Red Charm Stone',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7427,'Yellow_Magic_Stone','Yellow Charm Stone',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7428,'Blue_Magic_Stone','Blue Charm Stone',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7429,'Green_Magic_Stone','Green Charm Stone',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7430,'Black_Magic_Stone','Black Charm Stone',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7431,'Books','Pile of Books',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7432,'Leather_Pouch','Leather Pouch',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7433,'Empty_Scroll','Blank Scroll',3,NULL,2000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7434,'Elemental_Create_Book','Elemental Potion Creation Guide',3,100000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7435,'Golden_Accessory','Golden Ornament',3,NULL,953,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7436,'Fragment_of_Agony','Fragment of Agony',3,NULL,753,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7437,'Fragment_of_Sorrow','Fragment of Sorrow',3,NULL,753,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7438,'Fragment_of_Hatred','Fragment of Hatred',3,NULL,753,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7439,'Fragment_of_Despair','Fragment of Despair',3,NULL,753,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7440,'Red_Feather','Red tinted Feather',3,NULL,667,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7441,'Blue_Feather','Blue tinted Feather',3,NULL,704,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7442,'Cursed_Seal','Cursed Seal',3,NULL,666,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7443,'Head_of_3Head_Dragon','Three-Headed_Dragon\'s_Head',3,NULL,478,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7444,'Treasure_Box','Treasure Box',3,NULL,150000,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7445,'Green_Orb','Green Bijou',3,NULL,443,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7446,'Blue_Orb','Blue Bijou',3,NULL,443,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7447,'Red_Orb','Red Bijou',3,NULL,443,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7448,'Yellow_Orb','Yellow Bijou',3,NULL,443,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7449,'Bloodstained_Page','Bloody Page',3,NULL,340,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7450,'Bone_Armor_Piece','Skeletal Armor Piece',3,NULL,1025,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7451,'Scale_of_Fire_Dragon','Fire Dragon Scale',3,NULL,926,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7452,'Yellow_Spice','Yellow Spice',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7453,'Sweet_Sauce','Sweet Sauce',3,700,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7454,'Plain_Sauce','Savory Sauce',3,700,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7455,'Hot_Sauce','Spicy Sauce',3,700,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7456,'Red_Spice','Red Spice',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7457,'Cooking_Oil','Cooking Oil',3,500,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7458,'Fortune_Horn','Fortune Horn',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7459,'Ramadan_','Ramadan',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7460,'Nifl_Express_Ticket','Niflheim Express Ticket',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7461,'Blue_A_Card','Blue A Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7462,'Blue_E_Card','Blue E Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7463,'Blue_F_Card','Blue F Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7464,'Blue_H_Card','Blue H Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7465,'Blue_L_Card','Blue L Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7466,'Blue_N_Card','Blue N Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7467,'Blue_O_Card','Blue O Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7468,'Blue_P_Card','Blue P Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7469,'Blue_U_Card','Blue U Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7470,'Blue_W_Card','Blue W Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7471,'Blue_Y_Card','Blue Y Card',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7472,'Cookbook01','Level 1 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7473,'Cookbook02','Level 2 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7474,'Cookbook03','Level 3 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7475,'Cookbook04','Level 4 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7476,'Cookbook05','Level 5 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7477,'Cookbook06','Level 6 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7478,'Cookbook07','Level 7 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7479,'Cookbook08','Level 8 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7480,'Cookbook09','Level 9 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7481,'Cookbook10','Level 10 Cookbook',3,1000,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7482,'Pot','Pot',3,200,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7483,'Key_of__Seal','Key of the Seal',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7484,'Warrior_Symbol','Symbol of a Brave Warrior',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7485,'2nd_Floor_Pass','Cloud General',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7486,'3rd_Floor_Pass','Wind General',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7487,'Tavern_Wine','Pub Liquor',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7488,'Delivery_Box','Delivery Box',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7489,'Villa_Spare_Key','Spare Key to the Outhouse',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7490,'Kyll_Hire_Letter','Letter to Elie',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7491,'Iron_Box','Iron_Box',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7492,'Yellow_Key_Card','Yellow Keycard',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7493,'Golden_Key','Golden Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7494,'Kiel_Button','Exquisite Button',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7495,'Blue_Key_Card','Blue Keycard',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7496,'Red_Key_Card','Red_Keycard',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7497,'Steel_Piece','Piece of Metal',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7498,'Rosimier_Key','Key to Losimier\'s_House',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7499,'Family_Portrait','Portrait of a Family',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7500,'Elysia_Portrait','Portrait of a Lady',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7501,'Kyll_Hyre_Letter2','K.H\'s Letter',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7502,'Pieco_Memo_Of_James','James\'s Memo',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7503,'Man_Portrait','Portrait of a Guy',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7504,'Toy_Motor','Power Source',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7505,'Toy_Key','Toy Key',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7506,'Black_Key_Card','Black Keycard',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7507,'Sturdy_Iron_Piece','Hard Piece of Steel',3,842,NULL,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7508,'Elysia_Ring','Elisia\'s Ring',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7509,'Fancy_Key_Card','Gorgeous Keycard',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7510,'Valhalla_Flower','Valhalla\'s Flower',3,200000,NULL,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7511,'Rune_Of_Darkness','Darkness Rune',3,2526,NULL,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7512,'Burnt_Parts','Burnt Pieces',3,1600,NULL,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7513,'Pocket_Watch','Pocket Watch',3,3420,NULL,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7514,'Monster_Ticket','Monster Ticket',3,2,NULL,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7515,'Marvelous_Medal','Interesting Medal',3,2,NULL,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7516,'Green_Key_Card','Green Keycard',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7517,'Gold_Coin_','Golden Coin',3,1000,NULL,100,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7518,'Women\'s_Medal','Women\'s Medal',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,0,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7519,'Money_Envelope','Handsel',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7520,'Chinese_Scroll','Please Be Rich',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7521,'Flame_Stone','Burning Stone',3,150,NULL,10,NULL,NULL,NULL,NULL,NULL,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7522,'Ice_Stone','Ice Stone',3,150,NULL,10,NULL,NULL,NULL,NULL,NULL,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7523,'Wind_Stone','Wind Stone',3,150,NULL,10,NULL,NULL,NULL,NULL,NULL,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7524,'Shadow_Orb','Shadow Orb',3,300,NULL,20,NULL,NULL,NULL,NULL,NULL,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7525,'Summer_Feast_Ticket','Summer Festival Ticket',3,10,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7526,'Manuscript_Paper','Application',3,2,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7527,'Life_Book','Book About True Life',3,NULL,0,100,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7528,'Id_Lottery_Ticket','Lottery Ticket',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7529,'Stolen_Sandals','Stolen Sandal',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7530,'Travel_Brochure_01','Amatsu Travel Brochure',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7531,'Travel_Brochure_02','Gonryun Travel Brochure',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7532,'Travel_Brochure_03','Louyang Travel Brochure',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7533,'Travel_Brochure_04','Ayothaya Travel Brochure',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7534,'Photo_Album_01','Amatsu Photo Album',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7535,'Photo_Album_02','Gonryun Photo Album',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7536,'Photo_Album_03','Louyang Photo Album',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7537,'Photo_Album_04','Ayothaya Photo Album',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7538,'Sifted_Sand','Sand For Work',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7539,'Poring_Coin','Poring Coin',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7540,'Lotto39','Lotto Ball 39',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7541,'Lotto40','Lotto Ball 40',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7542,'Lotto41','Lotto Ball 41',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7543,'Lotto42','Lotto Ball 42',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7544,'Lotto43','Lotto Ball 43',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7545,'Lotto44','Lotto Ball 44',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7546,'Lotto45','Lotto Ball 45',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7547,'Soccer_Ball','Soccer Ball',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7548,'Soccer_Shoes','Soccer Shoes',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7549,'Braziianl_Flag','Brazilian Flag',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7550,'Ticket01','6.13 Ticket',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7551,'Ticket02','6.18 Ticket',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7552,'Ticket03','6.22 Ticket',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7553,'Lotus','Lotus',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7554,'Striped_Candle','Striped Candle',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7555,'Green_Incense','Green Incense',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7556,'Longing_Heart','Longing Heart',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7557,'Invitation_Letter','Invitation Letter',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7558,'Invitation_Ticket','Invitation Ticket',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7559,'Key_to_Secret_Garden','Key to the Secret Garden',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7560,'Longing_Heart_','Longing Heart',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7561,'Ice_Heart','Ice Heart',3,NULL,303,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7562,'Ice_Scale','Ice Scale',3,NULL,1510,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7563,'Bloody_Rune','Bloody Rune',3,NULL,1008,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7564,'Rotten_Meat','Rotten Meat',3,NULL,51,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7565,'Sticky_Poison','Sticky Poison',3,NULL,175,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7566,'Will_of_Red_Darkness','Will of Red Darkness',3,NULL,765,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7567,'Suspicious_Hat','Suspicious Hat',3,NULL,645,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7568,'White_Mask','White Mask',3,NULL,530,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7569,'Hammer_of_Wind','Hammer of Wind',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7570,'Lottery_Coupon','Temple Lottery Ticket',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7571,'Blue_Diary','Blue\'s Diary',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7572,'Gray_Necklace','Gray Necklace',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7573,'Shiny_Necklace','Shining Necklace',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7574,'Ice_Powder','Ice Powder',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7575,'Red-coloured_Gem','Red-colored Gem',3,NULL,10,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7576,'Blue-coloured_Gem','Blue-colored Gem',3,NULL,10,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7577,'Yellow-coloured_Gem','Yellow-colored Gem',3,NULL,10,50,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7578,'Countermagic_Crystal','Countermagic Crystal',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7579,'Silk_Handkerchief_of_Zhi','Silk Handkerchief of Zhi Nu',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# //7580,Black_Marble,Black Marble,3,,10,10,,,,,,,,,,,,,{},{},{}
REPLACE INTO `item_db` VALUES (7581,'Anniversary_Document','Celebration Document',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7582,'Jewel_of_Destruction','Jewel of Destruction',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7583,'Evil_Heart','Evil Mind',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7584,'Guard\'s_1st_Proof','Guard\'s First Proof',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7585,'Guard\'s_2nd_Proof','Guard\'s Second Proof',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7586,'Guard\'s_3rd_Proof','Guard\'s Third Proof',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7587,'Guard\'s_4th_Proof','Guard\'s Fourth Proof',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7588,'IPOD_Coupon','IPOD Coupon',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7589,'Lettered_Snack_01','Lettered Moon Snack 01',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7590,'Lettered_Snack_02','Lettered Moon Snack 02',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7591,'Lettered_Snack_03','Lettered Moon Snack 03',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7592,'Lettered_Snack_04','Lettered Moon Snack 04',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7593,'Lettered_Snack_05','Lettered Moon Snack 05',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7594,'Sonia\'s_Letter','Sonia\'s Letter',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7595,'Special_Sword','Special Sword',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7596,'Special_Shield','Special Shield',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7597,'Magic_Stone','Magic Stone',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# //7598,Blue_I_Card,Blue I Card,3,,0,10,,,,,,,,,,,,,{},{},{}
# //7599,Blue_D_Card,Blue D Card,3,,0,10,,,,,,,,,,,,,{},{},{}
# //7600,Blue_K_Card,Blue K Card,3,,0,10,,,,,,,,,,,,,{},{},{}
# //7601,Blue_S_Card,Blue S Card,3,,0,10,,,,,,,,,,,,,{},{},{}
# //7602,Blue_R_Card,Blue R Card,3,,0,10,,,,,,,,,,,,,{},{},{}
REPLACE INTO `item_db` VALUES (7603,'RO_Party_Ticket','RO Party Ticket',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7604,'Flour','Flour',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7605,'Egg_','Egg',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7606,'Coin','Coin',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7607,'Neck_Of_Evil_Dragon','Neck of Evil Dragon',3,NULL,5,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7608,'Premium_Ticket','Premium Ticket',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7609,'Pumpkin_Mojo','Pumpkin Mojo',3,NULL,0,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7610,'Food_Stamp','Food Stamp',3,NULL,500,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7611,'Symbol_Of_Fox','Symbol of Fox',3,NULL,10,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7612,'Heart_Of_Fox_Queen','Heart of Fox Queen',3,NULL,1,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (7613,'Small_Rice_Dough','Small Rice Dough',3,NULL,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // Pet Eggs
# //===================================================================
REPLACE INTO `item_db` VALUES (9001,'Poring_Egg','Poring Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9002,'Drops_Egg','Drops Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9003,'Poporing_Egg','Poporing Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9004,'Lunatic_Egg','Lunatic Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9005,'Picky_Egg','Picky Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9006,'Chonchon_Egg','Chonchon Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9007,'Steel_Chonchon_Egg','Steel Chonchon Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9008,'Hunter_Fly_Egg','Hunter Fly Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9009,'Savage_Bebe_Egg','Savage Babe Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9010,'Baby_Desert_Wolf_Egg','Baby Desert Wolf Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9011,'Rocker_Egg','Rocker Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9012,'Spore_Egg','Spore Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9013,'Poison_Spore_Egg','Poison Spore Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9014,'PecoPeco_Egg','Peco_Peco Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9015,'Smokie_Egg','Smokie Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9016,'Yoyo_Egg','Yoyo Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9017,'Orc_Warrior_Egg','Orc Warrior Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9018,'Munak_Egg','Munak Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9019,'Dokkaebi_Egg','Dokebi Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9020,'Sohee_Egg','Sohee Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9021,'Isis_Egg','Isis Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9022,'Green_Petite_Egg','Green Petite Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9023,'Deviruchi_Egg','Deviruchi Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9024,'Bapho_Jr._Egg','Bapho Jr. Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9025,'Bongun_Egg','Bongun Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9026,'Zherlthsh_Egg','Zherlthsh Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9027,'Alice_Egg','Alice Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9028,'Rice_Cake_Egg','Rice Cake Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (9029,'Gobline_Xmas_Egg','Christmas Goblin Egg',7,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // Pet Accessories
# //===================================================================
REPLACE INTO `item_db` VALUES (10001,'Skull_Helm','Skull Helm',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10002,'Monster_Oxygen_Mask','Monster Oxygen Mask',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10003,'Transparent_Headgear','Transparent Headgear',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10004,'Pacifier','Pacifier',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10005,'Wig','Wig',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10006,'Queen\'s_Hair_Ornament','Queen\'s Hair Ornament',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10007,'Silk_Ribbon','Silk Ribbon',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10008,'Punisher','Punisher',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10009,'Wild_Flower','Wild Flower',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10010,'Battered_Pot','Battered Pot',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10011,'Stellar_Hairpin','Stellar Hairpin',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10012,'Tiny_Egg_Shell','Tiny Egg Shell',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10013,'Backpack','Backpack',8,1500,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10014,'Rocker_Glasses','Rocker Glasses',8,2000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10015,'Green_Lace','Green Lace',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10016,'Golden_Bell','Golden Bell',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10017,'Bark_Shorts','Bark Shorts',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10018,'Monkey_Circlet','Monkey Circlet',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10019,'Red_Muffler','Red Scarf',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (10020,'Sword_Of_Grave_Keeper','Grave Keeper\'s Sword',8,NULL,10,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // History Books
# //===================================================================
REPLACE INTO `item_db` VALUES (11000,'Prontera_Book_01','History book of Prontera',3,8000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (11001,'Poetry01','Poetry01',3,8000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (11002,'Novel01','Novel01',3,8000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (11003,'Novel02','Novel02',3,8000,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // More Usable Items
# //===================================================================
# // Scrolls
REPLACE INTO `item_db` VALUES (12000,'Cold_Scroll_2_5','Level 5 Frost Diver',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 15,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12001,'Holy_Scroll_1_3','Level 3 Heal',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 28,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12002,'Holy_Scroll_1_5','Level 5 Heal',11,2000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 28,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12003,'Holy_Scroll_2_1','Level 1 Teleport',11,1000,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 26,1; ',NULL,NULL);
# // Arrow Quivers
REPLACE INTO `item_db` VALUES (12004,'Arrow_Container','Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1750,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12005,'Iron_Arrow_Container','Iron Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1770,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12006,'Steel_Arrow_Container','Steel Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1753,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12007,'Ori_Arrow_Container','Oridecon Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1765,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12008,'Fire_Arrow_Container','Fire Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1752,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12009,'Silver_Arrow_Container','Silver Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1751,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12010,'Wind_Arrow_Container','Wind Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1755,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12011,'Stone_Arrow_Container','Stone Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1756,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12012,'Crystal_Arrow_Container','Crystal Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1754,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12013,'Shadow_Arrow_Container','Shadow Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1767,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12014,'Imma_Arrow_Container','Immaterial Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1757,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12015,'Rusty_Arrow_Container','Rusty Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1762,500; ',NULL,NULL);
# // Speed Potions
REPLACE INTO `item_db` VALUES (12016,'Speed_Up_Potion','Speed Potion',0,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' specialeffect 507; sc_start SC_SpeedUp1,5000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12017,'Slow_Down_Potion','Slow Potion',0,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12018,'Fire_Cracker','Firecracker',2,NULL,1,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' misceffect(256); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12019,'Holy_Egg','Holy Egg',11,NULL,1,150,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 54,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12020,'Water_Of_Darkness','Cursed Water',11,NULL,1,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 492,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12021,'Pork_Belly','Pork',0,NULL,0,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(70,99),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12022,'Spareribs','Galbi',0,NULL,0,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemheal rand(70,99),0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12023,'Giftbox_China','Wrapped Box',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_GiftBoxChina),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12024,'Red_Pouch_Of_Surprise','Red Pouch',2,50,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12025,'Egg_Boy','Dano Festival Egg',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_EggBoy),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12026,'Egg_Girl','Dano Festival Egg',2,1000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_EggGirl),1; ',NULL,NULL);
# // Effect Boxes
REPLACE INTO `item_db` VALUES (12027,'Giggling_Box','Giggling Box',2,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 9,0; if(rand(100)<30) sc_start SC_Curse,30000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12028,'Box_Of_Thunder','Box of Thunder',2,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_SpeedUp0,20000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12029,'Gloomy_Box','Box of Gloom',11,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 45,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12030,'Box_Of_Grudge','Box of Resentment',2,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_ATKPOTION,60000,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12031,'Sleepy_Box','Box of Drowsiness',2,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_MATKPOTION,60000,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12032,'Box_Of_Storm','Box of Storms',11,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 492,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12033,'Box_Of_Sunlight','Box of Sunlight',2,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_Intravision,20000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12034,'Painting_Box','Box of Panting',2,NULL,500,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 0,9; if(rand(100)<30) sc_start SC_Silence,30000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12035,'Lotto_Box01','Lotto Box 01',2,NULL,0,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem rand(7361,7370),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12036,'Lotto_Box02','Lotto Box 02',2,NULL,0,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem rand(7371,7380),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12037,'Lotto_Box03','Lotto Box 03',2,NULL,0,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem rand(7381,7390),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12038,'Lotto_Box04','Lotto Box 04',2,NULL,0,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_LottoBox),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12039,'Lotto_Box05','Lotto Box 05',2,NULL,0,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem rand(7542,7546),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12040,'Stone_Of_Intelligence_','Stone of Sage',2,NULL,50000,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' homevolution ; ',NULL,NULL);
# // Mixed Foods (+1 to +5)
REPLACE INTO `item_db` VALUES (12041,'Str_Dish01','Fried Grasshopper Legs',0,2000,NULL,60,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 1; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12042,'Str_Dish02','Seasoned Sticky Webfoot',0,4000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 2; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12043,'Str_Dish03','Bomber Steak',0,6000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 3; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12044,'Str_Dish04','Herb Marinade Beef',0,8000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 4; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12045,'Str_Dish05','Lutie Lady\'s Pancake',0,10000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 5; percentheal 10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12046,'Int_Dish01','Grape Juice Herbal Tea',0,2000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 1; percentheal 0,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12047,'Int_Dish02','Autumn Red Tea',0,4000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 2; percentheal 0,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12048,'Int_Dish03','Honey Herbal Tea',0,6000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 3; percentheal 0,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12049,'Int_Dish04','Morocc Fruit Wine',0,8000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 4; percentheal 0,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12050,'Int_Dish05','Mastela Fruit Wine',0,10000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 5; percentheal 0,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12051,'Vit_Dish01','Steamed Crab Nippers',0,2000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 1; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12052,'Vit_Dish02','Assorted Seafood',0,4000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 2; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12053,'Vit_Dish03','Clam Soup',0,6000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 3; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12054,'Vit_Dish04','Seasoned Jellyfish',0,8000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 4; percentheal 5,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12055,'Vit_Dish05','Spicy Fried Bao',0,10000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 5; percentheal 10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12056,'Agi_Dish01','Frog Egg Squid Ink Soup',0,2000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 1; percentheal 3,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12057,'Agi_Dish02','Smooth Noodle',0,4000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 2; percentheal 3,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12058,'Agi_Dish03','Tentacle Cheese Gratin',0,6000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 3; percentheal 3,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12059,'Agi_Dish04','Lutie Cold Noodle',0,8000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 4; percentheal 3,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12060,'Agi_Dish05','Steamed Bat Wing in Pumpkin',0,10000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 5; percentheal 6,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12061,'Dex_Dish01','Honey Grape Juice',0,2000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 1; percentheal 2,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12062,'Dex_Dish02','Chocolate Mousse Cake',0,4000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 2; percentheal 2,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12063,'Dex_Dish03','Fruit Mix',0,6000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 3; percentheal 2,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12064,'Dex_Dish04','Cream Sandwich',0,8000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 4; percentheal 2,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12065,'Dex_Dish05','Green Salad',0,10000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 5; percentheal 5,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12066,'Luk_Dish01','Fried Monkey Tails',0,2000,NULL,60,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 1; percentheal 3,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12067,'Luk_Dish02','Mixed Juice',0,4000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 2; percentheal 3,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12068,'Luk_Dish03','Fried Sweet Potato',0,6000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 3; percentheal 4,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12069,'Luk_Dish04','Steamed Ancient Lips',0,8000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 4; percentheal 4,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12070,'Luk_Dish05','Fried Scorpion Tails',0,10000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 5; percentheal 5,2; ',NULL,NULL);
# // Mixed Foods (+6 to +10)
REPLACE INTO `item_db` VALUES (12071,'Str_Dish06','Shiny Marinade Beef',0,20000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 6; percentheal 10,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12072,'Str_Dish07','Whole Roast',0,40000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 7; percentheal 10,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12073,'Str_Dish08','Bearfoot Special',0,60000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 8; percentheal 15,6; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12074,'Str_Dish09','Tendon Satay',0,80000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 9; percentheal 15,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12075,'Str_Dish10','Steamed Tongue',0,100000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_STRFood, 1200000, 10; percentheal 20,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12076,'Int_Dish06','Red Mushroom Wine',0,20000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 6; percentheal 2,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12077,'Int_Dish07','Special Royal Jelly Herbal Tea',0,40000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 7; percentheal 4,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12078,'Int_Dish08','Royal Family Tea',0,60000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 8; percentheal 6,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12079,'Int_Dish09','Tristan XII',0,80000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 9; percentheal 8,15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12080,'Int_Dish10','Dragon Breath Cocktail',0,100000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_INTFood, 1200000, 10; percentheal 10,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12081,'Vit_Dish06','Awfully Bitter Bracer',0,20000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 6; percentheal 13,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12082,'Vit_Dish07','Sumptuous Feast',0,40000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 7; percentheal 16,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12083,'Vit_Dish08','Giant Burito',0,60000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 8; percentheal 19,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12084,'Vit_Dish09','Ascending Dragon Soup',0,80000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 9; percentheal 22,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12085,'Vit_Dish10','Immortal Stew',0,100000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_VITFood, 1200000, 10; percentheal 25,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12086,'Agi_Dish06','Chile Shrimp Gratin',0,20000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 6; percentheal 7,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12087,'Agi_Dish07','Steamed Alligator with Vegetable',0,40000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 7; percentheal 8,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12088,'Agi_Dish08','Incredibly Spicy Curry',0,60000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 8; percentheal 9,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12089,'Agi_Dish09','Special Meat Stew',0,80000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 9; percentheal 10,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12090,'Agi_Dish10','Steamed Desert Scorpions',0,100000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1200000, 10; percentheal 15,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12091,'Dex_Dish06','Peach Cake',0,20000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 6; percentheal 5,6; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12092,'Dex_Dish07','Soul Haunted Bread',0,40000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 7; percentheal 5,7; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12093,'Dex_Dish08','Special Toast',0,60000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 8; percentheal 5,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12094,'Dex_Dish09','Heavenly Fruit Juice',0,80000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 9; percentheal 5,9; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12095,'Dex_Dish10','Hwergelmir\'s Tonic',0,100000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_DEXFood, 1200000, 10; percentheal 10,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12096,'Luk_Dish06','Lucky Soup',0,20000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 6; percentheal 6,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12097,'Luk_Dish07','Assorted Shish Kebob',0,40000,NULL,800,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 7; percentheal 7,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12098,'Luk_Dish08','Strawberry Flavored Rice Ball',0,60000,NULL,400,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 8; percentheal 9,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12099,'Luk_Dish09','Blood Flavored Soda',0,80000,NULL,1000,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 9; percentheal 10,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12100,'Luk_Dish10','Cooked Nine Tail',0,100000,NULL,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_LUKFood, 1200000, 10; percentheal 14,8; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12101,'Citron','Citron',0,NULL,10,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12102,'Meat_Skewer','Grilled Skewer',0,NULL,10,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // New Monster Summoners & Item Givers
REPLACE INTO `item_db` VALUES (12103,'Bloody_Dead_Branch','Bloody Branch',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' monster "this",-1,-1,"--ja--",-3,1,""; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12104,'Random_Quiver','Random Quiver',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_Quiver),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12105,'Set_Of_Taiming_Item','Taming Gift Set',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_Taming),1; getitem groupranditem(IG_Taming),1; getitem groupranditem(IG_Taming),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12106,'Accessory_Box','Jewelry Box',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_Accesory),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12107,'Wrapped_Mask','Wrapped Mask',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_Mask),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12108,'Bundle_Of_Magic_Scroll','Scroll Package',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_Scroll),1; getitem groupranditem(IG_Scroll),1; getitem groupranditem(IG_Scroll),1; getitem groupranditem(IG_Scroll),1; getitem groupranditem(IG_Scroll),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12109,'Poring_Box','Poring Box',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' monster "this",-1,-1,"--ja--",-2,1,""; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12110,'First_Aid_Kit','First Aid Kit',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_FirstAid),1; getitem groupranditem(IG_FirstAid),1; getitem groupranditem(IG_FirstAid),1; getitem groupranditem(IG_FirstAid),1; getitem groupranditem(IG_FirstAid),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12111,'Food_Package','Bundle of Food',2,NULL,5000,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_FoodBag),1; getitem groupranditem(IG_FoodBag),1; getitem groupranditem(IG_FoodBag),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12112,'Tropical_Sograt','Tropical Sograt',0,NULL,500,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_Curse,10000,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12113,'Vermilion_The_Beach','Vermilion on the Beach',0,NULL,500,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_Stun,10000,1; ',NULL,NULL);
# // Elemental Converters
REPLACE INTO `item_db` VALUES (12114,'Flame_Converter','Flame Elemental Converter',11,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 492,4; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12115,'Frost_Converter','Frost Elemental Converter',11,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 492,2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12116,'Seismic_Converter','Seismic Elemental Converter',11,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 492,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12117,'Lighting_Converter','Lightning Elemental Converter',11,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' itemskill 492,5; ',NULL,NULL);
# // Elemental Resistance Potions
REPLACE INTO `item_db` VALUES (12118,'Resist_Fire_Potion','Fire Resist Potion',2,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start4 SC_ARMOR_ELEMENT,1200000,Ele_Fire,20,Ele_Water,-15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12119,'Resist_Cold_Potion','Cold Resist Potion',2,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start4 SC_ARMOR_ELEMENT,1200000,Ele_Water,20,Ele_Wind,-15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12120,'Resist_Earth_Potion','Earth Resist Potion',2,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start4 SC_ARMOR_ELEMENT,1200000,Ele_Earth,20,Ele_Fire,-15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12121,'Resist_Wind_Potion','Thunder Resist Potion',2,NULL,1,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start4 SC_ARMOR_ELEMENT,1200000,Ele_Wind,20,Ele_Earth,-15; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12122,'Sesame_Pastry','Sesame Pastry',0,NULL,1,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_HitFood,1200000,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12123,'Honey_Pastry','Honey Pastry',0,NULL,1,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_FleeFood,1200000,30; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12124,'Rainbow_Cake','Rainbow Cake',0,NULL,1,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_BATKFood,1200000,10; sc_start SC_MATKFood,120000,10; ',NULL,NULL);
# // Cooking Sets
REPLACE INTO `item_db` VALUES (12125,'Outdoor_Cooker','Outdoor Cooking Kit',2,500,NULL,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 11; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12126,'Home_Cooking_Set','Home Cooking Kit',2,1000,NULL,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 12; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12127,'High_end_Cooking_Kits','Professional Cooking Kit',2,2000,NULL,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 13; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12128,'Imperial_Cooking_Kits','Royal Cooking Kit',2,5000,NULL,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 14; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12129,'Fantastic_Cooking_Kits','Fantastic Cooking Kit',2,10000,NULL,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' produce 15; ',NULL,NULL);
# //
REPLACE INTO `item_db` VALUES (12130,'Cookie_Bag','Cookie Bag',2,NULL,1,70,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem groupranditem(IG_CookieBag),1; getitem groupranditem(IG_CookieBag),1; getitem groupranditem(IG_CookieBag),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12131,'Lucky_Potion','Lucky Potion',0,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12132,'Red_Bag','Santa\'s Bag',2,NULL,0,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_Xmas,600000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12133,'Ice_Cream_','McDonald\'s Ice Cone',0,0,NULL,80,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' if(gettime(5) != MDiceCone) { set MDiceCone,gettime(5); percentheal 50,50; } ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12134,'Red_Envelope_','Red Envelope',2,1,NULL,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' set Zeny,Zeny+rand(1000,10000); ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12135,'Green_Ale','Green Ale',2,NULL,10,30,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 50,50; if(rand(100) >= 90)sc_start SC_Confusion,10000,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12136,'Women\'s_Bundle','Women\'s Bundle',2,NULL,0,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem callfunc("F_RandMes",4,558,529,2668,7518),1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12137,'1st_Stage_Prize','First Stage',2,NULL,0,0,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12138,'2nd_Stage_Prize','Second Stage',2,NULL,0,0,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12139,'3rd_Stage_Prize','Third Stage',2,NULL,0,0,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12140,'4th_Stage_Prize','Fourth Stage',2,NULL,0,0,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12141,'5th_Stage_Prize','Fifth Stage',2,NULL,0,0,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12142,'Magic_Book','Book of Magic',2,NULL,0,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' sc_start SC_AGIFood, 1800000, 10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12143,'Red_Can','Red Can',2,50000,NULL,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 25,25; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12144,'Sphere_Case_Wind','Lightning Sphere Pack',2,NULL,1,350,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13204,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12145,'Sphere_Case_Darkness','Blind Sphere Pack',2,NULL,1,350,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13206,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12146,'Sphere_Case_Poison','Poison Sphere Pack',2,NULL,1,350,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13205,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12147,'Sphere_Case_Water','Freezing Sphere Pack',2,NULL,1,350,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13207,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12148,'Sphere_Case_Fire','Flare Sphere Pack',2,NULL,1,350,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13203,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12149,'Bullet_Case','Bullet Casing',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13200,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12150,'Bullet_Case_Blood','Shell of Blood Casing',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13202,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12151,'Bullet_Case_Silver','Silver Bullet Casing',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 13201,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12152,'Special_Present','Special Gift',2,NULL,0,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12153,'Merc_Archer_Scroll_Lv1','Archer Mercenary Summon Scroll Level 1',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12154,'Merc_Archer_Scroll_Lv2','Archer Mercenary Summon Scroll Level 2',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12155,'Merc_Archer_Scroll_Lv3','Archer Mercenary Summon Scroll Level 3',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12156,'Merc_Archer_Scroll_Lv4','Archer Mercenary Summon Scroll Level 4',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12157,'Merc_Archer_Scroll_Lv5','Archer Mercenary Summon Scroll Level 5',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12158,'Merc_Archer_Scroll_Lv6','Archer Mercenary Summon Scroll Level 6',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12159,'Merc_Archer_Scroll_Lv7','Archer Mercenary Summon Scroll Level 7',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12160,'Merc_Archer_Scroll_Lv8','Archer Mercenary Summon Scroll Level 8',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12161,'Merc_Archer_Scroll_Lv9','Archer Mercenary Summon Scroll Level 9',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12162,'Merc_Archer_Scroll_Lv10','Archer Mercenary Summon Scroll Level 10',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12163,'Merc_Sword_Scroll_Lv1','Swordsman Mercenary Summon Scroll Level 1',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12164,'Merc_Sword_Scroll_Lv2','Swordsman Mercenary Summon Scroll Level 2',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12165,'Merc_Sword_Scroll_Lv3','Swordsman Mercenary Summon Scroll Level 3',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12166,'Merc_Sword_Scroll_Lv4','Swordsman Mercenary Summon Scroll Level 4',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12167,'Merc_Sword_Scroll_Lv5','Swordsman Mercenary Summon Scroll Level 5',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12168,'Merc_Sword_Scroll_Lv6','Swordsman Mercenary Summon Scroll Level 6',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12169,'Merc_Sword_Scroll_Lv7','Swordsman Mercenary Summon Scroll Level 7',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12170,'Merc_Sword_Scroll_Lv8','Swordsman Mercenary Summon Scroll Level 8',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12171,'Merc_Sword_Scroll_Lv9','Swordsman Mercenary Summon Scroll Level 9',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12172,'Merc_Sword_Scroll_Lv10','Swordsman Mercenary Summon Scroll Level 10',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12173,'Merc_Spear_Scroll_Lv1','Spearman Mercenary Summon Scroll Level 1',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12174,'Merc_Spear_Scroll_Lv2','Spearman Mercenary Summon Scroll Level 2',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12175,'Merc_Spear_Scroll_Lv3','Spearman Mercenary Summon Scroll Level 3',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12176,'Merc_Spear_Scroll_Lv4','Spearman Mercenary Summon Scroll Level 4',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12177,'Merc_Spear_Scroll_Lv5','Spearman Mercenary Summon Scroll Level 5',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12178,'Merc_Spear_Scroll_Lv6','Spearman Mercenary Summon Scroll Level 6',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12179,'Merc_Spear_Scroll_Lv7','Spearman Mercenary Summon Scroll Level 7',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12180,'Merc_Spear_Scroll_Lv8','Spearman Mercenary Summon Scroll Level 8',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12181,'Merc_Spear_Scroll_Lv9','Spearman Mercenary Summon Scroll Level 9',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12182,'Merc_Spear_Scroll_Lv10','Spearman Mercenary Summon Scroll Level 10',2,NULL,1,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12183,'Holy_Arrow_Container','Holy Arrow Quiver',2,NULL,1,250,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' getitem 1772,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12184,'Red_Mercenary_Potion','Mercenary\'s Red Potion',2,500,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12185,'Blue_Mercenary_Potion','Mercenary\'s Blue Potion',2,1000,NULL,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12186,'Red_Box','Old Red Box',2,50000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12187,'Green_Box','Old Green Box',2,50000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12188,'Moon_Snack','Fantastic Moon Snack',2,NULL,10,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,' percentheal 50,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (12189,'Red_Box_','Old Red Box',2,50000,NULL,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12190,'Moon_Cake','Moon Cake',2,NULL,1,300,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12191,'Special_Moon_Cake','Special Moon Cake',2,NULL,1,500,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12192,'Pumpkin_Pie','Pumpkin Pie',2,NULL,10,10,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12193,'Brizel','Brizel',2,NULL,10,20,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12194,'Present_From_Home','Present from Home',2,NULL,10,200,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12195,'Rich_Rice_Cake','Rich Rice Cake',2,NULL,10,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12196,'Filling_Rice_Cake','Filling Rice Cake',2,NULL,10,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12197,'Salty_Rice_Cake','Salty Rice Cake',2,NULL,10,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12198,'Lucky_Rice_Cake','Lucky Rice Cake',2,NULL,10,100,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12199,'Rice_Scroll','Rice Scroll',2,NULL,0,0,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (12200,'Event_Cake','Event Cake',2,NULL,10,50,NULL,NULL,NULL,NULL,0xFFFFFFFF,7,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
# // More Weapons
# //===================================================================
# // Daggers
REPLACE INTO `item_db` VALUES (13000,'Jujube_Dagger','Dagger with Jujube hilt',4,10000,NULL,600,39,NULL,1,0,0x008F5EEF,7,2,2,1,1,1,1,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13001,'Dragon_Killer','Dragon Killer',4,NULL,10,900,110,NULL,1,0,0x008F5EEF,7,2,2,4,60,1,1,' bonus bIgnoreDefRace,RC_Dragon; bonus2 bExpAddRace,RC_Dragon,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13002,'Ginnungagap','Ginnungagap',4,NULL,10,700,148,NULL,1,0,0x008F5EEF,7,2,2,4,70,1,1,' bonus bAtkEle,Ele_Dark; bonus2 bAddEff,Eff_Blind,500; bonus2 bAddEff2,Eff_Blind,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13003,'Coward','Cowardice Blade',4,52000,NULL,700,80,NULL,1,1,0x02021040,7,2,2,3,55,1,1,' bonus bDef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13004,'Coward_','Cowardice Blade',4,52000,NULL,700,80,NULL,1,2,0x02021040,7,2,2,3,55,1,1,' bonus bDef,5; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13005,'Angelwing_Short_Sword','Angelic Wing Dagger',4,NULL,10,600,120,NULL,1,2,0x00000001,7,2,2,4,50,1,1,NULL,NULL,NULL);
# // Ninja Weapons
REPLACE INTO `item_db` VALUES (13006,'Khukri','Gokurin',4,240000,NULL,600,150,NULL,1,0,0x02000000,7,2,2,3,65,1,1,' bonus bAtkEle,Ele_Dark; bonus2 bAddEff,Eff_Curse,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13007,'Jitte','Jitte',4,20000,NULL,400,70,NULL,1,0,0x02000000,7,2,2,2,35,1,1,' bonus bBreakWeaponRate,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13008,'Jitte_','Jitte',4,20000,NULL,400,70,NULL,1,1,0x02000000,7,2,2,2,35,1,1,' bonus bBreakWeaponRate,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13009,'Kamaitachi','Kamaitachi',4,48000,NULL,900,125,NULL,2,0,0x02000000,7,2,2,4,70,1,1,' bonus bAtkEle,Ele_Wind; bonus bCritical,3; bonus bAspdRate,3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13010,'Asura','Ashura',4,3000,NULL,600,50,NULL,1,2,0x02000000,7,2,2,1,12,1,1,' bonus bMatkRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13011,'Asura_','Ashura',4,3000,NULL,600,50,NULL,1,3,0x02000000,7,2,2,1,12,1,1,' bonus bMatkRate,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13012,'Murasame','Murasame',4,NULL,10,700,95,NULL,1,1,0x02000000,7,2,2,2,24,1,1,' bonus bAtkEle,Ele_Water; bonus2 bCriticalAddRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13013,'Muraseme_','Murasame',4,NULL,10,700,95,NULL,1,2,0x02000000,7,2,2,2,24,1,1,' bonus bAtkEle,Ele_Water; bonus2 bCriticalAddRace,RC_DemiHuman,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13014,'Hakujin','Hakujin',4,NULL,10,800,120,NULL,1,0,0x02000000,7,2,2,3,42,1,1,' bonus4 bAutoSpell,28,1,10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13015,'Hakujin_','Hakujin',4,NULL,10,800,120,NULL,1,1,0x02000000,7,2,2,3,42,1,1,' bonus4 bAutoSpell,28,1,10,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13016,'Poison_Knife_','Poison Knife',4,NULL,10,800,64,NULL,1,2,0x028F5EEE,7,2,2,3,65,1,1,' bonus bAtkEle,Ele_Poison; bonus2 bAddEff,Eff_Poison,3000; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13017,'Ice_Pick_','Ice Pick',4,NULL,10,600,70,NULL,1,1,0x028F5EEE,7,2,2,4,36,1,1,' bonus bDefRatioAtkRace,RC_Boss; bonus bDefRatioAtkRace,RC_NonBoss; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13018,'Sucsamad_','Sucsamad',4,NULL,10,800,140,NULL,1,1,0x028F5EEE,7,2,2,4,36,1,1,' bonus2 bAddEle,Ele_Earth,10; bonus2 bAddEle,Ele_Wind,10; bonus bUnbreakableWeapon,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13019,'Ginnungagap_','Ginnungagap',4,NULL,10,700,148,NULL,1,1,0x008F5EEF,7,2,2,4,70,1,1,' bonus bAtkEle,Ele_Dark; bonus2 bAddEff,Eff_Blind,500; bonus2 bAddEff2,Eff_Blind,50; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13020,'Warrior\'s_Balmung_','Warrior\'s Balmung',4,NULL,10,1000,170,NULL,1,0,0xFFFFFFFF,7,2,2,4,48,1,1,' bonus bAllStats,5; ',NULL,NULL);
# // Guns
REPLACE INTO `item_db` VALUES (13100,'Six_Shooter','Six Shooter',4,4500,NULL,400,30,NULL,7,1,0x01000000,7,2,34,1,10,1,17,' bonus bHit,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13101,'Six_Shooter_','Six Shooter',4,4500,NULL,400,30,NULL,7,2,0x01000000,7,2,34,1,10,1,17,' bonus bHit,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13102,'Crimson_Bolt','Crimson Bolt',4,20000,NULL,450,45,NULL,7,1,0x01000000,7,2,34,2,35,1,17,' bonus bHit,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13103,'Crimson_Bolt_','Crimson Bolt',4,20000,NULL,450,45,NULL,7,2,0x01000000,7,2,34,2,35,1,17,' bonus bHit,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13104,'The_Garrison','Garrison',4,48000,NULL,500,70,NULL,7,1,0x01000000,7,2,34,2,55,1,17,' bonus bHit,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13105,'The_Garrison_','Garrison',4,48000,NULL,500,70,NULL,7,2,0x01000000,7,2,34,2,55,1,17,' bonus bHit,-10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13106,'Gold_Lux','Gold Lux',4,100000,NULL,500,20,NULL,7,0,0x01000000,7,2,34,3,12,1,17,' bonus bHit,-10; if(getskilllv(500)>0) bonus4 bAutoSpell,500,getskilllv(500),100,0; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13150,'Branch','Branch',4,3000,NULL,500,50,NULL,9,3,0x01000000,7,2,34,1,1,1,18,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13151,'The_Cyclone','Cyclone',4,17500,NULL,700,120,NULL,9,1,0x01000000,7,2,34,2,24,1,18,' bonus bHit,10; bonus bCritical,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13152,'The_Cyclone_','Cyclone',4,17500,NULL,700,120,NULL,9,2,0x01000000,7,2,34,2,24,1,18,' bonus bHit,10; bonus bCritical,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13153,'Dusk','Dusk',4,23500,NULL,750,150,NULL,9,1,0x01000000,7,2,34,2,56,1,18,' bonus bHit,10; bonus bCritical,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13154,'Rolling_Stone','Rolling Stone',4,12000,NULL,900,135,NULL,9,1,0x01000000,7,2,34,1,14,1,19,' bonus bSplashRange,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13155,'Black_Rose','Black Rose',4,32000,NULL,900,180,NULL,9,1,0x01000000,7,2,34,2,35,1,19,' bonus bSplashRange,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13156,'Gate_Keeper','Gate Keeper',4,56000,NULL,1000,210,NULL,9,0,0x01000000,7,2,34,2,24,1,19,' bonus bSplashRange,1; bonus4 bAutoSpell,520,6,50,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13157,'Drifter','Drifter',4,80000,NULL,2300,50,NULL,9,1,0x01000000,7,2,34,2,55,1,20,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13158,'Butcher','Butcher',4,130000,NULL,2500,75,NULL,9,0,0x01000000,7,2,34,3,68,1,20,' bonus2 bCriticalAddRace,RC_Brute,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13159,'Butcher_','Butcher',4,130000,NULL,2500,75,NULL,9,1,0x01000000,7,2,34,3,68,1,20,' bonus2 bCriticalAddRace,RC_Brute,10; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13160,'Destroyer','Destroyer',4,110000,NULL,1200,220,NULL,9,0,0x01000000,7,2,34,2,52,1,21,' bonus bBreakArmorRate,200; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13161,'Destroyer_','Destroyer',4,110000,NULL,1200,220,NULL,9,1,0x01000000,7,2,34,2,52,1,21,' bonus bBreakArmorRate,200; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13162,'Inferno','Inferno',4,230000,NULL,1250,280,NULL,9,1,0x01000000,7,2,34,2,65,1,21,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13163,'Long_Barrel','Long Barrel',4,NULL,10,1000,150,NULL,9,0,0x01000000,7,2,34,3,70,1,18,' bonus bCritical,20; bonus bAspdRate,-3; bonus4 bAutoSpell,512,5,10,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13164,'Long_Barrel_','Long Barrel',4,NULL,10,1000,150,NULL,9,1,0x01000000,7,2,34,3,70,1,18,' bonus bCritical,20; bonus bAspdRate,-3; bonus4 bAutoSpell,512,5,10,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13165,'Jungle_Carbine','Jungle Carbine',4,NULL,10,700,170,NULL,9,0,0x01000000,7,2,34,3,70,1,18,' bonus bCritical,4; bonus bAspdRate,10; bonus bHit,-readparam(bDex)/3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13166,'Jungle_Carbine_','Jungle Carbine',4,NULL,10,700,170,NULL,9,1,0x01000000,7,2,34,3,70,1,18,' bonus bCritical,4; bonus bAspdRate,10; bonus bHit,-readparam(bDex)/3; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13167,'Gate_Keeper-DD','Gate Keeper-DD',4,NULL,10,1300,200,NULL,9,0,0x01000000,7,2,34,3,70,1,19,' bonus bSplashRange,1; bonus4 bAutoSpell,520,6,30,1; bonus bDef,getRefine(); bonus bDex,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13168,'Thunder-P','Thunder-P',4,NULL,10,700,80,NULL,9,2,0x01000000,7,2,34,3,70,1,19,' bonus bSplashRange,1; bonus bHit,-5; bonus bAspdRate,20; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13169,'Thunder-P_','Thunder-P',4,NULL,10,700,80,NULL,9,3,0x01000000,7,2,34,3,70,1,19,' bonus bSplashRange,1; bonus bHit,-5; bonus bAspdRate,20; ',NULL,NULL);
# // Bullets
REPLACE INTO `item_db` VALUES (13200,'Bullet','Bullet',10,1,NULL,2,10,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,3,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13201,'Silver_Bullet','Silver Bullet',10,15,NULL,2,15,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,3,' bonus bAtkEle,Ele_Holy; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13202,'Shell_of_Blood','Shell of Blood',10,30,NULL,2,30,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,3,' bonus2 bAddEff,Eff_Bleeding,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13203,'Flare_Sphere','Flare Sphere',10,80,NULL,5,50,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,5,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13204,'Lightning_Sphere','Lightning Sphere',10,80,NULL,5,50,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,5,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13205,'Poison_Sphere','Poison Sphere',10,80,NULL,5,50,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,5,' bonus bAtkEle,Ele_Poison; bonus2 bAddEff,Eff_Poison,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13206,'Blind_Sphere','Blind Sphere',10,80,NULL,5,50,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,5,' bonus bAtkEle,Ele_Dark; bonus2 bAddEff,Eff_Blind,500; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13207,'Freezing_Sphere','Freezing Sphere',10,80,NULL,5,50,NULL,NULL,NULL,0x01000000,7,2,32768,NULL,1,NULL,5,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
# // Shurikens & Kunais
REPLACE INTO `item_db` VALUES (13250,'Shuriken','Shuriken',10,4,NULL,5,10,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,1,NULL,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13251,'Raincloud_Shuriken','Raincloud Shuriken',10,10,NULL,5,30,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,20,NULL,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13252,'Flash_Shuriken','Flash Shuriken',10,20,NULL,5,45,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,40,NULL,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13253,'Pointed_Leaf_Shuriken','Sharp Leaf Shuriken',10,40,NULL,5,70,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,60,NULL,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13254,'Piercing_Thorn_Shuriken','Piercing Thorn Shuriken',10,100,NULL,5,100,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,80,NULL,6,NULL,NULL,NULL);
REPLACE INTO `item_db` VALUES (13255,'Kunai_of_Frozen_Icicle','Kunai of Frozen Icicle',10,10,NULL,20,30,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,1,NULL,7,' bonus bAtkEle,Ele_Water; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13256,'Kunai_of_Black_Earth','Kunai of Black Earth',10,10,NULL,20,30,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,1,NULL,7,' bonus bAtkEle,Ele_Earth; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13257,'Kunai_of_Violent_Winds','Kunai of Violent Winds',10,10,NULL,20,30,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,1,NULL,7,' bonus bAtkEle,Ele_Wind; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13258,'Kunai_of_Fierce_Heat','Kunai of Fierce Heat',10,10,NULL,20,30,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,1,NULL,7,' bonus bAtkEle,Ele_Fire; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13259,'Kunai_of_Deadly_Poison','Kunai of Deadly Poison',10,10,NULL,20,30,NULL,NULL,NULL,0x02000000,7,2,32768,NULL,1,NULL,7,' bonus bAtkEle,Ele_Poison; bonus2 bAddEff,Eff_Poison,500; ',NULL,NULL);
# // Ninja Fuuma Shurikens
REPLACE INTO `item_db` VALUES (13300,'Huuma_Bird_Wing','Fuuma Shuriken Beneki',4,90000,NULL,3000,150,NULL,1,0,0x02000000,7,2,34,4,65,1,22,' bonus bAtkEle,Ele_Wind; bonus bAgi,-1; bonus bDex,-2; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13301,'Huuma_Giant_Wheel','Fuuma Shuriken Daisharin',4,40000,NULL,2500,50,NULL,1,3,0x02000000,7,2,34,4,42,1,22,' bonus2 bAddEff,Eff_Bleeding,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13302,'Huuma_Giant_Wheel_','Fuuma Shuriken Daisharin',4,40000,NULL,2500,50,NULL,1,4,0x02000000,7,2,34,4,42,1,22,' bonus2 bAddEff,Eff_Bleeding,100; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13303,'Huuma_Blaze','Fuuma Shuriken Rekka',4,78000,NULL,2300,185,NULL,1,0,0x02000000,7,2,34,4,55,1,22,' bonus bDex,-2; bonus bAtkEle,Ele_Fire; bonus4 bAutoSpell,17,5,30,1; ',NULL,NULL);
REPLACE INTO `item_db` VALUES (13400,'Cutlas_','Cutlus',4,NULL,10,900,150,NULL,1,1,0x000654E2,7,2,2,4,40,1,2,' skill 5,5; bonus bStr,2; bonus bDef,1; ',NULL,NULL);
